VTK: vtkAlgorithm Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
vtkAlgorithm Class Reference

Superclass for all sources, filters, and sinks in VTK. More...

`#include <vtkAlgorithm.h>`

Inheritance diagram for vtkAlgorithm:
[legend]
Collaboration diagram for vtkAlgorithm:
[legend]

## Public Types
enum | DesiredOutputPrecision { SINGLE_PRECISION , DOUBLE_PRECISION , DEFAULT_PRECISION }
| Values used for setting the desired output precision for various algorithms. More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkAlgorithm * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
vtkTypeBool | HasExecutive ()
| Check whether this algorithm has an assigned executive. More...
vtkExecutive * | GetExecutive ()
| Get this algorithm's executive. More...
virtual void | SetExecutive (vtkExecutive *executive)
| Set this algorithm's executive. More...
virtual vtkTypeBool | ProcessRequest (vtkInformation *request, vtkInformationVector **inInfo, vtkInformationVector *outInfo)
| Upstream/Downstream requests form the generalized interface through which executives invoke a algorithm's functionality. More...
vtkTypeBool | ProcessRequest (vtkInformation *request, vtkCollection *inInfo, vtkInformationVector *outInfo)
| Version of ProcessRequest() that is wrapped. More...
virtual int | ComputePipelineMTime (vtkInformation *request, vtkInformationVector **inInfoVec, vtkInformationVector *outInfoVec, int requestFromOutputPort, vtkMTimeType *mtime)
| A special version of ProcessRequest meant specifically for the pipeline modified time request. More...
virtual int | ModifyRequest (vtkInformation *request, int when)
| This method gives the algorithm a chance to modify the contents of a request before or after (specified in the when argument) it is forwarded. More...
vtkInformation * | GetInputPortInformation (int port)
| Get the information object associated with an input port. More...
vtkInformation * | GetOutputPortInformation (int port)
| Get the information object associated with an output port. More...
int | GetNumberOfInputPorts ()
| Get the number of input ports used by the algorithm. More...
int | GetNumberOfOutputPorts ()
| Get the number of output ports provided by the algorithm. More...
void | SetAbortExecuteAndUpdateTime ()
| Set AbortExecute Flag and update LastAbortTime. More...
void | UpdateProgress (double amount)
| Update the progress of the process object. More...
bool | CheckAbort ()
| Checks to see if this filter should abort. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, const char *fieldAssociation, const char *attributeTypeorName)
| String based versions of SetInputArrayToProcess(). More...
vtkInformation * | GetInputArrayInformation (int idx)
| Get the info object for the specified input array to this algorithm. More...
void | RemoveAllInputs ()
| Remove all the input data. More...
vtkDataObject * | GetOutputDataObject (int port)
| Get the data object that will contain the algorithm output for the given port. More...
vtkDataObject * | GetInputDataObject (int port, int connection)
| Get the data object that will contain the algorithm input for the given port and given connection. More...
virtual void | RemoveInputConnection (int port, vtkAlgorithmOutput *input)
| Remove a connection from the given input port index. More...
virtual void | RemoveInputConnection (int port, int idx)
| Remove a connection given by index idx. More...
virtual void | RemoveAllInputConnections (int port)
| Removes all input connections. More...
virtual void | SetInputDataObject (int port, vtkDataObject *data)
| Sets the data-object as an input on the given port index. More...
virtual void | SetInputDataObject (vtkDataObject *data)
virtual void | AddInputDataObject (int port, vtkDataObject *data)
| Add the data-object as an input to this given port. More...
virtual void | AddInputDataObject (vtkDataObject *data)
vtkAlgorithmOutput * | GetOutputPort (int index)
| Get a proxy object corresponding to the given output port of this algorithm. More...
vtkAlgorithmOutput * | GetOutputPort ()
int | GetNumberOfInputConnections (int port)
| Get the number of inputs currently connected to a port. More...
int | GetTotalNumberOfInputConnections ()
| Get the total number of inputs for this algorithm. More...
vtkAlgorithmOutput * | GetInputConnection (int port, int index)
| Get the algorithm output port connected to an input port. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index, int &algPort)
| Returns the algorithm and the output port index of that algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm (int port, int index)
| Returns the algorithm connected to a port-index pair. More...
vtkAlgorithm * | GetInputAlgorithm ()
| Equivalent to GetInputAlgorithm(0, 0). More...
vtkExecutive * | GetInputExecutive (int port, int index)
| Returns the executive associated with a particular input connection. More...
vtkExecutive * | GetInputExecutive ()
| Equivalent to GetInputExecutive(0, 0) More...
vtkInformation * | GetInputInformation (int port, int index)
| Return the information object that is associated with a particular input connection. More...
vtkInformation * | GetInputInformation ()
| Equivalent to GetInputInformation(0, 0) More...
vtkInformation * | GetOutputInformation (int port)
| Return the information object that is associated with a particular output port. More...
virtual vtkTypeBool | Update (int port, vtkInformationVector *requests)
| This method enables the passing of data requests to the algorithm to be used during execution (in addition to bringing a particular port up-to-date). More...
virtual vtkTypeBool | Update (vtkInformation *requests)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdatePiece (int piece, int numPieces, int ghostLevels, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateExtent (const int extents[6])
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual int | UpdateTimeStep (double time, int piece=-1, int numPieces=1, int ghostLevels=0, const int extents[6]=nullptr)
| Convenience method to update an algorithm after passing requests to its first output port. More...
virtual void | UpdateInformation ()
| Bring the algorithm's information up-to-date. More...
virtual void | UpdateDataObject ()
| Create output object(s). More...
virtual void | PropagateUpdateExtent ()
| Propagate meta-data upstream. More...
virtual void | UpdateWholeExtent ()
| Bring this algorithm's outputs up-to-date. More...
void | ConvertTotalInputToPortConnection (int ind, int &port, int &conn)
| Convenience routine to convert from a linear ordering of input connections to a port/connection pair. More...
virtual vtkInformation * | GetInformation ()
| Set/Get the information object associated with this algorithm. More...
virtual void | SetInformation (vtkInformation *)
| Set/Get the information object associated with this algorithm. More...
bool | UsesGarbageCollector () const override
| Participate in garbage collection. More...
virtual void | SetAbortExecute (vtkTypeBool)
| Set/Get the AbortExecute flag for the process object. More...
virtual vtkTypeBool | GetAbortExecute ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOn ()
| Set/Get the AbortExecute flag for the process object. More...
virtual void | AbortExecuteOff ()
| Set/Get the AbortExecute flag for the process object. More...
virtual double | GetProgress ()
| Get the execution progress of a process object. More...
void | SetContainerAlgorithm (vtkAlgorithm *containerAlg)
| Set/get a Container algorithm for this algorithm. More...
vtkAlgorithm * | GetContainerAlgorithm ()
| Set/get a Container algorithm for this algorithm. More...
virtual void | SetAbortOutput (bool)
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
virtual bool | GetAbortOutput ()
| Set/Get an internal variable used to communicate between the algorithm and executive. More...
void | SetProgressShiftScale (double shift, double scale)
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressShift ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
virtual double | GetProgressScale ()
| Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called. More...
void | SetProgressText (const char *ptext)
| Set the current text message associated with the progress state. More...
virtual char * | GetProgressText ()
| Set the current text message associated with the progress state. More...
virtual unsigned long | GetErrorCode ()
| The error code contains a possible error that occurred while reading or writing the file. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, const char *name)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, int port, int connection, int fieldAssociation, int fieldAttributeType)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputArrayToProcess (int idx, vtkInformation *info)
| Set the input data arrays that this algorithm will process. More...
virtual void | SetInputConnection (int port, vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | SetInputConnection (vtkAlgorithmOutput *input)
| Set the connection for the given input port index. More...
virtual void | AddInputConnection (int port, vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | AddInputConnection (vtkAlgorithmOutput *input)
| Add a connection to the given input port index. More...
virtual void | Update (int port)
| Bring this algorithm's outputs up-to-date. More...
virtual void | Update ()
| Bring this algorithm's outputs up-to-date. More...
virtual void | SetReleaseDataFlag (vtkTypeBool)
| Turn release data flag on or off for all output ports. More...
virtual vtkTypeBool | GetReleaseDataFlag ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOn ()
| Turn release data flag on or off for all output ports. More...
void | ReleaseDataFlagOff ()
| Turn release data flag on or off for all output ports. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, vtkDataObject *output)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int | UpdateExtentIsEmpty (vtkInformation *pinfo, int extentType)
| This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0. More...
int * | GetUpdateExtent ()
| These functions return the update extent for output ports that use 3D extents. More...
int * | GetUpdateExtent (int port)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int &x0, int &x1, int &y0, int &y1, int &z0, int &z1)
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
void | GetUpdateExtent (int port, int extent[6])
| These functions return the update extent for output ports that use 3D extents. More...
int | GetUpdatePiece ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdatePiece (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateNumberOfPieces (int port)
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel ()
| These functions return the update extent for output ports that use piece extents. More...
int | GetUpdateGhostLevel (int port)
| These functions return the update extent for output ports that use piece extents. More...
void | SetProgressObserver (vtkProgressObserver *)
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
virtual vtkProgressObserver * | GetProgressObserver ()
| If an ProgressObserver is set, the algorithm will report progress through it rather than directly. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...

## Static Public Member Functions
static vtkAlgorithm * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkAlgorithm * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | INPUT_IS_OPTIONAL ()
| Keys used to specify input port requirements. More...
static vtkInformationIntegerKey * | INPUT_IS_REPEATABLE ()
static vtkInformationInformationVectorKey * | INPUT_REQUIRED_FIELDS ()
static vtkInformationStringVectorKey * | INPUT_REQUIRED_DATA_TYPE ()
static vtkInformationInformationVectorKey * | INPUT_ARRAYS_TO_PROCESS ()
static vtkInformationIntegerKey * | INPUT_PORT ()
static vtkInformationIntegerKey * | INPUT_CONNECTION ()
static vtkInformationIntegerKey * | CAN_PRODUCE_SUB_EXTENT ()
| This key tells the executive that a particular output port is capable of producing an arbitrary subextent of the whole extent. More...
static vtkInformationIntegerKey * | CAN_HANDLE_PIECE_REQUEST ()
| Key that tells the pipeline that a particular algorithm can or cannot handle piece request. More...
static vtkInformationIntegerKey * | ABORTED ()
static void | SetDefaultExecutivePrototype (vtkExecutive *proto)
| If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance(). More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Public Attributes
std::atomic< vtkTypeBool > | AbortExecute

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkAlgorithm ()
| ~vtkAlgorithm () override
bool | CheckUpstreamAbort ()
| Checks to see if an upstream filter has been aborted. More...
virtual int | FillInputPortInformation (int port, vtkInformation *info)
| Fill the input port information objects for this algorithm. More...
virtual int | FillOutputPortInformation (int port, vtkInformation *info)
| Fill the output port information objects for this algorithm. More...
virtual void | SetNumberOfInputPorts (int n)
| Set the number of input ports used by the algorithm. More...
virtual void | SetNumberOfOutputPorts (int n)
| Set the number of output ports provided by the algorithm. More...
int | InputPortIndexInRange (int index, const char *action)
int | OutputPortIndexInRange (int index, const char *action)
int | GetInputArrayAssociation (int idx, vtkInformationVector **inputVector)
| Get the association of the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkInformation * | GetInputArrayFieldInformation (int idx, vtkInformationVector **inputVector)
| This method takes in an index (as specified in SetInputArrayToProcess) and a pipeline information vector. More...
virtual vtkExecutive * | CreateDefaultExecutive ()
| Create a default executive. More...
void | ReportReferences (vtkGarbageCollector *) override
virtual void | SetNthInputConnection (int port, int index, vtkAlgorithmOutput *input)
| Replace the Nth connection on the given input port. More...
virtual void | SetNumberOfInputConnections (int port, int n)
| Set the number of input connections on the given input port. More...
void | SetInputDataInternal (int port, vtkDataObject *input)
| These methods are used by subclasses to implement methods to set data objects directly as input. More...
void | AddInputDataInternal (int port, vtkDataObject *input)
int | GetInputArrayAssociation (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
int | GetInputArrayAssociation (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkDataArray * | GetInputArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkInformationVector **inputVector, int &association)
| Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, int connection, vtkInformationVector **inputVector, int &association)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input)
| Filters that have multiple connections on one port can use this signature. More...
vtkAbstractArray * | GetInputAbstractArrayToProcess (int idx, vtkDataObject *input, int &association)
| Filters that have multiple connections on one port can use this signature. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Static Protected Member Functions
static vtkInformationIntegerKey * | PORT_REQUIREMENTS_FILLED ()
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Protected Attributes
vtkTimeStamp | LastAbortCheckTime
vtkInformation * | Information
double | Progress
char * | ProgressText
vtkProgressObserver * | ProgressObserver
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Static Protected Attributes
static vtkTimeStamp | LastAbortTime
static vtkExecutive * | DefaultExecutivePrototype
unsigned long | ErrorCode
| The error code contains a possible error that occurred while reading or writing the file. More...
virtual void | SetErrorCode (unsigned long)
| The error code contains a possible error that occurred while reading or writing the file. More...

## Detailed Description

Superclass for all sources, filters, and sinks in VTK.

vtkAlgorithm is the superclass for all sources, filters, and sinks in VTK. It defines a generalized interface for executing data processing algorithms. Pipeline connections are associated with input and output ports that are independent of the type of data passing through the connections.

Instances may be used independently or within pipelines with a variety of architectures and update mechanisms. Pipelines are controlled by instances of vtkExecutive. Every vtkAlgorithm instance has an associated vtkExecutive when it is used in a pipeline. The executive is responsible for data flow.

Events:
  vtkCommand::ProgressEvent

Examples:
  vtkAlgorithm (Examples)

Online Examples:

Tests:
  vtkAlgorithm (Tests)

Definition at line 60 of file vtkAlgorithm.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkAlgorithm::Superclass

Definition at line 64 of file vtkAlgorithm.h.

## Member Enumeration Documentation

## ◆ DesiredOutputPrecision

enum vtkAlgorithm::DesiredOutputPrecision

Values used for setting the desired output precision for various algorithms.

Currently, the following algorithms support changing their output precision: vtkAppendPolyData, vtkCleanPolyData, vtkClipPolyData, vtkConnectivityFilter, vtkDecimatePolylineFilter, vtkDecimatePro, vtkDelaunay3D, vtkFeatureEdges, vtkGlyph3D, vtkHedgeHog, vtkMaskPoints, vtkPolyDataConnectivityFilter, vtkSmoothPolyDataFilter, vtkStaticCleanPolyData, vtkThresholdPoints, vtkTubeFilter, vtkAppendPoints, vtkTransformFilter, vtkTransformPolyDataFilter, vtkLinearToQuadraticCellsFilter, vtkProcrustesAlignmentFilter, vtkAdaptiveSubdivisionFilter, vtkBoundedPointSource, vtkArcSource, vtkConeSource, vtkCubeSource, vtkCylinderSource, vtkDiskSource, vtkEllipseArcSource, vtkEllipticalButtonSource, vtkFrustumSource, vtkGlyphSource2D, vtkLineSource, vtkOutlineSource, vtkParametricFunctionSource, vtkPlaneSource, vtkPlatonicSolidSource, vtkPointSource, vtkRectangularButtonSource, vtkRegularPolygonSource, vtkSphereSource, vtkSuperquadricSource, vtkTessellatedBoxSource, vtkTextSource, vtkTexturedSphereSource, vtkImageToPoints, vtkDepthImageToPointCloud. SINGLE_PRECISION - Output single-precision floating-point (i.e. float) DOUBLE_PRECISION - Output double-precision floating-point (i.e. double) DEFAULT_PRECISION - Output precision should match the input precision.

Enumerator
SINGLE_PRECISION |
DOUBLE_PRECISION |
DEFAULT_PRECISION |

Definition at line 87 of file vtkAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ vtkAlgorithm()

vtkAlgorithm::vtkAlgorithm | ( |  | ) |
| protected

## ◆ ~vtkAlgorithm()

vtkAlgorithm::~vtkAlgorithm | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkAlgorithm* vtkAlgorithm::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkAlgorithm::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkAlgorithm::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

Reimplemented in vtkQtTableRepresentation, vtkRenderedTreeAreaRepresentation, vtkRenderedSurfaceRepresentation, vtkRenderedRepresentation, vtkRenderedHierarchyRepresentation, vtkRenderedGraphRepresentation, vtkParallelCoordinatesRepresentation, vtkParallelCoordinatesHistogramRepresentation, vtkApplyIcons, vtkApplyColors, vtkEmptyRepresentation, vtkDataRepresentation, vtkConvertSelectionDomain, vtkWebGPUPolyDataMapper, vtkSmartVolumeMapper, vtkOpenGLProjectedTetrahedraMapper, vtkOpenGLGPUVolumeRayCastMapper, vtkMultiBlockVolumeMapper, vtkMultiBlockUnstructuredGridVolumeMapper, vtkAMRVolumeMapper, vtkVolumeRayCastSpaceLeapingImageFilter, vtkVolumeOutlineSource, vtkVolumeMapper, vtkUnstructuredGridVolumeZSweepMapper, vtkUnstructuredGridVolumeRayCastMapper, vtkUnstructuredGridVolumeMapper, vtkProjectedTetrahedraMapper, vtkOSPRayVolumeInterface, vtkGPUVolumeRayCastMapper, vtkFixedPointVolumeRayCastMapper, vtkOSPRayVolumeMapper, vtkQtTreeRingLabelMapper, vtkQImageToImageSource, vtkPBRPrefilterTexture, vtkPBRLUTTexture, vtkPBRIrradianceTexture, vtkOpenGLTexture, vtkOpenGLTextMapper, vtkOpenGLStickMapper, vtkOpenGLSphereMapper, vtkOpenGLPolyDataMapper2D, vtkOpenGLPolyDataMapper, vtkOpenGLPointGaussianMapper, vtkOpenGLLabeledContourMapper, vtkOpenGLImageSliceMapper, vtkOpenGLImageMapper, vtkOpenGLHyperTreeGridMapper, vtkOpenGLGlyph3DMapper, vtkOpenGLGlyph3DHelper, vtkOpenGLFluidMapper, vtkOpenGLES30PolyDataMapper2D, vtkOpenGLES30PolyDataMapper, vtkEquirectangularToCubeMapTexture, vtkSurfaceLICMapper, vtkStructuredGridLIC2D, vtkImageDataLIC2D, vtkCompositeSurfaceLICMapper, vtkPointSetToLabelHierarchy, vtkLabelSizeCalculator, vtkLabelPlacer, vtkLabelPlacementMapper, vtkLabelHierarchyAlgorithm, vtkLabeledTreeMapDataMapper, vtkLabeledDataMapper, vtkDynamic2DLabelMapper, vtkImageResliceMapper, vtkDepthImageToPointCloud, vtkHyperTreeGridMapper, vtkVectorText, vtkWindowToImageFilter, vtkTransformCoordinateSystems, vtkTexture, vtkTextMapper, vtkSelectVisiblePoints, vtkResizingWindowToImageFilter, vtkRendererSource, vtkPolyDataMapper2D, vtkPolyDataMapper, vtkPointGaussianMapper, vtkMapper2D, vtkMapper, vtkMapArrayValues, vtkLabeledContourMapper, vtkImageSliceMapper, vtkImageMapper3D, vtkImageMapper, vtkHierarchicalPolyDataMapper, vtkGraphToGlyphs, vtkGraphMapper, vtkGlyph3DMapper, vtkDistanceToCamera, vtkDataSetMapper, vtkCompositePolyDataMapper, vtkCellGridMapper, vtkAbstractVolumeMapper, vtkAbstractMapper3D, vtkAbstractMapper, vtkAbstractHyperTreeGridMapper, vtkContextMapper2D, vtkOpenGLCellGridMapper, vtkGraphAnnotationLayersFilter, vtkConvexHull2D, vtkArcPlotter, vtkXMLWriterBase, vtkXMLWriter, vtkXMLUnstructuredGridWriter, vtkXMLUnstructuredGridReader, vtkXMLUnstructuredDataWriter, vtkXMLUnstructuredDataReader, vtkXMLUniformGridAMRWriter, vtkXMLUniformGridAMRReader, vtkXMLTableWriter, vtkXMLTableReader, vtkXMLStructuredGridWriter, vtkXMLStructuredGridReader, vtkXMLStructuredDataWriter, vtkXMLStructuredDataReader, vtkXMLRectilinearGridWriter, vtkXMLRectilinearGridReader, vtkXMLReader, vtkXMLPUnstructuredGridReader, vtkXMLPUnstructuredDataReader, vtkXMLPTableReader, vtkXMLPStructuredGridReader, vtkXMLPStructuredDataReader, vtkXMLPRectilinearGridReader, vtkXMLPPolyDataReader, vtkXMLPolyDataWriter, vtkXMLPolyDataReader, vtkXMLPImageDataReader, vtkXMLPHyperTreeGridReader, vtkXMLPDataReader, vtkXMLPDataObjectReader, vtkXMLPartitionedDataSetReader, vtkXMLPartitionedDataSetCollectionReader, vtkXMLMultiGroupDataReader, vtkXMLMultiBlockDataWriter, vtkXMLMultiBlockDataReader, vtkXMLImageDataWriter, vtkXMLImageDataReader, vtkXMLHyperTreeGridWriter, vtkXMLHyperTreeGridReader, vtkXMLHierarchicalDataReader, vtkXMLHierarchicalBoxDataWriter, vtkXMLHierarchicalBoxDataReader, vtkXMLGenericDataObjectReader, vtkXMLDataSetWriter, vtkXMLDataReader, vtkXMLDataObjectWriter, vtkXMLCompositeDataWriter, vtkXMLCompositeDataReader, vtkRTXMLPolyDataReader, vtkXdmf3Writer, vtkXdmf3Reader, vtkXdmfWriter, vtkXdmfReader, vtkVPICReader, vtkWin32VideoSource, vtkVideoSource, vtkVeraOutReader, vtkTRUCHASReader, vtkTecplotTableReader, vtkTableToSQLiteWriter, vtkTableToDatabaseWriter, vtkSQLiteToTableReader, vtkSQLGraphReader, vtkSQLDatabaseTableSource, vtkSQLDatabaseGraphSource, vtkRowQueryToTable, vtkDatabaseToTableReader, vtkSegYReader, vtkTableToPostgreSQLWriter, vtkPostgreSQLToTableReader, vtkPLYWriter, vtkPLYReader, vtkPIOReader, vtkPDALReader, vtkXMLWriter2, vtkXMLPUnstructuredGridWriter, vtkXMLPUnstructuredDataWriter, vtkXMLPUniformGridAMRWriter, vtkXMLPTableWriter, vtkXMLPStructuredGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPPolyDataWriter, vtkXMLPMultiBlockDataWriter, vtkXMLPImageDataWriter, vtkXMLPHyperTreeGridWriter, vtkXMLPHierarchicalBoxDataWriter, vtkXMLPDataWriter, vtkXMLPDataSetWriter, vtkXMLPDataObjectWriter, vtkXMLPartitionedDataSetWriter, vtkXMLPartitionedDataSetCollectionWriter, vtkXMLDataWriterHelper, vtkPXdmf3Writer, vtkPSLACReader, vtkPNetCDFPOPReader, vtkPLSDynaReader, vtkPExodusIIWriter, vtkPExodusIIReader, vtkPOpenFOAMReader, vtkPlot3DMetaReader, vtkPImageWriter, vtkPDataSetWriter, vtkPDataSetReader, vtkPChacoReader, vtkNek5000Reader, vtkMultiBlockPLOT3DReader, vtkEnSightWriter, vtkOpenVDBWriter, vtkOpenVDBReader, vtkOMFReader, vtkOggTheoraWriter, vtkOCCTReader, vtkSLACReader, vtkSLACParticleReader, vtkNetCDFUGRIDReader, vtkNetCDFReader, vtkNetCDFPOPReader, vtkNetCDFCFWriter, vtkNetCDFCFReader, vtkNetCDFCAMReader, vtkMPASReader, vtkTableToMySQLWriter, vtkMySQLToTableReader, vtkPWindBladeReader, vtkMPIMultiBlockPLOT3DReader, vtkPNrrdReader, vtkMPIImageReader, vtkMP4Writer, vtkGenericMovieWriter, vtkAVIWriter, vtkMotionFXCFGReader, vtkMNITransformWriter, vtkMNITransformReader, vtkMNITagPointWriter, vtkMNITagPointReader, vtkMNIObjectWriter, vtkMNIObjectReader, vtkMINCImageWriter, vtkMINCImageReader, vtkLSDynaReader, vtkUnstructuredGridWriter, vtkUnstructuredGridReader, vtkTreeWriter, vtkTreeReader, vtkTableWriter, vtkTableReader, vtkStructuredPointsWriter, vtkStructuredPointsReader, vtkStructuredGridWriter, vtkStructuredGridReader, vtkSimplePointsWriter, vtkSimplePointsReader, vtkRectilinearGridWriter, vtkRectilinearGridReader, vtkPolyDataWriter, vtkPolyDataReader, vtkGraphWriter, vtkGraphReader, vtkGenericDataObjectWriter, vtkGenericDataObjectReader, vtkDataWriter, vtkDataSetWriter, vtkDataSetReader, vtkDataReader, vtkDataObjectWriter, vtkDataObjectReader, vtkCompositeDataWriter, vtkCompositeDataReader, vtkLASReader, vtkIOSSWriter, vtkIOSSReader, vtkXMLTreeReader, vtkXGMLReader, vtkTulipReader, vtkTemporalDelimitedTextReader, vtkRISReader, vtkPhyloXMLTreeWriter, vtkPhyloXMLTreeReader, vtkNewickTreeWriter, vtkNewickTreeReader, vtkMultiNewickTreeReader, vtkISIReader, vtkFixedWidthTextReader, vtkDIMACSGraphWriter, vtkDIMACSGraphReader, vtkDelimitedTextReader, vtkChacoGraphReader, vtkBiomTableReader, vtkOBJPolyDataProcessor, vtkVolumeReader, vtkVolume16Reader, vtkTIFFWriter, vtkTIFFReader, vtkTGAReader, vtkSLCReader, vtkSEPReader, vtkPostScriptWriter, vtkPNMWriter, vtkPNMReader, vtkPNGWriter, vtkPNGReader, vtkOMETIFFReader, vtkNrrdReader, vtkNIFTIImageWriter, vtkNIFTIImageReader, vtkMRCReader, vtkMetaImageWriter, vtkMetaImageReader, vtkMedicalImageReader2, vtkJSONImageWriter, vtkJPEGWriter, vtkJPEGReader, vtkImageWriter, vtkImageReader2, vtkImageReader, vtkImageImport, vtkImageExport, vtkHDRReader, vtkGESignaReader, vtkDICOMImageReader, vtkDEMReader, vtkBMPWriter, vtkBMPReader, vtkHDFReader, vtkH5RageReader, vtkH5PartReader, vtkWindBladeReader, vtkTecplotReader, vtkSTLWriter, vtkSTLReader, vtkPTSReader, vtkProStarReader, vtkParticleReader, vtkOpenFOAMReader, vtkOBJWriter, vtkOBJReader, vtkMFIXReader, vtkMCubesWriter, vtkMCubesReader, vtkIVWriter, vtkHoudiniPolyDataWriter, vtkGLTFWriter, vtkGLTFReader, vtkGAMBITReader, vtkFLUENTReader, vtkFacetWriter, vtkChacoReader, vtkCGMWriter, vtkBYUWriter, vtkBYUReader, vtkAVSucdReader, vtkGeoJSONWriter, vtkGeoJSONReader, vtkGDALVectorReader, vtkGDALRasterReader, vtkFLUENTCFFReader, vtkFidesReader, vtkFFMPEGWriter, vtkFFMPEGVideoSource, vtkJSONDataSetWriter, vtkExodusIIWriter, vtkExodusIIReader, vtkCPExodusIIInSituReader, vtkGenericEnSightReader, vtkEnSightReader, vtkEnSightMasterServerReader, vtkEnSightGoldReader, vtkEnSightGoldBinaryReader, vtkEnSight6Reader, vtkEnSight6BinaryReader, vtkWriter, vtkJavaScriptDataWriter, vtkDelimitedTextWriter, vtkArrayWriter, vtkArrayReader, vtkArrayDataWriter, vtkArrayDataReader, vtkAbstractPolyDataReader, vtkAbstractParticleWriter, vtkCONVERGECFDReader, vtkCityGMLReader, vtkXYZMolReader2, vtkXYZMolReader, vtkVASPTessellationReader, vtkVASPAnimationReader, vtkPDBReader, vtkMoleculeReaderBase, vtkGaussianCubeReader2, vtkGaussianCubeReader, vtkCMLMoleculeReader, vtkCGNSReader, vtkCGNSFileSeriesReader, vtkCesiumPointCloudWriter, vtkCesium3DTilesWriter, vtkCellGridReader, vtkConduitSource, vtkAMRVelodyneReader, vtkAMRFlashReader, vtkAMRFlashParticlesReader, vtkAMReXParticlesReader, vtkAMReXGridReader, vtkAMREnzoReader, vtkAMREnzoParticlesReader, vtkAMRBaseReader, vtkAMRBaseParticlesReader, vtkADIOS2VTXReader, vtkADIOS2CoreImageReader, vtkResliceCursorPolyDataAlgorithm, vtkCameraHandleSource, vtkTreeRingToPolyData, vtkTreeMapToPolyData, vtkTreeMapLayout, vtkSplineGraphEdges, vtkPerturbCoincidentVertices, vtkKCoreLayout, vtkGraphLayout, vtkEdgeLayout, vtkCirclePackToPolyData, vtkCirclePackLayout, vtkAssignCoordinates, vtkAreaLayout, vtkWordCloud, vtkVertexDegree, vtkTreeLevelsFilter, vtkTreeFieldAggregator, vtkTreeDifferenceFilter, vtkTransposeMatrix, vtkTransferAttributes, vtkThresholdTable, vtkThresholdGraph, vtkTableToTreeFilter, vtkTableToSparseArray, vtkTableToGraph, vtkTableToArray, vtkStringToNumeric, vtkStringToCategory, vtkStreamGraph, vtkSparseArrayToTable, vtkRemoveIsolatedVertices, vtkRemoveHiddenData, vtkReduceTable, vtkRandomGraphSource, vtkPruneTreeFilter, vtkPipelineGraphSource, vtkNetworkHierarchy, vtkMergeTables, vtkMergeGraphs, vtkMergeColumns, vtkKCoreDecomposition, vtkGroupLeafVertices, vtkGraphHierarchicalBundleEdges, vtkGenerateIndexArray, vtkExtractSelectedTree, vtkExtractSelectedGraph, vtkExpandSelectedGraph, vtkEdgeCenters, vtkDotProductSimilarity, vtkDataObjectToTable, vtkContinuousScatterplot, vtkCollapseVerticesByArray, vtkCollapseGraph, vtkArrayToTable, vtkArrayNorm, vtkAdjacencyMatrixToEdgeTable, vtkAddMembershipArray, vtkBoostSplitTableField, vtkBoostRandomSparseArraySource, vtkBoostPrimMinimumSpanningTree, vtkBoostLogWeighting, vtkBoostKruskalMinimumSpanningTree, vtkBoostExtractLargestComponent, vtkBoostDividedEdgeBundling, vtkBoostConnectedComponents, vtkBoostBreadthFirstSearchTree, vtkBoostBreadthFirstSearch, vtkBoostBrandesCentrality, vtkBoostBiconnectedComponents, vtkBoostBetweennessClustering, vtkROIStencilSource, vtkPolyDataToImageStencil, vtkLassoStencilSource, vtkImplicitFunctionToImageStencil, vtkImageToImageStencil, vtkImageStencilToImage, vtkImageStencil, vtkImageHistogramStatistics, vtkImageHistogram, vtkImageAccumulate, vtkImageSinusoidSource, vtkImageNoiseSource, vtkImageMandelbrotSource, vtkImageGridSource, vtkImageGaussianSource, vtkImageEllipsoidSource, vtkImageCanvasSource2D, vtkOpenGLImageGradient, vtkImageThresholdConnectivity, vtkImageSkeleton2D, vtkImageSeedConnectivity, vtkImageOpenClose3D, vtkImageNonMaximumSuppression, vtkImageIslandRemoval2D, vtkImageDilateErode3D, vtkImageContinuousErode3D, vtkImageContinuousDilate3D, vtkImageConnectivityFilter, vtkImageWeightedSum, vtkImageMathematics, vtkImageMaskBits, vtkImageMagnitude, vtkImageLogic, vtkImageLogarithmicScale, vtkImageDotProduct, vtkImageDivergence, vtkVoxelModeller, vtkTriangularTexture, vtkSurfaceReconstructionFilter, vtkShepardMethod, vtkSampleFunction, vtkPointLoad, vtkImageToPoints, vtkImageRectilinearWipe, vtkImageCursor3D, vtkGaussianSplatter, vtkFastSplatter, vtkCheckerboardSplatter, vtkBooleanTexture, vtkImageVariance3D, vtkImageSpatialAlgorithm, vtkImageSobel3D, vtkImageSobel2D, vtkImageSlabReslice, vtkImageSlab, vtkImageSeparableConvolution, vtkImageRange3D, vtkImageNormalize, vtkImageMedian3D, vtkImageLaplacian, vtkImageHybridMedian2D, vtkImageGradientMagnitude, vtkImageGradient, vtkImageGaussianSmooth, vtkImageEuclideanToPolar, vtkImageEuclideanDistance, vtkImageCorrelation, vtkImageConvolve, vtkImageCityBlockDistance, vtkImageCheckerboard, vtkImageAnisotropicDiffusion3D, vtkImageAnisotropicDiffusion2D, vtkImageRFFT, vtkImageIdealLowPass, vtkImageIdealHighPass, vtkImageFourierFilter, vtkImageFourierCenter, vtkImageFFT, vtkImageButterworthLowPass, vtkImageButterworthHighPass, vtkRTAnalyticSource, vtkImageWrapPad, vtkImageTranslateExtent, vtkImageThreshold, vtkImageStencilSource, vtkImageStencilAlgorithm, vtkImageShrink3D, vtkImageShiftScale, vtkImageResliceToColors, vtkImageReslice, vtkImageResize, vtkImageResample, vtkImageProbeFilter, vtkImagePermute, vtkImagePadFilter, vtkImageMirrorPad, vtkImageMask, vtkImageMapToColors, vtkImageMagnify, vtkImageIterateFilter, vtkImageFlip, vtkImageExtractComponents, vtkImageDifference, vtkImageDecomposeFilter, vtkImageDataStreamer, vtkImageConstantPad, vtkImageClip, vtkImageChangeInformation, vtkImageCast, vtkImageCacheFilter, vtkImageBSplineCoefficients, vtkImageBlend, vtkImageAppendComponents, vtkExtractVOI, vtkImageYIQToRGB, vtkImageRGBToYIQ, vtkImageRGBToHSV, vtkImageRGBToHSI, vtkImageQuantizeRGBToIndex, vtkImageMapToWindowLevelColors, vtkImageMapToRGBA, vtkImageLuminance, vtkImageHSVToRGB, vtkImageHSIToRGB, vtkRasterReprojectionFilter, vtkMeshQuality, vtkMatrixMathFilter, vtkCellSizeFilter, vtkCellQuality, vtkBoundaryMeshQuality, vtkFiberSurface, vtkTriangularTCoords, vtkTransformTextureCoords, vtkThresholdTextureCoords, vtkTextureMapToSphere, vtkTextureMapToPlane, vtkTextureMapToCylinder, vtkScalarsToTextureFilter, vtkImplicitTextureCoords, vtkYieldCriteria, vtkTensorPrincipalInvariants, vtkStreamingStatistics, vtkStrahlerMetric, vtkStatisticsAlgorithm, vtkPCAStatistics, vtkOrderStatistics, vtkMultiCorrelativeStatistics, vtkLengthDistribution, vtkKMeansStatistics, vtkHighestDensityRegionsStatistics, vtkExtractHistogram, vtkExtractFunctionalBagPlot, vtkDescriptiveStatistics, vtkCorrelativeStatistics, vtkContingencyStatistics, vtkComputeQuartiles, vtkComputeQuantiles, vtkBivariateLinearTableThreshold, vtkAutoCorrelativeStatistics, vtkUniformHyperTreeGridSource, vtkTexturedSphereSource, vtkTextSource, vtkTessellatedBoxSource, vtkSuperquadricSource, vtkSphereSource, vtkSelectionSource, vtkRegularPolygonSource, vtkRectangularButtonSource, vtkRandomHyperTreeGridSource, vtkProgrammableSource, vtkProgrammableDataObjectSource, vtkPolyPointSource, vtkPolyLineSource, vtkPointSource, vtkPointHandleSource, vtkPlatonicSolidSource, vtkPlaneSource, vtkPartitionedDataSetSource, vtkPartitionedDataSetCollectionSource, vtkParametricFunctionSource, vtkOutlineSource, vtkOutlineCornerSource, vtkOutlineCornerFilter, vtkLineSource, vtkHyperTreeGridSource, vtkHyperTreeGridPreConfiguredSource, vtkHandleSource, vtkGraphToPolyData, vtkGlyphSource2D, vtkFrustumSource, vtkEllipticalButtonSource, vtkEllipseArcSource, vtkDiskSource, vtkDiagonalMatrixSource, vtkCylinderSource, vtkCubeSource, vtkConeSource, vtkCellTypeSource, vtkCapsuleSource, vtkButtonSource, vtkArrowSource, vtkArcSource, vtkSMPContourGrid, vtkLinearSelector, vtkKdTreeSelector, vtkCellDistanceSelector, vtkUnstructuredGridToReebGraphFilter, vtkReebGraphVolumeSkeletonFilter, vtkReebGraphToJoinSplitTreeFilter, vtkReebGraphSurfaceSkeletonFilter, vtkReebGraphSimplificationFilter, vtkToImplicitArrayFilter, vtkPythonAlgorithm, vtkProgrammableGlyphFilter, vtkProgrammableFilter, vtkProgrammableAttributeDataFilter, vtkVoxelGrid, vtkUnsignedDistance, vtkStatisticalOutlierRemoval, vtkSPHInterpolator, vtkSignedDistance, vtkRadiusOutlierRemoval, vtkProjectPointsToPlane, vtkPoissonDiskSampler, vtkPointSmoothingFilter, vtkPointOccupancyFilter, vtkPointInterpolator2D, vtkPointInterpolator, vtkPointDensityFilter, vtkPointCloudFilter, vtkPCANormalEstimation, vtkPCACurvatureEstimation, vtkMaskPointsFilter, vtkHierarchicalBinningFilter, vtkFitImplicitFunction, vtkExtractSurface, vtkExtractPoints, vtkExtractPointCloudPiece, vtkExtractHierarchicalBins, vtkExtractEnclosedPoints, vtkEuclideanClusterExtraction, vtkDensifyPointCloudFilter, vtkConvertToPointCloud, vtkConnectedPointsFilter, vtkBoundedPointSource, vtkPCellSizeFilter, vtkPPCAStatistics, vtkPOrderStatistics, vtkPMultiCorrelativeStatistics, vtkPKMeansStatistics, vtkPDescriptiveStatistics, vtkPCorrelativeStatistics, vtkPContingencyStatistics, vtkPComputeQuartiles, vtkPComputeQuantiles, vtkPBivariateLinearTableThreshold, vtkPAutoCorrelativeStatistics, vtkPExtractVOI, vtkPExtractRectilinearGrid, vtkPExtractGrid, vtkDistributedPointCloudFilter, vtkTransmitImageDataPiece, vtkPPairwiseExtractHistogram2D, vtkPExtractHistogram2D, vtkPComputeHistogram2DOutliers, vtkMemoryLimitImageDataStreamer, vtkExtractPiece, vtkPDistributedDataFilter, vtkPConnectivityFilter, vtkPStreamTracer, vtkPStreaklineFilter, vtkPParticleTracerBase, vtkPParticleTracer, vtkPParticlePathFilter, vtkPLagrangianParticleTracker, TestVectorFieldSource, vtkRedistributeDataSetFilter, vtkProbeLineFilter, vtkPResampleWithDataSet, vtkPResampleToImage, vtkOverlappingCellsDetector, vtkGhostCellsGenerator, vtkGenerateGlobalIds, vtkExtractSubsetWithSeed, vtkDIYAggregateDataSetFilter, vtkAdaptiveResampleToImage, vtkTransmitUnstructuredGridPiece, vtkTransmitStructuredGridPiece, vtkTransmitStructuredDataPiece, vtkTransmitRectilinearGridPiece, vtkTransmitPolyDataPiece, vtkRemoveGhosts, vtkRectilinearGridOutlineFilter, vtkPYoungsMaterialInterface, vtkPTextureMapToSphere, vtkPSphereSource, vtkProcessIdScalars, vtkPResampleFilter, vtkPReflectionFilter, vtkPProjectSphereFilter, vtkPProbeFilter, vtkPPolyDataNormals, vtkPOutlineFilter, vtkPOutlineCornerFilter, vtkPMergeArrays, vtkPMaskPoints, vtkPLinearExtrusionFilter, vtkPieceScalars, vtkPieceRequestFilter, vtkPHyperTreeGridProbeFilter, vtkPExtractSelectedArraysOverTime, vtkPExtractExodusGlobalTemporalVariables, vtkPExtractDataArraysOverTime, vtkPeriodicFilter, vtkPConvertToMultiBlockDataSet, vtkPCellDataToPointData, vtkPartitionBalancer, vtkIntegrateAttributes, vtkHyperTreeGridGhostCellsGenerator, vtkGenerateProcessIds, vtkExtractUserDefinedPiece, vtkExtractUnstructuredGridPiece, vtkExtractPolyDataPiece, vtkExtractCTHPart, vtkDuplicatePolyData, vtkDistributedDataFilter, vtkCutMaterial, vtkCollectTable, vtkCollectPolyData, vtkCollectGraph, vtkAngularPeriodicFilter, vtkAlignImageDataSetFilter, vtkAggregateDataSetFilter, vtkAdaptiveTemporalInterpolator, vtkOTKernelSmoothing, vtkOTFilter, vtkOTDensityMap, vtkVolumeOfRevolutionFilter, vtkTrimmedExtrusionFilter, vtkSubdivideTetra, vtkSpherePuzzleArrows, vtkSpherePuzzle, vtkSelectPolyData, vtkSelectEnclosedPoints, vtkSectorSource, vtkRuledSurfaceFilter, vtkRotationalExtrusionFilter, vtkRibbonFilter, vtkQuadRotationalExtrusionFilter, vtkProjectedTexture, vtkPolyDataPointSampler, vtkOutlineFilter, vtkLoopSubdivisionFilter, vtkLinearSubdivisionFilter, vtkLinearExtrusionFilter, vtkLinearCellExtrusionFilter, vtkImprintFilter, vtkImageDataOutlineFilter, vtkHyperTreeGridOutlineFilter, vtkHausdorffDistancePointSetFilter, vtkGraphGeodesicPath, vtkGeodesicPath, vtkFitToHeightMapFilter, vtkFillHolesFilter, vtkDijkstraImageGeodesicPath, vtkDijkstraGraphGeodesicPath, vtkCookieCutter, vtkContourLoopExtraction, vtkCollisionDetectionFilter, vtkButterflySubdivisionFilter, vtkBandedPolyDataContourFilter, vtkAdaptiveSubdivisionFilter, vtkPairwiseExtractHistogram2D, vtkExtractHistogram2D, vtkComputeHistogram2DOutliers, vtkImageDataToHyperTreeGrid, vtkHyperTreeGridToUnstructuredGrid, vtkHyperTreeGridToDualGrid, vtkHyperTreeGridThreshold, vtkHyperTreeGridPlaneCutter, vtkHyperTreeGridGradient, vtkHyperTreeGridGeometry, vtkHyperTreeGridEvaluateCoarse, vtkHyperTreeGridDepthLimiter, vtkHyperTreeGridContour, vtkHyperTreeGridCellCenters, vtkHyperTreeGridAxisReflection, vtkHyperTreeGridAxisCut, vtkHyperTreeGridAxisClip, vtkWeightedTransformFilter, vtkTransformToGrid, vtkTemporalSnapToTimeStep, vtkTemporalShiftScale, vtkTemporalInterpolator, vtkTemporalFractal, vtkTemporalDataSetCache, vtkTemporalArrayOperatorFilter, vtkRenderLargeImage, vtkProjectedTerrainPath, vtkProcrustesAlignmentFilter, vtkPolyDataSilhouette, vtkPCAAnalysisFilter, vtkImplicitModeller, vtkImageToPolyDataFilter, vtkGreedyTerrainDecimation, vtkGenerateTimeSteps, vtkForceTime, vtkFacetReader, vtkEarthSource, vtkDepthSortPolyData, vtkAdaptiveDataSetSurfaceFilter, vtkPointSetToOctreeImageFilter, vtkPointSetStreamer, vtkOctreeImageToPointSetFilter, vtkUnstructuredGridGeometryFilter, vtkStructuredPointsGeometryFilter, vtkStructuredGridPartitioner, vtkStructuredGridGeometryFilter, vtkRectilinearGridPartitioner, vtkRectilinearGridGeometryFilter, vtkRecoverGeometryWireframe, vtkProjectSphereFilter, vtkMarkBoundaryFilter, vtkLinearToQuadraticCellsFilter, vtkImageDataToUniformGrid, vtkImageDataGeometryFilter, vtkHierarchicalDataSetGeometryFilter, vtkGeometryFilter, vtkExplicitStructuredGridSurfaceFilter, vtkDataSetSurfaceFilter, vtkDataSetRegionSurfaceFilter, vtkCompositeDataGeometryFilter, vtkAttributeSmoothingFilter, vtkGenericStreamTracer, vtkGenericProbeFilter, vtkGenericOutlineFilter, vtkGenericGlyph3DFilter, vtkGenericGeometryFilter, vtkGenericDataSetTessellator, vtkGenericCutter, vtkGenericContourFilter, vtkGenericClip, vtkYoungsMaterialInterface, vtkWarpVector, vtkWarpTo, vtkWarpScalar, vtkWarpLens, vtkVoxelContoursToSurfaceFilter, vtkVolumeContourSpectrumFilter, vtkVertexGlyphFilter, vtkUncertaintyTubeFilter, vtkTransformPolyDataFilter, vtkTransformFilter, vtkTimeSourceExample, vtkTessellatorFilter, vtkTemporalStatistics, vtkTemporalPathLineFilter, vtkTableToStructuredGrid, vtkTableToPolyData, vtkTableFFT, vtkTableBasedClipDataSet, vtkSynchronizeTimeFilter, vtkSubPixelPositionEdgels, vtkSubdivisionFilter, vtkStructuredGridClip, vtkSplitField, vtkSplitColumnComponents, vtkSplitByCellScalarFilter, vtkSplineFilter, vtkSphericalHarmonics, vtkSpatialRepresentationFilter, vtkShrinkPolyData, vtkShrinkFilter, vtkSampleImplicitFunctionFilter, vtkRotationFilter, vtkRemovePolyData, vtkReflectionFilter, vtkRecursiveDividingCubes, vtkRectilinearGridToTetrahedra, vtkRectilinearGridToPointSet, vtkRectilinearGridClip, vtkRandomAttributeGenerator, vtkQuantizePolyDataPoints, vtkQuadratureSchemeDictionaryGenerator, vtkQuadraturePointsGenerator, vtkQuadraturePointInterpolator, vtkProbePolyhedron, vtkPolyDataToReebGraphFilter, vtkPolyDataStreamer, vtkPointConnectivityFilter, vtkPassSelectedArrays, vtkPassArrays, vtkOverlappingAMRLevelIdScalars, vtkOBBDicer, vtkNormalizeMatrixVectors, vtkNonOverlappingAMRLevelIdScalars, vtkMultiThreshold, vtkMultiBlockMergeFilter, vtkMultiBlockDataGroupFilter, vtkMergeVectorComponents, vtkMergeTimeFilter, vtkMergeArrays, vtkMatricizeArray, vtkMarchingContourFilter, vtkLoopBooleanPolyDataFilter, vtkLinkEdgels, vtkLevelIdScalars, vtkJoinTables, vtkIntersectionPolyDataFilter, vtkInterpolatingSubdivisionFilter, vtkInterpolateDataSetAttributes, vtkImageMarchingCubes, vtkImageDataToPointSet, vtkIconGlyphFilter, vtkHyperStreamline, vtkHierarchicalDataLevelFilter, vtkGroupTimeStepsFilter, vtkGroupDataSetsFilter, vtkGraphWeightFilter, vtkGraphWeightEuclideanDistanceFilter, vtkGraphToPoints, vtkGraphLayoutFilter, vtkGradientFilter, vtkFiniteElementFieldDistributor, vtkExtractSelectionBase, vtkExtractSelectedFrustum, vtkExtractGhostCells, vtkExtractArray, vtkEqualizerFilter, vtkEdgePoints, vtkDistancePolyDataFilter, vtkDiscreteMarchingCubes, vtkDiscreteFlyingEdgesClipper2D, vtkDiscreteFlyingEdges3D, vtkDiscreteFlyingEdges2D, vtkDicer, vtkDensifyPolyData, vtkDeformPointSet, vtkDeflectNormals, vtkDateToNumeric, vtkDataSetTriangleFilter, vtkDataSetGradientPrecompute, vtkDataSetGradient, vtkCurvatures, vtkCursor3D, vtkCursor2D, vtkCountVertices, vtkCountFaces, vtkContourTriangulator, vtkClipVolume, vtkClipDataSet, vtkClipConvexPolyData, vtkClipClosedSurface, vtkCleanUnstructuredGridCells, vtkCleanUnstructuredGrid, vtkCellValidator, vtkCellDerivatives, vtkBrownianPoints, vtkBoxClipDataSet, vtkBooleanOperationPolyDataFilter, vtkBlockIdScalars, vtkBlankStructuredGridWithImage, vtkBlankStructuredGrid, vtkAxes, vtkAreaContourSpectrumFilter, vtkApproximatingSubdivisionFilter, vtkAppendPoints, vtkAppendLocationAttributes, vtkAnnotationLink, vtkAnimateModes, vtkVortexCore, vtkVectorFieldTopology, vtkStreamTracer, vtkStreamSurface, vtkStreaklineFilter, vtkParticleTracerBase, vtkParticleTracer, vtkParticlePathFilter, vtkParallelVectors, vtkLagrangianParticleTracker, vtkEvenlySpacedStreamlines2D, vtkProbeSelectedLocations, vtkHierarchicalDataExtractLevel, vtkHierarchicalDataExtractDataSets, vtkExtractVectorComponents, vtkExtractUnstructuredGrid, vtkExtractTimeSteps, vtkExtractTensorComponents, vtkExtractSelection, vtkExtractSelectedThresholds, vtkExtractSelectedRows, vtkExtractSelectedPolyDataIds, vtkExtractSelectedLocations, vtkExtractSelectedIds, vtkExtractSelectedBlock, vtkExtractSelectedArraysOverTime, vtkExtractRectilinearGrid, vtkExtractPolyDataGeometry, vtkExtractParticlesOverTime, vtkExtractLevel, vtkExtractGrid, vtkExtractGeometry, vtkExtractExodusGlobalTemporalVariables, vtkExtractDataSets, vtkExtractDataOverTime, vtkExtractDataArraysOverTime, vtkExtractCellsByType, vtkExtractBlockUsingDataAssembly, vtkExtractBlock, vtkExpandMarkedElements, vtkConvertSelection, vtkWindowedSincPolyDataFilter, vtkVoronoi2D, vtkVectorNorm, vtkVectorDot, vtkUnstructuredGridToExplicitStructuredGrid, vtkUnstructuredGridQuadricDecimation, vtkTubeFilter, vtkTubeBender, vtkTriangleMeshPointNormals, vtkTriangleFilter, vtkTransposeTable, vtkThresholdPoints, vtkThreshold, vtkTensorGlyph, vtkSynchronizedTemplatesCutter3D, vtkSynchronizedTemplates3D, vtkSynchronizedTemplates2D, vtkSurfaceNets3D, vtkSurfaceNets2D, vtkStructuredGridOutlineFilter, vtkStructuredGridAppend, vtkStructuredDataPlaneCutter, vtkStripper, vtkStreamerBase, vtkStaticCleanUnstructuredGrid, vtkStaticCleanPolyData, vtkSphereTreeFilter, vtkSmoothPolyDataFilter, vtkSimpleElevationFilter, vtkReverseSense, vtkResampleWithDataSet, vtkResampleToImage, vtkRemoveUnusedPoints, vtkRemoveDuplicatePolys, vtkRectilinearSynchronizedTemplates, vtkRearrangeFields, vtkQuadricDecimation, vtkQuadricClustering, vtkProbeFilter, vtkPolyDataToUnstructuredGrid, vtkPolyDataTangents, vtkPolyDataPlaneCutter, vtkPolyDataPlaneClipper, vtkPolyDataNormals, vtkPolyDataEdgeConnectivityFilter, vtkPolyDataConnectivityFilter, vtkPointDataToCellData, vtkPlaneCutter, vtkPassThrough, vtkPackLabels, vtkMultiObjectMassProperties, vtkMoleculeAppend, vtkMergeFilter, vtkMergeFields, vtkMergeDataObjectFilter, vtkMassProperties, vtkMaskPolyData, vtkMaskPoints, vtkMaskFields, vtkMarchingSquares, vtkMarchingCubes, vtkImageDataToExplicitStructuredGrid, vtkImageAppend, vtkIdFilter, vtkHyperTreeGridProbeFilter, vtkHull, vtkHedgeHog, vtkGridSynchronizedTemplates3D, vtkGlyph3D, vtkGlyph2D, vtkFlyingEdgesPlaneCutter, vtkFlyingEdges3D, vtkFlyingEdges2D, vtkFieldDataToDataSetAttribute, vtkFieldDataToAttributeDataFilter, vtkFeatureEdges, vtkExtractEdges, vtkExtractCellsAlongPolyLine, vtkExtractCells, vtkExplicitStructuredGridToUnstructuredGrid, vtkExplicitStructuredGridCrop, vtkElevationFilter, vtkDelaunay3D, vtkDelaunay2D, vtkDecimatePro, vtkDecimatePolylineFilter, vtkDataSetToDataObjectFilter, vtkDataObjectToDataSetFilter, vtkDataObjectGenerator, vtkCutter, vtkConvertToPolyhedra, vtkConvertToPartitionedDataSetCollection, vtkConvertToMultiBlockDataSet, vtkContourGrid, vtkContourFilter, vtkContour3DLinearGrid, vtkConstrainedSmoothingFilter, vtkConnectivityFilter, vtkCompositeDataProbeFilter, vtkCompositeCutter, vtkClipPolyData, vtkCleanPolyData, vtkCenterOfMass, vtkCellDataToPointData, vtkCellCenters, vtkBinnedDecimation, vtkBinCellDataFilter, vtkAttributeDataToTableFilter, vtkAttributeDataToFieldDataFilter, vtkAssignAttribute, vtkArrayRename, vtkArrayCalculator, vtkAppendSelection, vtkAppendPolyData, vtkAppendFilter, vtkAppendDataSets, vtkAppendCompositeDataLeaves, vtkAppendArcLength, vtk3DLinearGridPlaneCutter, vtk3DLinearGridCrinkleExtractor, vtkCellGridComputeSurface, vtkImageToAMR, vtkAMRToMultiBlockFilter, vtkAMRSliceFilter, vtkAMRResampleFilter, vtkAMRGaussianPulseSource, vtkAMRCutPlane, vtkPSimpleBondPerceiver, vtkOpenSlideReader, vtkOpenGLMoleculeMapper, vtkSimpleBondPerceiver, vtkProteinRibbonFilter, vtkPointSetToMoleculeFilter, vtkOpenQubeMoleculeSource, vtkMoleculeToPolyDataFilter, vtkMoleculeToLinesFilter, vtkMoleculeToBondStickFilter, vtkMoleculeToAtomBallFilter, vtkMoleculeMapper, vtkUnstructuredGridBaseAlgorithm, vtkUnstructuredGridAlgorithm, vtkUniformGridPartitioner, vtkUniformGridAMRAlgorithm, vtkUndirectedGraphAlgorithm, vtkTrivialProducer, vtkTrivialConsumer, vtkTreeAlgorithm, vtkThreadedImageAlgorithm, vtkTableAlgorithm, vtkStructuredGridAlgorithm, vtkSimpleReader, vtkSimpleImageToImageFilter, vtkSelectionAlgorithm, vtkRectilinearGridAlgorithm, vtkReaderAlgorithm, vtkPolyDataAlgorithm, vtkPointSetAlgorithm, vtkPiecewiseFunctionShiftScale, vtkPiecewiseFunctionAlgorithm, vtkPassInputTypeAlgorithm, vtkPartitionedDataSetCollectionAlgorithm, vtkPartitionedDataSetAlgorithm, vtkParallelReader, vtkOverlappingAMRAlgorithm, vtkNonOverlappingAMRAlgorithm, vtkMultiTimeStepAlgorithm, vtkMultiBlockDataSetAlgorithm, vtkMoleculeAlgorithm, vtkImageToStructuredPoints, vtkImageToStructuredGrid, vtkImageInPlaceFilter, vtkImageAlgorithm, vtkHyperTreeGridAlgorithm, vtkHierarchicalBoxDataSetAlgorithm, vtkGraphAlgorithm, vtkExplicitStructuredGridAlgorithm, vtkEnsembleSource, vtkDirectedGraphAlgorithm, vtkDataSetAlgorithm, vtkDataObjectAlgorithm, vtkCompositeDataSetAlgorithm, vtkCellGridAlgorithm, vtkCastToConcrete, vtkArrayDataAlgorithm, vtkAnnotationLayersAlgorithm, vtkmWarpVector, vtkmWarpScalar, vtkmTriangleMeshPointNormals, vtkmThreshold, vtkmSlice, vtkmProbe, vtkmPolyDataNormals, vtkmPointTransform, vtkmPointElevation, vtkmNDHistogram, vtkmLevelOfDetail, vtkmImageConnectivity, vtkmHistogram, vtkmGradient, vtkmExtractVOI, vtkmExternalFaces, vtkmCoordinateSystemTransform, vtkmContour, vtkmClip, vtkmCleanGrid, vtkmAverageToPoints, and vtkmAverageToCells.

## ◆ SafeDownCast()

static vtkAlgorithm* vtkAlgorithm::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkAlgorithm::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented in vtkQtTableRepresentation, vtkRenderedTreeAreaRepresentation, vtkRenderedSurfaceRepresentation, vtkRenderedRepresentation, vtkRenderedHierarchyRepresentation, vtkRenderedGraphRepresentation, vtkParallelCoordinatesRepresentation, vtkParallelCoordinatesHistogramRepresentation, vtkApplyIcons, vtkApplyColors, vtkEmptyRepresentation, vtkDataRepresentation, vtkConvertSelectionDomain, vtkWebGPUPolyDataMapper, vtkSmartVolumeMapper, vtkOpenGLProjectedTetrahedraMapper, vtkOpenGLGPUVolumeRayCastMapper, vtkMultiBlockVolumeMapper, vtkMultiBlockUnstructuredGridVolumeMapper, vtkAMRVolumeMapper, vtkVolumeRayCastSpaceLeapingImageFilter, vtkVolumeOutlineSource, vtkVolumeMapper, vtkUnstructuredGridVolumeZSweepMapper, vtkUnstructuredGridVolumeRayCastMapper, vtkUnstructuredGridVolumeMapper, vtkProjectedTetrahedraMapper, vtkOSPRayVolumeInterface, vtkGPUVolumeRayCastMapper, vtkFixedPointVolumeRayCastMapper, vtkOSPRayVolumeMapper, vtkQtTreeRingLabelMapper, vtkQImageToImageSource, vtkPBRPrefilterTexture, vtkPBRLUTTexture, vtkPBRIrradianceTexture, vtkOpenGLTexture, vtkOpenGLTextMapper, vtkOpenGLStickMapper, vtkOpenGLSphereMapper, vtkOpenGLPolyDataMapper2D, vtkOpenGLPolyDataMapper, vtkOpenGLPointGaussianMapper, vtkOpenGLLabeledContourMapper, vtkOpenGLImageSliceMapper, vtkOpenGLImageMapper, vtkOpenGLHyperTreeGridMapper, vtkOpenGLGlyph3DMapper, vtkOpenGLGlyph3DHelper, vtkOpenGLFluidMapper, vtkOpenGLES30PolyDataMapper2D, vtkOpenGLES30PolyDataMapper, vtkEquirectangularToCubeMapTexture, vtkSurfaceLICMapper, vtkStructuredGridLIC2D, vtkImageDataLIC2D, vtkCompositeSurfaceLICMapper, vtkPointSetToLabelHierarchy, vtkLabelSizeCalculator, vtkLabelPlacer, vtkLabelPlacementMapper, vtkLabelHierarchyAlgorithm, vtkLabeledTreeMapDataMapper, vtkLabeledDataMapper, vtkDynamic2DLabelMapper, vtkImageResliceMapper, vtkDepthImageToPointCloud, vtkHyperTreeGridMapper, vtkVectorText, vtkWindowToImageFilter, vtkTransformCoordinateSystems, vtkTexture, vtkTextMapper, vtkSelectVisiblePoints, vtkResizingWindowToImageFilter, vtkRendererSource, vtkPolyDataMapper2D, vtkPolyDataMapper, vtkPointGaussianMapper, vtkMapper2D, vtkMapper, vtkMapArrayValues, vtkLabeledContourMapper, vtkImageSliceMapper, vtkImageMapper3D, vtkImageMapper, vtkHierarchicalPolyDataMapper, vtkGraphToGlyphs, vtkGraphMapper, vtkGlyph3DMapper, vtkDistanceToCamera, vtkDataSetMapper, vtkCompositePolyDataMapper, vtkCellGridMapper, vtkAbstractVolumeMapper, vtkAbstractMapper3D, vtkAbstractMapper, vtkAbstractHyperTreeGridMapper, vtkContextMapper2D, vtkOpenGLCellGridMapper, vtkGraphAnnotationLayersFilter, vtkConvexHull2D, vtkArcPlotter, vtkXMLWriterBase, vtkXMLWriter, vtkXMLUnstructuredGridWriter, vtkXMLUnstructuredGridReader, vtkXMLUnstructuredDataWriter, vtkXMLUnstructuredDataReader, vtkXMLUniformGridAMRWriter, vtkXMLUniformGridAMRReader, vtkXMLTableWriter, vtkXMLTableReader, vtkXMLStructuredGridWriter, vtkXMLStructuredGridReader, vtkXMLStructuredDataWriter, vtkXMLStructuredDataReader, vtkXMLRectilinearGridWriter, vtkXMLRectilinearGridReader, vtkXMLReader, vtkXMLPUnstructuredGridReader, vtkXMLPUnstructuredDataReader, vtkXMLPTableReader, vtkXMLPStructuredGridReader, vtkXMLPStructuredDataReader, vtkXMLPRectilinearGridReader, vtkXMLPPolyDataReader, vtkXMLPolyDataWriter, vtkXMLPolyDataReader, vtkXMLPImageDataReader, vtkXMLPHyperTreeGridReader, vtkXMLPDataReader, vtkXMLPDataObjectReader, vtkXMLPartitionedDataSetReader, vtkXMLPartitionedDataSetCollectionReader, vtkXMLMultiGroupDataReader, vtkXMLMultiBlockDataWriter, vtkXMLMultiBlockDataReader, vtkXMLImageDataWriter, vtkXMLImageDataReader, vtkXMLHyperTreeGridWriter, vtkXMLHyperTreeGridReader, vtkXMLHierarchicalDataReader, vtkXMLHierarchicalBoxDataWriter, vtkXMLHierarchicalBoxDataReader, vtkXMLGenericDataObjectReader, vtkXMLDataSetWriter, vtkXMLDataReader, vtkXMLDataObjectWriter, vtkXMLCompositeDataWriter, vtkXMLCompositeDataReader, vtkRTXMLPolyDataReader, vtkXdmf3Writer, vtkXdmf3Reader, vtkXdmfWriter, vtkXdmfReader, vtkVPICReader, vtkWin32VideoSource, vtkVideoSource, vtkVeraOutReader, vtkTRUCHASReader, vtkTecplotTableReader, vtkTableToSQLiteWriter, vtkTableToDatabaseWriter, vtkSQLiteToTableReader, vtkSQLGraphReader, vtkSQLDatabaseTableSource, vtkSQLDatabaseGraphSource, vtkRowQueryToTable, vtkDatabaseToTableReader, vtkSegYReader, vtkTableToPostgreSQLWriter, vtkPostgreSQLToTableReader, vtkPLYWriter, vtkPLYReader, vtkPIOReader, vtkPDALReader, vtkXMLWriter2, vtkXMLPUnstructuredGridWriter, vtkXMLPUnstructuredDataWriter, vtkXMLPUniformGridAMRWriter, vtkXMLPTableWriter, vtkXMLPStructuredGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPPolyDataWriter, vtkXMLPMultiBlockDataWriter, vtkXMLPImageDataWriter, vtkXMLPHyperTreeGridWriter, vtkXMLPHierarchicalBoxDataWriter, vtkXMLPDataWriter, vtkXMLPDataSetWriter, vtkXMLPDataObjectWriter, vtkXMLPartitionedDataSetWriter, vtkXMLPartitionedDataSetCollectionWriter, vtkXMLDataWriterHelper, vtkPXdmf3Writer, vtkPSLACReader, vtkPNetCDFPOPReader, vtkPLSDynaReader, vtkPExodusIIWriter, vtkPExodusIIReader, vtkPOpenFOAMReader, vtkPlot3DMetaReader, vtkPImageWriter, vtkPDataSetWriter, vtkPDataSetReader, vtkPChacoReader, vtkNek5000Reader, vtkMultiBlockPLOT3DReader, vtkEnSightWriter, vtkOpenVDBWriter, vtkOpenVDBReader, vtkOMFReader, vtkOggTheoraWriter, vtkOCCTReader, vtkSLACReader, vtkSLACParticleReader, vtkNetCDFUGRIDReader, vtkNetCDFReader, vtkNetCDFPOPReader, vtkNetCDFCFWriter, vtkNetCDFCFReader, vtkNetCDFCAMReader, vtkMPASReader, vtkTableToMySQLWriter, vtkMySQLToTableReader, vtkPWindBladeReader, vtkMPIMultiBlockPLOT3DReader, vtkPNrrdReader, vtkMPIImageReader, vtkMP4Writer, vtkGenericMovieWriter, vtkAVIWriter, vtkMotionFXCFGReader, vtkMNITransformWriter, vtkMNITransformReader, vtkMNITagPointWriter, vtkMNITagPointReader, vtkMNIObjectWriter, vtkMNIObjectReader, vtkMINCImageWriter, vtkMINCImageReader, vtkLSDynaReader, vtkUnstructuredGridWriter, vtkUnstructuredGridReader, vtkTreeWriter, vtkTreeReader, vtkTableWriter, vtkTableReader, vtkStructuredPointsWriter, vtkStructuredPointsReader, vtkStructuredGridWriter, vtkStructuredGridReader, vtkSimplePointsWriter, vtkSimplePointsReader, vtkRectilinearGridWriter, vtkRectilinearGridReader, vtkPolyDataWriter, vtkPolyDataReader, vtkGraphWriter, vtkGraphReader, vtkGenericDataObjectWriter, vtkGenericDataObjectReader, vtkDataWriter, vtkDataSetWriter, vtkDataSetReader, vtkDataReader, vtkDataObjectWriter, vtkDataObjectReader, vtkCompositeDataWriter, vtkCompositeDataReader, vtkLASReader, vtkIOSSWriter, vtkIOSSReader, vtkXMLTreeReader, vtkXGMLReader, vtkTulipReader, vtkTemporalDelimitedTextReader, vtkRISReader, vtkPhyloXMLTreeWriter, vtkPhyloXMLTreeReader, vtkNewickTreeWriter, vtkNewickTreeReader, vtkMultiNewickTreeReader, vtkISIReader, vtkFixedWidthTextReader, vtkDIMACSGraphWriter, vtkDIMACSGraphReader, vtkDelimitedTextReader, vtkChacoGraphReader, vtkBiomTableReader, vtkOBJPolyDataProcessor, vtkVolumeReader, vtkVolume16Reader, vtkTIFFWriter, vtkTIFFReader, vtkTGAReader, vtkSLCReader, vtkSEPReader, vtkPostScriptWriter, vtkPNMWriter, vtkPNMReader, vtkPNGWriter, vtkPNGReader, vtkOMETIFFReader, vtkNrrdReader, vtkNIFTIImageWriter, vtkNIFTIImageReader, vtkMRCReader, vtkMetaImageWriter, vtkMetaImageReader, vtkMedicalImageReader2, vtkJSONImageWriter, vtkJPEGWriter, vtkJPEGReader, vtkImageWriter, vtkImageReader2, vtkImageReader, vtkImageImport, vtkImageExport, vtkHDRReader, vtkGESignaReader, vtkDICOMImageReader, vtkDEMReader, vtkBMPWriter, vtkBMPReader, vtkHDFReader, vtkH5RageReader, vtkH5PartReader, vtkWindBladeReader, vtkTecplotReader, vtkSTLWriter, vtkSTLReader, vtkPTSReader, vtkProStarReader, vtkParticleReader, vtkOpenFOAMReader, vtkOBJWriter, vtkOBJReader, vtkMFIXReader, vtkMCubesWriter, vtkMCubesReader, vtkIVWriter, vtkHoudiniPolyDataWriter, vtkGLTFWriter, vtkGLTFReader, vtkGAMBITReader, vtkFLUENTReader, vtkFacetWriter, vtkChacoReader, vtkCGMWriter, vtkBYUWriter, vtkBYUReader, vtkAVSucdReader, vtkGeoJSONWriter, vtkGeoJSONReader, vtkGDALVectorReader, vtkGDALRasterReader, vtkFLUENTCFFReader, vtkFidesReader, vtkFFMPEGWriter, vtkFFMPEGVideoSource, vtkJSONDataSetWriter, vtkExodusIIWriter, vtkExodusIIReader, vtkCPExodusIIInSituReader, vtkGenericEnSightReader, vtkEnSightReader, vtkEnSightMasterServerReader, vtkEnSightGoldReader, vtkEnSightGoldBinaryReader, vtkEnSight6Reader, vtkEnSight6BinaryReader, vtkWriter, vtkJavaScriptDataWriter, vtkDelimitedTextWriter, vtkArrayWriter, vtkArrayReader, vtkArrayDataWriter, vtkArrayDataReader, vtkAbstractPolyDataReader, vtkAbstractParticleWriter, vtkCONVERGECFDReader, vtkCityGMLReader, vtkXYZMolReader2, vtkXYZMolReader, vtkVASPTessellationReader, vtkVASPAnimationReader, vtkPDBReader, vtkMoleculeReaderBase, vtkGaussianCubeReader2, vtkGaussianCubeReader, vtkCMLMoleculeReader, vtkCGNSReader, vtkCGNSFileSeriesReader, vtkCesiumPointCloudWriter, vtkCesium3DTilesWriter, vtkCellGridReader, vtkConduitSource, vtkAMRVelodyneReader, vtkAMRFlashReader, vtkAMRFlashParticlesReader, vtkAMReXParticlesReader, vtkAMReXGridReader, vtkAMREnzoReader, vtkAMREnzoParticlesReader, vtkAMRBaseReader, vtkAMRBaseParticlesReader, vtkADIOS2VTXReader, vtkADIOS2CoreImageReader, vtkResliceCursorPolyDataAlgorithm, vtkCameraHandleSource, vtkTreeRingToPolyData, vtkTreeMapToPolyData, vtkTreeMapLayout, vtkSplineGraphEdges, vtkPerturbCoincidentVertices, vtkKCoreLayout, vtkGraphLayout, vtkEdgeLayout, vtkCirclePackToPolyData, vtkCirclePackLayout, vtkAssignCoordinates, vtkAreaLayout, vtkWordCloud, vtkVertexDegree, vtkTreeLevelsFilter, vtkTreeFieldAggregator, vtkTreeDifferenceFilter, vtkTransposeMatrix, vtkTransferAttributes, vtkThresholdTable, vtkThresholdGraph, vtkTableToTreeFilter, vtkTableToSparseArray, vtkTableToGraph, vtkTableToArray, vtkStringToNumeric, vtkStringToCategory, vtkStreamGraph, vtkSparseArrayToTable, vtkRemoveIsolatedVertices, vtkRemoveHiddenData, vtkReduceTable, vtkRandomGraphSource, vtkPruneTreeFilter, vtkPipelineGraphSource, vtkNetworkHierarchy, vtkMergeTables, vtkMergeGraphs, vtkMergeColumns, vtkKCoreDecomposition, vtkGroupLeafVertices, vtkGraphHierarchicalBundleEdges, vtkGenerateIndexArray, vtkExtractSelectedTree, vtkExtractSelectedGraph, vtkExpandSelectedGraph, vtkEdgeCenters, vtkDotProductSimilarity, vtkDataObjectToTable, vtkContinuousScatterplot, vtkCollapseVerticesByArray, vtkCollapseGraph, vtkArrayToTable, vtkArrayNorm, vtkAdjacencyMatrixToEdgeTable, vtkAddMembershipArray, vtkBoostSplitTableField, vtkBoostRandomSparseArraySource, vtkBoostPrimMinimumSpanningTree, vtkBoostLogWeighting, vtkBoostKruskalMinimumSpanningTree, vtkBoostExtractLargestComponent, vtkBoostDividedEdgeBundling, vtkBoostConnectedComponents, vtkBoostBreadthFirstSearchTree, vtkBoostBreadthFirstSearch, vtkBoostBrandesCentrality, vtkBoostBiconnectedComponents, vtkBoostBetweennessClustering, vtkROIStencilSource, vtkPolyDataToImageStencil, vtkLassoStencilSource, vtkImplicitFunctionToImageStencil, vtkImageToImageStencil, vtkImageStencilToImage, vtkImageStencil, vtkImageHistogramStatistics, vtkImageHistogram, vtkImageAccumulate, vtkImageSinusoidSource, vtkImageNoiseSource, vtkImageMandelbrotSource, vtkImageGridSource, vtkImageGaussianSource, vtkImageEllipsoidSource, vtkImageCanvasSource2D, vtkOpenGLImageGradient, vtkImageThresholdConnectivity, vtkImageSkeleton2D, vtkImageSeedConnectivity, vtkImageOpenClose3D, vtkImageNonMaximumSuppression, vtkImageIslandRemoval2D, vtkImageDilateErode3D, vtkImageContinuousErode3D, vtkImageContinuousDilate3D, vtkImageConnectivityFilter, vtkImageWeightedSum, vtkImageMathematics, vtkImageMaskBits, vtkImageMagnitude, vtkImageLogic, vtkImageLogarithmicScale, vtkImageDotProduct, vtkImageDivergence, vtkVoxelModeller, vtkTriangularTexture, vtkSurfaceReconstructionFilter, vtkShepardMethod, vtkSampleFunction, vtkPointLoad, vtkImageToPoints, vtkImageRectilinearWipe, vtkImageCursor3D, vtkGaussianSplatter, vtkFastSplatter, vtkCheckerboardSplatter, vtkBooleanTexture, vtkImageVariance3D, vtkImageSpatialAlgorithm, vtkImageSobel3D, vtkImageSobel2D, vtkImageSlabReslice, vtkImageSlab, vtkImageSeparableConvolution, vtkImageRange3D, vtkImageNormalize, vtkImageMedian3D, vtkImageLaplacian, vtkImageHybridMedian2D, vtkImageGradientMagnitude, vtkImageGradient, vtkImageGaussianSmooth, vtkImageEuclideanToPolar, vtkImageEuclideanDistance, vtkImageCorrelation, vtkImageConvolve, vtkImageCityBlockDistance, vtkImageCheckerboard, vtkImageAnisotropicDiffusion3D, vtkImageAnisotropicDiffusion2D, vtkImageRFFT, vtkImageIdealLowPass, vtkImageIdealHighPass, vtkImageFourierFilter, vtkImageFourierCenter, vtkImageFFT, vtkImageButterworthLowPass, vtkImageButterworthHighPass, vtkRTAnalyticSource, vtkImageWrapPad, vtkImageTranslateExtent, vtkImageThreshold, vtkImageStencilSource, vtkImageStencilAlgorithm, vtkImageShrink3D, vtkImageShiftScale, vtkImageResliceToColors, vtkImageReslice, vtkImageResize, vtkImageResample, vtkImageProbeFilter, vtkImagePermute, vtkImagePadFilter, vtkImageMirrorPad, vtkImageMask, vtkImageMapToColors, vtkImageMagnify, vtkImageIterateFilter, vtkImageFlip, vtkImageExtractComponents, vtkImageDifference, vtkImageDecomposeFilter, vtkImageDataStreamer, vtkImageConstantPad, vtkImageClip, vtkImageChangeInformation, vtkImageCast, vtkImageCacheFilter, vtkImageBSplineCoefficients, vtkImageBlend, vtkImageAppendComponents, vtkExtractVOI, vtkImageYIQToRGB, vtkImageRGBToYIQ, vtkImageRGBToHSV, vtkImageRGBToHSI, vtkImageQuantizeRGBToIndex, vtkImageMapToWindowLevelColors, vtkImageMapToRGBA, vtkImageLuminance, vtkImageHSVToRGB, vtkImageHSIToRGB, vtkRasterReprojectionFilter, vtkMeshQuality, vtkMatrixMathFilter, vtkCellSizeFilter, vtkCellQuality, vtkBoundaryMeshQuality, vtkFiberSurface, vtkTriangularTCoords, vtkTransformTextureCoords, vtkThresholdTextureCoords, vtkTextureMapToSphere, vtkTextureMapToPlane, vtkTextureMapToCylinder, vtkScalarsToTextureFilter, vtkImplicitTextureCoords, vtkYieldCriteria, vtkTensorPrincipalInvariants, vtkStreamingStatistics, vtkStrahlerMetric, vtkStatisticsAlgorithm, vtkPCAStatistics, vtkOrderStatistics, vtkMultiCorrelativeStatistics, vtkLengthDistribution, vtkKMeansStatistics, vtkHighestDensityRegionsStatistics, vtkExtractHistogram, vtkExtractFunctionalBagPlot, vtkDescriptiveStatistics, vtkCorrelativeStatistics, vtkContingencyStatistics, vtkComputeQuartiles, vtkComputeQuantiles, vtkBivariateLinearTableThreshold, vtkAutoCorrelativeStatistics, vtkUniformHyperTreeGridSource, vtkTexturedSphereSource, vtkTextSource, vtkTessellatedBoxSource, vtkSuperquadricSource, vtkSphereSource, vtkSelectionSource, vtkRegularPolygonSource, vtkRectangularButtonSource, vtkRandomHyperTreeGridSource, vtkProgrammableSource, vtkProgrammableDataObjectSource, vtkPolyPointSource, vtkPolyLineSource, vtkPointSource, vtkPointHandleSource, vtkPlatonicSolidSource, vtkPlaneSource, vtkPartitionedDataSetSource, vtkPartitionedDataSetCollectionSource, vtkParametricFunctionSource, vtkOutlineSource, vtkOutlineCornerSource, vtkOutlineCornerFilter, vtkLineSource, vtkHyperTreeGridSource, vtkHyperTreeGridPreConfiguredSource, vtkHandleSource, vtkGraphToPolyData, vtkGlyphSource2D, vtkFrustumSource, vtkEllipticalButtonSource, vtkEllipseArcSource, vtkDiskSource, vtkDiagonalMatrixSource, vtkCylinderSource, vtkCubeSource, vtkConeSource, vtkCellTypeSource, vtkCapsuleSource, vtkButtonSource, vtkArrowSource, vtkArcSource, vtkSMPContourGrid, vtkLinearSelector, vtkKdTreeSelector, vtkCellDistanceSelector, vtkUnstructuredGridToReebGraphFilter, vtkReebGraphVolumeSkeletonFilter, vtkReebGraphToJoinSplitTreeFilter, vtkReebGraphSurfaceSkeletonFilter, vtkReebGraphSimplificationFilter, vtkToImplicitArrayFilter, vtkPythonAlgorithm, vtkProgrammableGlyphFilter, vtkProgrammableFilter, vtkProgrammableAttributeDataFilter, vtkVoxelGrid, vtkUnsignedDistance, vtkStatisticalOutlierRemoval, vtkSPHInterpolator, vtkSignedDistance, vtkRadiusOutlierRemoval, vtkProjectPointsToPlane, vtkPoissonDiskSampler, vtkPointSmoothingFilter, vtkPointOccupancyFilter, vtkPointInterpolator2D, vtkPointInterpolator, vtkPointDensityFilter, vtkPointCloudFilter, vtkPCANormalEstimation, vtkPCACurvatureEstimation, vtkMaskPointsFilter, vtkHierarchicalBinningFilter, vtkFitImplicitFunction, vtkExtractSurface, vtkExtractPoints, vtkExtractPointCloudPiece, vtkExtractHierarchicalBins, vtkExtractEnclosedPoints, vtkEuclideanClusterExtraction, vtkDensifyPointCloudFilter, vtkConvertToPointCloud, vtkConnectedPointsFilter, vtkBoundedPointSource, vtkPCellSizeFilter, vtkPPCAStatistics, vtkPOrderStatistics, vtkPMultiCorrelativeStatistics, vtkPKMeansStatistics, vtkPDescriptiveStatistics, vtkPCorrelativeStatistics, vtkPContingencyStatistics, vtkPComputeQuartiles, vtkPComputeQuantiles, vtkPBivariateLinearTableThreshold, vtkPAutoCorrelativeStatistics, vtkPExtractVOI, vtkPExtractRectilinearGrid, vtkPExtractGrid, vtkDistributedPointCloudFilter, vtkTransmitImageDataPiece, vtkPPairwiseExtractHistogram2D, vtkPExtractHistogram2D, vtkPComputeHistogram2DOutliers, vtkMemoryLimitImageDataStreamer, vtkExtractPiece, vtkPDistributedDataFilter, vtkPConnectivityFilter, vtkPStreamTracer, vtkPStreaklineFilter, vtkPParticleTracerBase, vtkPParticleTracer, vtkPParticlePathFilter, vtkPLagrangianParticleTracker, TestVectorFieldSource, vtkRedistributeDataSetFilter, vtkProbeLineFilter, vtkPResampleWithDataSet, vtkPResampleToImage, vtkOverlappingCellsDetector, vtkGhostCellsGenerator, vtkGenerateGlobalIds, vtkExtractSubsetWithSeed, vtkDIYAggregateDataSetFilter, vtkAdaptiveResampleToImage, vtkTransmitUnstructuredGridPiece, vtkTransmitStructuredGridPiece, vtkTransmitStructuredDataPiece, vtkTransmitRectilinearGridPiece, vtkTransmitPolyDataPiece, vtkRemoveGhosts, vtkRectilinearGridOutlineFilter, vtkPYoungsMaterialInterface, vtkPTextureMapToSphere, vtkPSphereSource, vtkProcessIdScalars, vtkPResampleFilter, vtkPReflectionFilter, vtkPProjectSphereFilter, vtkPProbeFilter, vtkPPolyDataNormals, vtkPOutlineFilter, vtkPOutlineCornerFilter, vtkPMergeArrays, vtkPMaskPoints, vtkPLinearExtrusionFilter, vtkPieceScalars, vtkPieceRequestFilter, vtkPHyperTreeGridProbeFilter, vtkPExtractSelectedArraysOverTime, vtkPExtractExodusGlobalTemporalVariables, vtkPExtractDataArraysOverTime, vtkPeriodicFilter, vtkPConvertToMultiBlockDataSet, vtkPCellDataToPointData, vtkPartitionBalancer, vtkIntegrateAttributes, vtkHyperTreeGridGhostCellsGenerator, vtkGenerateProcessIds, vtkExtractUserDefinedPiece, vtkExtractUnstructuredGridPiece, vtkExtractPolyDataPiece, vtkExtractCTHPart, vtkDuplicatePolyData, vtkDistributedDataFilter, vtkCutMaterial, vtkCollectTable, vtkCollectPolyData, vtkCollectGraph, vtkAngularPeriodicFilter, vtkAlignImageDataSetFilter, vtkAggregateDataSetFilter, vtkAdaptiveTemporalInterpolator, vtkOTKernelSmoothing, vtkOTFilter, vtkOTDensityMap, vtkVolumeOfRevolutionFilter, vtkTrimmedExtrusionFilter, vtkSubdivideTetra, vtkSpherePuzzleArrows, vtkSpherePuzzle, vtkSelectPolyData, vtkSelectEnclosedPoints, vtkSectorSource, vtkRuledSurfaceFilter, vtkRotationalExtrusionFilter, vtkRibbonFilter, vtkQuadRotationalExtrusionFilter, vtkProjectedTexture, vtkPolyDataPointSampler, vtkOutlineFilter, vtkLoopSubdivisionFilter, vtkLinearSubdivisionFilter, vtkLinearExtrusionFilter, vtkLinearCellExtrusionFilter, vtkImprintFilter, vtkImageDataOutlineFilter, vtkHyperTreeGridOutlineFilter, vtkHausdorffDistancePointSetFilter, vtkGraphGeodesicPath, vtkGeodesicPath, vtkFitToHeightMapFilter, vtkFillHolesFilter, vtkDijkstraImageGeodesicPath, vtkDijkstraGraphGeodesicPath, vtkCookieCutter, vtkContourLoopExtraction, vtkCollisionDetectionFilter, vtkButterflySubdivisionFilter, vtkBandedPolyDataContourFilter, vtkAdaptiveSubdivisionFilter, vtkPairwiseExtractHistogram2D, vtkExtractHistogram2D, vtkComputeHistogram2DOutliers, vtkImageDataToHyperTreeGrid, vtkHyperTreeGridToUnstructuredGrid, vtkHyperTreeGridToDualGrid, vtkHyperTreeGridThreshold, vtkHyperTreeGridPlaneCutter, vtkHyperTreeGridGradient, vtkHyperTreeGridGeometry, vtkHyperTreeGridEvaluateCoarse, vtkHyperTreeGridDepthLimiter, vtkHyperTreeGridContour, vtkHyperTreeGridCellCenters, vtkHyperTreeGridAxisReflection, vtkHyperTreeGridAxisCut, vtkHyperTreeGridAxisClip, vtkWeightedTransformFilter, vtkTransformToGrid, vtkTemporalSnapToTimeStep, vtkTemporalShiftScale, vtkTemporalInterpolator, vtkTemporalFractal, vtkTemporalDataSetCache, vtkTemporalArrayOperatorFilter, vtkRenderLargeImage, vtkProjectedTerrainPath, vtkProcrustesAlignmentFilter, vtkPolyDataSilhouette, vtkPCAAnalysisFilter, vtkImplicitModeller, vtkImageToPolyDataFilter, vtkGreedyTerrainDecimation, vtkGenerateTimeSteps, vtkForceTime, vtkFacetReader, vtkEarthSource, vtkDepthSortPolyData, vtkAdaptiveDataSetSurfaceFilter, vtkPointSetToOctreeImageFilter, vtkPointSetStreamer, vtkOctreeImageToPointSetFilter, vtkUnstructuredGridGeometryFilter, vtkStructuredPointsGeometryFilter, vtkStructuredGridPartitioner, vtkStructuredGridGeometryFilter, vtkRectilinearGridPartitioner, vtkRectilinearGridGeometryFilter, vtkRecoverGeometryWireframe, vtkProjectSphereFilter, vtkMarkBoundaryFilter, vtkLinearToQuadraticCellsFilter, vtkImageDataToUniformGrid, vtkImageDataGeometryFilter, vtkHierarchicalDataSetGeometryFilter, vtkGeometryFilter, vtkExplicitStructuredGridSurfaceFilter, vtkDataSetSurfaceFilter, vtkDataSetRegionSurfaceFilter, vtkCompositeDataGeometryFilter, vtkAttributeSmoothingFilter, vtkGenericStreamTracer, vtkGenericProbeFilter, vtkGenericOutlineFilter, vtkGenericGlyph3DFilter, vtkGenericGeometryFilter, vtkGenericDataSetTessellator, vtkGenericCutter, vtkGenericContourFilter, vtkGenericClip, vtkYoungsMaterialInterface, vtkWarpVector, vtkWarpTo, vtkWarpScalar, vtkWarpLens, vtkVoxelContoursToSurfaceFilter, vtkVolumeContourSpectrumFilter, vtkVertexGlyphFilter, vtkUncertaintyTubeFilter, vtkTransformPolyDataFilter, vtkTransformFilter, vtkTimeSourceExample, vtkTessellatorFilter, vtkTemporalStatistics, vtkTemporalPathLineFilter, vtkTableToStructuredGrid, vtkTableToPolyData, vtkTableFFT, vtkTableBasedClipDataSet, vtkSynchronizeTimeFilter, vtkSubPixelPositionEdgels, vtkSubdivisionFilter, vtkStructuredGridClip, vtkSplitField, vtkSplitColumnComponents, vtkSplitByCellScalarFilter, vtkSplineFilter, vtkSphericalHarmonics, vtkSpatialRepresentationFilter, vtkShrinkPolyData, vtkShrinkFilter, vtkSampleImplicitFunctionFilter, vtkRotationFilter, vtkRemovePolyData, vtkReflectionFilter, vtkRecursiveDividingCubes, vtkRectilinearGridToTetrahedra, vtkRectilinearGridToPointSet, vtkRectilinearGridClip, vtkRandomAttributeGenerator, vtkQuantizePolyDataPoints, vtkQuadratureSchemeDictionaryGenerator, vtkQuadraturePointsGenerator, vtkQuadraturePointInterpolator, vtkProbePolyhedron, vtkPolyDataToReebGraphFilter, vtkPolyDataStreamer, vtkPointConnectivityFilter, vtkPassSelectedArrays, vtkPassArrays, vtkOverlappingAMRLevelIdScalars, vtkOBBDicer, vtkNormalizeMatrixVectors, vtkNonOverlappingAMRLevelIdScalars, vtkMultiThreshold, vtkMultiBlockMergeFilter, vtkMultiBlockDataGroupFilter, vtkMergeVectorComponents, vtkMergeTimeFilter, vtkMergeArrays, vtkMatricizeArray, vtkMarchingContourFilter, vtkLoopBooleanPolyDataFilter, vtkLinkEdgels, vtkLevelIdScalars, vtkJoinTables, vtkIntersectionPolyDataFilter, vtkInterpolatingSubdivisionFilter, vtkInterpolateDataSetAttributes, vtkImageMarchingCubes, vtkImageDataToPointSet, vtkIconGlyphFilter, vtkHyperStreamline, vtkHierarchicalDataLevelFilter, vtkGroupTimeStepsFilter, vtkGroupDataSetsFilter, vtkGraphWeightFilter, vtkGraphWeightEuclideanDistanceFilter, vtkGraphToPoints, vtkGraphLayoutFilter, vtkGradientFilter, vtkFiniteElementFieldDistributor, vtkExtractSelectionBase, vtkExtractSelectedFrustum, vtkExtractGhostCells, vtkExtractArray, vtkEqualizerFilter, vtkEdgePoints, vtkDistancePolyDataFilter, vtkDiscreteMarchingCubes, vtkDiscreteFlyingEdgesClipper2D, vtkDiscreteFlyingEdges3D, vtkDiscreteFlyingEdges2D, vtkDicer, vtkDensifyPolyData, vtkDeformPointSet, vtkDeflectNormals, vtkDateToNumeric, vtkDataSetTriangleFilter, vtkDataSetGradientPrecompute, vtkDataSetGradient, vtkCurvatures, vtkCursor3D, vtkCursor2D, vtkCountVertices, vtkCountFaces, vtkContourTriangulator, vtkClipVolume, vtkClipDataSet, vtkClipConvexPolyData, vtkClipClosedSurface, vtkCleanUnstructuredGridCells, vtkCleanUnstructuredGrid, vtkCellValidator, vtkCellDerivatives, vtkBrownianPoints, vtkBoxClipDataSet, vtkBooleanOperationPolyDataFilter, vtkBlockIdScalars, vtkBlankStructuredGridWithImage, vtkBlankStructuredGrid, vtkAxes, vtkAreaContourSpectrumFilter, vtkApproximatingSubdivisionFilter, vtkAppendPoints, vtkAppendLocationAttributes, vtkAnnotationLink, vtkAnimateModes, vtkVortexCore, vtkVectorFieldTopology, vtkStreamTracer, vtkStreamSurface, vtkStreaklineFilter, vtkParticleTracerBase, vtkParticleTracer, vtkParticlePathFilter, vtkParallelVectors, vtkLagrangianParticleTracker, vtkEvenlySpacedStreamlines2D, vtkProbeSelectedLocations, vtkHierarchicalDataExtractLevel, vtkHierarchicalDataExtractDataSets, vtkExtractVectorComponents, vtkExtractUnstructuredGrid, vtkExtractTimeSteps, vtkExtractTensorComponents, vtkExtractSelection, vtkExtractSelectedThresholds, vtkExtractSelectedRows, vtkExtractSelectedPolyDataIds, vtkExtractSelectedLocations, vtkExtractSelectedIds, vtkExtractSelectedBlock, vtkExtractSelectedArraysOverTime, vtkExtractRectilinearGrid, vtkExtractPolyDataGeometry, vtkExtractParticlesOverTime, vtkExtractLevel, vtkExtractGrid, vtkExtractGeometry, vtkExtractExodusGlobalTemporalVariables, vtkExtractDataSets, vtkExtractDataOverTime, vtkExtractDataArraysOverTime, vtkExtractCellsByType, vtkExtractBlockUsingDataAssembly, vtkExtractBlock, vtkExpandMarkedElements, vtkConvertSelection, vtkWindowedSincPolyDataFilter, vtkVoronoi2D, vtkVectorNorm, vtkVectorDot, vtkUnstructuredGridToExplicitStructuredGrid, vtkUnstructuredGridQuadricDecimation, vtkTubeFilter, vtkTubeBender, vtkTriangleMeshPointNormals, vtkTriangleFilter, vtkTransposeTable, vtkThresholdPoints, vtkThreshold, vtkTensorGlyph, vtkSynchronizedTemplatesCutter3D, vtkSynchronizedTemplates3D, vtkSynchronizedTemplates2D, vtkSurfaceNets3D, vtkSurfaceNets2D, vtkStructuredGridOutlineFilter, vtkStructuredGridAppend, vtkStructuredDataPlaneCutter, vtkStripper, vtkStreamerBase, vtkStaticCleanUnstructuredGrid, vtkStaticCleanPolyData, vtkSphereTreeFilter, vtkSmoothPolyDataFilter, vtkSimpleElevationFilter, vtkReverseSense, vtkResampleWithDataSet, vtkResampleToImage, vtkRemoveUnusedPoints, vtkRemoveDuplicatePolys, vtkRectilinearSynchronizedTemplates, vtkRearrangeFields, vtkQuadricDecimation, vtkQuadricClustering, vtkProbeFilter, vtkPolyDataToUnstructuredGrid, vtkPolyDataTangents, vtkPolyDataPlaneCutter, vtkPolyDataPlaneClipper, vtkPolyDataNormals, vtkPolyDataEdgeConnectivityFilter, vtkPolyDataConnectivityFilter, vtkPointDataToCellData, vtkPlaneCutter, vtkPassThrough, vtkPackLabels, vtkMultiObjectMassProperties, vtkMoleculeAppend, vtkMergeFilter, vtkMergeFields, vtkMergeDataObjectFilter, vtkMassProperties, vtkMaskPolyData, vtkMaskPoints, vtkMaskFields, vtkMarchingSquares, vtkMarchingCubes, vtkImageDataToExplicitStructuredGrid, vtkImageAppend, vtkIdFilter, vtkHyperTreeGridProbeFilter, vtkHull, vtkHedgeHog, vtkGridSynchronizedTemplates3D, vtkGlyph3D, vtkGlyph2D, vtkFlyingEdgesPlaneCutter, vtkFlyingEdges3D, vtkFlyingEdges2D, vtkFieldDataToDataSetAttribute, vtkFieldDataToAttributeDataFilter, vtkFeatureEdges, vtkExtractEdges, vtkExtractCellsAlongPolyLine, vtkExtractCells, vtkExplicitStructuredGridToUnstructuredGrid, vtkExplicitStructuredGridCrop, vtkElevationFilter, vtkDelaunay3D, vtkDelaunay2D, vtkDecimatePro, vtkDecimatePolylineFilter, vtkDataSetToDataObjectFilter, vtkDataObjectToDataSetFilter, vtkDataObjectGenerator, vtkCutter, vtkConvertToPolyhedra, vtkConvertToPartitionedDataSetCollection, vtkConvertToMultiBlockDataSet, vtkContourGrid, vtkContourFilter, vtkContour3DLinearGrid, vtkConstrainedSmoothingFilter, vtkConnectivityFilter, vtkCompositeDataProbeFilter, vtkCompositeCutter, vtkClipPolyData, vtkCleanPolyData, vtkCenterOfMass, vtkCellDataToPointData, vtkCellCenters, vtkBinnedDecimation, vtkBinCellDataFilter, vtkAttributeDataToTableFilter, vtkAttributeDataToFieldDataFilter, vtkAssignAttribute, vtkArrayRename, vtkArrayCalculator, vtkAppendSelection, vtkAppendPolyData, vtkAppendFilter, vtkAppendDataSets, vtkAppendCompositeDataLeaves, vtkAppendArcLength, vtk3DLinearGridPlaneCutter, vtk3DLinearGridCrinkleExtractor, vtkCellGridComputeSurface, vtkImageToAMR, vtkAMRToMultiBlockFilter, vtkAMRSliceFilter, vtkAMRResampleFilter, vtkAMRGaussianPulseSource, vtkAMRCutPlane, vtkPSimpleBondPerceiver, vtkOpenSlideReader, vtkOpenGLMoleculeMapper, vtkSimpleBondPerceiver, vtkProteinRibbonFilter, vtkPointSetToMoleculeFilter, vtkOpenQubeMoleculeSource, vtkMoleculeToPolyDataFilter, vtkMoleculeToLinesFilter, vtkMoleculeToBondStickFilter, vtkMoleculeToAtomBallFilter, vtkMoleculeMapper, vtkUnstructuredGridBaseAlgorithm, vtkUnstructuredGridAlgorithm, vtkUniformGridPartitioner, vtkUniformGridAMRAlgorithm, vtkUndirectedGraphAlgorithm, vtkTrivialProducer, vtkTrivialConsumer, vtkTreeAlgorithm, vtkThreadedImageAlgorithm, vtkTableAlgorithm, vtkStructuredGridAlgorithm, vtkSimpleReader, vtkSimpleImageToImageFilter, vtkSelectionAlgorithm, vtkRectilinearGridAlgorithm, vtkReaderAlgorithm, vtkPolyDataAlgorithm, vtkPointSetAlgorithm, vtkPiecewiseFunctionShiftScale, vtkPiecewiseFunctionAlgorithm, vtkPassInputTypeAlgorithm, vtkPartitionedDataSetCollectionAlgorithm, vtkPartitionedDataSetAlgorithm, vtkParallelReader, vtkOverlappingAMRAlgorithm, vtkNonOverlappingAMRAlgorithm, vtkMultiTimeStepAlgorithm, vtkMultiBlockDataSetAlgorithm, vtkMoleculeAlgorithm, vtkImageToStructuredPoints, vtkImageToStructuredGrid, vtkImageInPlaceFilter, vtkImageAlgorithm, vtkHyperTreeGridAlgorithm, vtkHierarchicalBoxDataSetAlgorithm, vtkGraphAlgorithm, vtkExplicitStructuredGridAlgorithm, vtkEnsembleSource, vtkDirectedGraphAlgorithm, vtkDataSetAlgorithm, vtkDataObjectAlgorithm, vtkCompositeDataSetAlgorithm, vtkCellGridAlgorithm, vtkCastToConcrete, vtkArrayDataAlgorithm, vtkAnnotationLayersAlgorithm, vtkmWarpVector, vtkmWarpScalar, vtkmTriangleMeshPointNormals, vtkmThreshold, vtkmSlice, vtkmProbe, vtkmPolyDataNormals, vtkmPointTransform, vtkmPointElevation, vtkmNDHistogram, vtkmLevelOfDetail, vtkmImageConnectivity, vtkmHistogram, vtkmGradient, vtkmExtractVOI, vtkmExternalFaces, vtkmCoordinateSystemTransform, vtkmContour, vtkmClip, vtkmCleanGrid, vtkmAverageToPoints, and vtkmAverageToCells.

## ◆ NewInstance()

vtkAlgorithm* vtkAlgorithm::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkAlgorithm::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

Reimplemented in vtkStructuredGridPartitioner, vtkRectilinearGridPartitioner, vtkAMRToMultiBlockFilter, vtkAMRResampleFilter, vtkAMRCutPlane, vtkUniformGridPartitioner, vtkImageToStructuredGrid, vtkQtTableRepresentation, vtkRenderedTreeAreaRepresentation, vtkRenderedSurfaceRepresentation, vtkRenderedRepresentation, vtkRenderedHierarchyRepresentation, vtkRenderedGraphRepresentation, vtkParallelCoordinatesRepresentation, vtkParallelCoordinatesHistogramRepresentation, vtkApplyIcons, vtkApplyColors, vtkEmptyRepresentation, vtkDataRepresentation, vtkConvertSelectionDomain, vtkWebGPUPolyDataMapper, vtkSmartVolumeMapper, vtkOpenGLProjectedTetrahedraMapper, vtkOpenGLGPUVolumeRayCastMapper, vtkMultiBlockVolumeMapper, vtkMultiBlockUnstructuredGridVolumeMapper, vtkAMRVolumeMapper, vtkVolumeRayCastSpaceLeapingImageFilter, vtkVolumeOutlineSource, vtkVolumeMapper, vtkUnstructuredGridVolumeZSweepMapper, vtkUnstructuredGridVolumeRayCastMapper, vtkUnstructuredGridVolumeMapper, vtkProjectedTetrahedraMapper, vtkOSPRayVolumeInterface, vtkGPUVolumeRayCastMapper, vtkFixedPointVolumeRayCastMapper, vtkOSPRayVolumeMapper, vtkQtTreeRingLabelMapper, vtkQImageToImageSource, vtkPBRPrefilterTexture, vtkPBRLUTTexture, vtkPBRIrradianceTexture, vtkOpenGLTexture, vtkOpenGLTextMapper, vtkOpenGLStickMapper, vtkOpenGLSphereMapper, vtkOpenGLPolyDataMapper2D, vtkOpenGLPolyDataMapper, vtkOpenGLPointGaussianMapper, vtkOpenGLLabeledContourMapper, vtkOpenGLImageSliceMapper, vtkOpenGLImageMapper, vtkOpenGLHyperTreeGridMapper, vtkOpenGLGlyph3DMapper, vtkOpenGLGlyph3DHelper, vtkOpenGLFluidMapper, vtkOpenGLES30PolyDataMapper2D, vtkOpenGLES30PolyDataMapper, vtkEquirectangularToCubeMapTexture, vtkSurfaceLICMapper, vtkStructuredGridLIC2D, vtkImageDataLIC2D, vtkCompositeSurfaceLICMapper, vtkPointSetToLabelHierarchy, vtkLabelSizeCalculator, vtkLabelPlacer, vtkLabelPlacementMapper, vtkLabelHierarchyAlgorithm, vtkLabeledTreeMapDataMapper, vtkLabeledDataMapper, vtkDynamic2DLabelMapper, vtkImageResliceMapper, vtkDepthImageToPointCloud, vtkHyperTreeGridMapper, vtkVectorText, vtkWindowToImageFilter, vtkTransformCoordinateSystems, vtkTexture, vtkTextMapper, vtkSelectVisiblePoints, vtkResizingWindowToImageFilter, vtkRendererSource, vtkPolyDataMapper2D, vtkPolyDataMapper, vtkPointGaussianMapper, vtkMapper2D, vtkMapper, vtkMapArrayValues, vtkLabeledContourMapper, vtkImageSliceMapper, vtkImageMapper3D, vtkImageMapper, vtkHierarchicalPolyDataMapper, vtkGraphToGlyphs, vtkGraphMapper, vtkGlyph3DMapper, vtkDistanceToCamera, vtkDataSetMapper, vtkCompositePolyDataMapper, vtkCellGridMapper, vtkAbstractVolumeMapper, vtkAbstractMapper3D, vtkAbstractMapper, vtkAbstractHyperTreeGridMapper, vtkContextMapper2D, vtkGraphAnnotationLayersFilter, vtkConvexHull2D, vtkArcPlotter, vtkXMLWriterBase, vtkXMLWriter, vtkXMLUnstructuredGridWriter, vtkXMLUnstructuredGridReader, vtkXMLUnstructuredDataWriter, vtkXMLUnstructuredDataReader, vtkXMLUniformGridAMRWriter, vtkXMLUniformGridAMRReader, vtkXMLTableWriter, vtkXMLTableReader, vtkXMLStructuredGridWriter, vtkXMLStructuredGridReader, vtkXMLStructuredDataWriter, vtkXMLStructuredDataReader, vtkXMLRectilinearGridWriter, vtkXMLRectilinearGridReader, vtkXMLReader, vtkXMLPUnstructuredGridReader, vtkXMLPUnstructuredDataReader, vtkXMLPTableReader, vtkXMLPStructuredGridReader, vtkXMLPStructuredDataReader, vtkXMLPRectilinearGridReader, vtkXMLPPolyDataReader, vtkXMLPolyDataWriter, vtkXMLPolyDataReader, vtkXMLPImageDataReader, vtkXMLPHyperTreeGridReader, vtkXMLPDataReader, vtkXMLPDataObjectReader, vtkXMLPartitionedDataSetReader, vtkXMLPartitionedDataSetCollectionReader, vtkXMLMultiGroupDataReader, vtkXMLMultiBlockDataWriter, vtkXMLMultiBlockDataReader, vtkXMLImageDataWriter, vtkXMLImageDataReader, vtkXMLHyperTreeGridWriter, vtkXMLHyperTreeGridReader, vtkXMLHierarchicalDataReader, vtkXMLHierarchicalBoxDataWriter, vtkXMLHierarchicalBoxDataReader, vtkXMLGenericDataObjectReader, vtkXMLDataSetWriter, vtkXMLDataReader, vtkXMLDataObjectWriter, vtkXMLCompositeDataWriter, vtkXMLCompositeDataReader, vtkRTXMLPolyDataReader, vtkXdmf3Writer, vtkXdmf3Reader, vtkXdmfWriter, vtkXdmfReader, vtkVPICReader, vtkWin32VideoSource, vtkVideoSource, vtkVeraOutReader, vtkTRUCHASReader, vtkTecplotTableReader, vtkTableToSQLiteWriter, vtkTableToDatabaseWriter, vtkSQLiteToTableReader, vtkSQLDatabaseTableSource, vtkRowQueryToTable, vtkDatabaseToTableReader, vtkSegYReader, vtkTableToPostgreSQLWriter, vtkPostgreSQLToTableReader, vtkPLYWriter, vtkPLYReader, vtkPIOReader, vtkPDALReader, vtkXMLWriter2, vtkXMLPUnstructuredGridWriter, vtkXMLPUnstructuredDataWriter, vtkXMLPUniformGridAMRWriter, vtkXMLPTableWriter, vtkXMLPStructuredGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPPolyDataWriter, vtkXMLPMultiBlockDataWriter, vtkXMLPImageDataWriter, vtkXMLPHyperTreeGridWriter, vtkXMLPHierarchicalBoxDataWriter, vtkXMLPDataWriter, vtkXMLPDataSetWriter, vtkXMLPDataObjectWriter, vtkXMLPartitionedDataSetWriter, vtkXMLPartitionedDataSetCollectionWriter, vtkXMLDataWriterHelper, vtkPXdmf3Writer, vtkPSLACReader, vtkPNetCDFPOPReader, vtkPLSDynaReader, vtkPExodusIIWriter, vtkPExodusIIReader, vtkPOpenFOAMReader, vtkPlot3DMetaReader, vtkPImageWriter, vtkPDataSetWriter, vtkPDataSetReader, vtkPChacoReader, vtkNek5000Reader, vtkMultiBlockPLOT3DReader, vtkEnSightWriter, vtkOpenVDBWriter, vtkOpenVDBReader, vtkOMFReader, vtkOggTheoraWriter, vtkOCCTReader, vtkSLACReader, vtkSLACParticleReader, vtkNetCDFUGRIDReader, vtkNetCDFReader, vtkNetCDFPOPReader, vtkNetCDFCFWriter, vtkNetCDFCFReader, vtkNetCDFCAMReader, vtkMPASReader, vtkTableToMySQLWriter, vtkMySQLToTableReader, vtkPWindBladeReader, vtkMPIMultiBlockPLOT3DReader, vtkPNrrdReader, vtkMPIImageReader, vtkMP4Writer, vtkGenericMovieWriter, vtkAVIWriter, vtkMotionFXCFGReader, vtkMNITransformWriter, vtkMNITransformReader, vtkMNITagPointWriter, vtkMNITagPointReader, vtkMNIObjectWriter, vtkMNIObjectReader, vtkMINCImageWriter, vtkMINCImageReader, vtkLSDynaReader, vtkUnstructuredGridWriter, vtkUnstructuredGridReader, vtkTreeWriter, vtkTreeReader, vtkTableWriter, vtkTableReader, vtkStructuredPointsWriter, vtkStructuredPointsReader, vtkStructuredGridWriter, vtkStructuredGridReader, vtkSimplePointsWriter, vtkSimplePointsReader, vtkRectilinearGridWriter, vtkRectilinearGridReader, vtkPolyDataWriter, vtkPolyDataReader, vtkGraphWriter, vtkGraphReader, vtkGenericDataObjectWriter, vtkGenericDataObjectReader, vtkDataWriter, vtkDataSetWriter, vtkDataSetReader, vtkDataReader, vtkDataObjectWriter, vtkDataObjectReader, vtkCompositeDataWriter, vtkCompositeDataReader, vtkLASReader, vtkIOSSWriter, vtkIOSSReader, vtkXMLTreeReader, vtkXGMLReader, vtkTulipReader, vtkTemporalDelimitedTextReader, vtkRISReader, vtkPhyloXMLTreeWriter, vtkPhyloXMLTreeReader, vtkNewickTreeWriter, vtkNewickTreeReader, vtkMultiNewickTreeReader, vtkISIReader, vtkFixedWidthTextReader, vtkDIMACSGraphWriter, vtkDIMACSGraphReader, vtkDelimitedTextReader, vtkChacoGraphReader, vtkBiomTableReader, vtkOBJPolyDataProcessor, vtkVolumeReader, vtkVolume16Reader, vtkTIFFWriter, vtkTIFFReader, vtkTGAReader, vtkSLCReader, vtkSEPReader, vtkPostScriptWriter, vtkPNMWriter, vtkPNMReader, vtkPNGWriter, vtkPNGReader, vtkOMETIFFReader, vtkNrrdReader, vtkNIFTIImageWriter, vtkNIFTIImageReader, vtkMRCReader, vtkMetaImageWriter, vtkMetaImageReader, vtkMedicalImageReader2, vtkJSONImageWriter, vtkJPEGWriter, vtkJPEGReader, vtkImageWriter, vtkImageReader2, vtkImageReader, vtkImageImport, vtkImageExport, vtkHDRReader, vtkGESignaReader, vtkDICOMImageReader, vtkDEMReader, vtkBMPWriter, vtkBMPReader, vtkHDFReader, vtkH5RageReader, vtkH5PartReader, vtkWindBladeReader, vtkTecplotReader, vtkSTLWriter, vtkSTLReader, vtkPTSReader, vtkProStarReader, vtkParticleReader, vtkOpenFOAMReader, vtkOBJWriter, vtkOBJReader, vtkMFIXReader, vtkMCubesWriter, vtkMCubesReader, vtkIVWriter, vtkHoudiniPolyDataWriter, vtkGLTFWriter, vtkGLTFReader, vtkGAMBITReader, vtkFLUENTReader, vtkFacetWriter, vtkChacoReader, vtkBYUWriter, vtkBYUReader, vtkAVSucdReader, vtkGeoJSONWriter, vtkGeoJSONReader, vtkGDALVectorReader, vtkGDALRasterReader, vtkFLUENTCFFReader, vtkFidesReader, vtkFFMPEGWriter, vtkFFMPEGVideoSource, vtkJSONDataSetWriter, vtkExodusIIWriter, vtkExodusIIReader, vtkCPExodusIIInSituReader, vtkGenericEnSightReader, vtkEnSightReader, vtkEnSightMasterServerReader, vtkEnSightGoldReader, vtkEnSightGoldBinaryReader, vtkEnSight6Reader, vtkEnSight6BinaryReader, vtkWriter, vtkJavaScriptDataWriter, vtkDelimitedTextWriter, vtkArrayWriter, vtkArrayReader, vtkArrayDataWriter, vtkArrayDataReader, vtkAbstractPolyDataReader, vtkAbstractParticleWriter, vtkCONVERGECFDReader, vtkCityGMLReader, vtkXYZMolReader2, vtkXYZMolReader, vtkVASPTessellationReader, vtkVASPAnimationReader, vtkPDBReader, vtkMoleculeReaderBase, vtkGaussianCubeReader2, vtkGaussianCubeReader, vtkCMLMoleculeReader, vtkCGNSReader, vtkCGNSFileSeriesReader, vtkCesiumPointCloudWriter, vtkCesium3DTilesWriter, vtkCellGridReader, vtkConduitSource, vtkAMRVelodyneReader, vtkAMRFlashReader, vtkAMRFlashParticlesReader, vtkAMReXParticlesReader, vtkAMReXGridReader, vtkAMREnzoReader, vtkAMREnzoParticlesReader, vtkAMRBaseReader, vtkAMRBaseParticlesReader, vtkADIOS2VTXReader, vtkADIOS2CoreImageReader, vtkResliceCursorPolyDataAlgorithm, vtkCameraHandleSource, vtkTreeRingToPolyData, vtkTreeMapToPolyData, vtkTreeMapLayout, vtkSplineGraphEdges, vtkPerturbCoincidentVertices, vtkKCoreLayout, vtkGraphLayout, vtkEdgeLayout, vtkCirclePackToPolyData, vtkCirclePackLayout, vtkAssignCoordinates, vtkAreaLayout, vtkWordCloud, vtkVertexDegree, vtkTreeLevelsFilter, vtkTreeFieldAggregator, vtkTreeDifferenceFilter, vtkTransposeMatrix, vtkTransferAttributes, vtkThresholdTable, vtkThresholdGraph, vtkTableToTreeFilter, vtkTableToSparseArray, vtkTableToGraph, vtkTableToArray, vtkStringToNumeric, vtkStringToCategory, vtkStreamGraph, vtkSparseArrayToTable, vtkRemoveIsolatedVertices, vtkRemoveHiddenData, vtkReduceTable, vtkRandomGraphSource, vtkPruneTreeFilter, vtkPipelineGraphSource, vtkNetworkHierarchy, vtkMergeTables, vtkMergeGraphs, vtkMergeColumns, vtkKCoreDecomposition, vtkGroupLeafVertices, vtkGraphHierarchicalBundleEdges, vtkGenerateIndexArray, vtkExtractSelectedTree, vtkExtractSelectedGraph, vtkExpandSelectedGraph, vtkEdgeCenters, vtkDotProductSimilarity, vtkDataObjectToTable, vtkContinuousScatterplot, vtkCollapseVerticesByArray, vtkCollapseGraph, vtkArrayToTable, vtkArrayNorm, vtkAdjacencyMatrixToEdgeTable, vtkAddMembershipArray, vtkBoostSplitTableField, vtkBoostRandomSparseArraySource, vtkBoostPrimMinimumSpanningTree, vtkBoostLogWeighting, vtkBoostKruskalMinimumSpanningTree, vtkBoostExtractLargestComponent, vtkBoostDividedEdgeBundling, vtkBoostConnectedComponents, vtkBoostBreadthFirstSearchTree, vtkBoostBreadthFirstSearch, vtkBoostBrandesCentrality, vtkBoostBiconnectedComponents, vtkBoostBetweennessClustering, vtkROIStencilSource, vtkPolyDataToImageStencil, vtkLassoStencilSource, vtkImplicitFunctionToImageStencil, vtkImageToImageStencil, vtkImageStencilToImage, vtkImageStencil, vtkImageHistogramStatistics, vtkImageHistogram, vtkImageAccumulate, vtkImageSinusoidSource, vtkImageNoiseSource, vtkImageMandelbrotSource, vtkImageGridSource, vtkImageGaussianSource, vtkImageEllipsoidSource, vtkImageCanvasSource2D, vtkOpenGLImageGradient, vtkImageThresholdConnectivity, vtkImageSkeleton2D, vtkImageSeedConnectivity, vtkImageOpenClose3D, vtkImageNonMaximumSuppression, vtkImageIslandRemoval2D, vtkImageDilateErode3D, vtkImageContinuousErode3D, vtkImageContinuousDilate3D, vtkImageConnectivityFilter, vtkImageWeightedSum, vtkImageMathematics, vtkImageMaskBits, vtkImageMagnitude, vtkImageLogic, vtkImageLogarithmicScale, vtkImageDotProduct, vtkImageDivergence, vtkVoxelModeller, vtkTriangularTexture, vtkSurfaceReconstructionFilter, vtkShepardMethod, vtkSampleFunction, vtkPointLoad, vtkImageToPoints, vtkImageRectilinearWipe, vtkImageCursor3D, vtkGaussianSplatter, vtkFastSplatter, vtkCheckerboardSplatter, vtkBooleanTexture, vtkImageVariance3D, vtkImageSpatialAlgorithm, vtkImageSobel3D, vtkImageSobel2D, vtkImageSlabReslice, vtkImageSlab, vtkImageSeparableConvolution, vtkImageRange3D, vtkImageNormalize, vtkImageMedian3D, vtkImageLaplacian, vtkImageHybridMedian2D, vtkImageGradientMagnitude, vtkImageGradient, vtkImageGaussianSmooth, vtkImageEuclideanToPolar, vtkImageEuclideanDistance, vtkImageCorrelation, vtkImageConvolve, vtkImageCityBlockDistance, vtkImageCheckerboard, vtkImageAnisotropicDiffusion3D, vtkImageAnisotropicDiffusion2D, vtkImageRFFT, vtkImageIdealLowPass, vtkImageIdealHighPass, vtkImageFourierFilter, vtkImageFourierCenter, vtkImageFFT, vtkImageButterworthLowPass, vtkImageButterworthHighPass, vtkRTAnalyticSource, vtkImageWrapPad, vtkImageTranslateExtent, vtkImageThreshold, vtkImageStencilSource, vtkImageStencilAlgorithm, vtkImageShrink3D, vtkImageShiftScale, vtkImageResliceToColors, vtkImageReslice, vtkImageResize, vtkImageResample, vtkImageProbeFilter, vtkImagePermute, vtkImagePadFilter, vtkImageMirrorPad, vtkImageMask, vtkImageMapToColors, vtkImageMagnify, vtkImageIterateFilter, vtkImageFlip, vtkImageExtractComponents, vtkImageDifference, vtkImageDecomposeFilter, vtkImageDataStreamer, vtkImageConstantPad, vtkImageClip, vtkImageChangeInformation, vtkImageCast, vtkImageCacheFilter, vtkImageBSplineCoefficients, vtkImageBlend, vtkImageAppendComponents, vtkExtractVOI, vtkImageYIQToRGB, vtkImageRGBToYIQ, vtkImageRGBToHSV, vtkImageRGBToHSI, vtkImageQuantizeRGBToIndex, vtkImageMapToWindowLevelColors, vtkImageMapToRGBA, vtkImageLuminance, vtkImageHSVToRGB, vtkImageHSIToRGB, vtkRasterReprojectionFilter, vtkMeshQuality, vtkMatrixMathFilter, vtkCellSizeFilter, vtkCellQuality, vtkBoundaryMeshQuality, vtkFiberSurface, vtkTriangularTCoords, vtkTransformTextureCoords, vtkThresholdTextureCoords, vtkTextureMapToSphere, vtkTextureMapToPlane, vtkTextureMapToCylinder, vtkScalarsToTextureFilter, vtkImplicitTextureCoords, vtkYieldCriteria, vtkTensorPrincipalInvariants, vtkStreamingStatistics, vtkStrahlerMetric, vtkStatisticsAlgorithm, vtkPCAStatistics, vtkOrderStatistics, vtkMultiCorrelativeStatistics, vtkLengthDistribution, vtkKMeansStatistics, vtkHighestDensityRegionsStatistics, vtkExtractHistogram, vtkExtractFunctionalBagPlot, vtkDescriptiveStatistics, vtkCorrelativeStatistics, vtkContingencyStatistics, vtkComputeQuartiles, vtkComputeQuantiles, vtkBivariateLinearTableThreshold, vtkAutoCorrelativeStatistics, vtkUniformHyperTreeGridSource, vtkTexturedSphereSource, vtkTextSource, vtkTessellatedBoxSource, vtkSuperquadricSource, vtkSphereSource, vtkSelectionSource, vtkRegularPolygonSource, vtkRectangularButtonSource, vtkRandomHyperTreeGridSource, vtkProgrammableSource, vtkProgrammableDataObjectSource, vtkPolyPointSource, vtkPolyLineSource, vtkPointSource, vtkPointHandleSource, vtkPlatonicSolidSource, vtkPlaneSource, vtkPartitionedDataSetSource, vtkPartitionedDataSetCollectionSource, vtkParametricFunctionSource, vtkOutlineSource, vtkOutlineCornerSource, vtkOutlineCornerFilter, vtkLineSource, vtkHyperTreeGridSource, vtkHandleSource, vtkGraphToPolyData, vtkGlyphSource2D, vtkFrustumSource, vtkEllipticalButtonSource, vtkEllipseArcSource, vtkDiskSource, vtkDiagonalMatrixSource, vtkCylinderSource, vtkCubeSource, vtkConeSource, vtkCellTypeSource, vtkCapsuleSource, vtkButtonSource, vtkArrowSource, vtkArcSource, vtkSMPContourGrid, vtkLinearSelector, vtkKdTreeSelector, vtkCellDistanceSelector, vtkUnstructuredGridToReebGraphFilter, vtkReebGraphVolumeSkeletonFilter, vtkReebGraphToJoinSplitTreeFilter, vtkReebGraphSurfaceSkeletonFilter, vtkReebGraphSimplificationFilter, vtkPythonAlgorithm, vtkProgrammableGlyphFilter, vtkProgrammableFilter, vtkProgrammableAttributeDataFilter, vtkVoxelGrid, vtkUnsignedDistance, vtkStatisticalOutlierRemoval, vtkSPHInterpolator, vtkSignedDistance, vtkRadiusOutlierRemoval, vtkProjectPointsToPlane, vtkPoissonDiskSampler, vtkPointSmoothingFilter, vtkPointOccupancyFilter, vtkPointInterpolator2D, vtkPointInterpolator, vtkPointDensityFilter, vtkPointCloudFilter, vtkPCANormalEstimation, vtkPCACurvatureEstimation, vtkMaskPointsFilter, vtkHierarchicalBinningFilter, vtkFitImplicitFunction, vtkExtractSurface, vtkExtractPoints, vtkExtractPointCloudPiece, vtkExtractHierarchicalBins, vtkExtractEnclosedPoints, vtkEuclideanClusterExtraction, vtkDensifyPointCloudFilter, vtkConvertToPointCloud, vtkConnectedPointsFilter, vtkBoundedPointSource, vtkPCellSizeFilter, vtkPPCAStatistics, vtkPOrderStatistics, vtkPMultiCorrelativeStatistics, vtkPKMeansStatistics, vtkPDescriptiveStatistics, vtkPCorrelativeStatistics, vtkPContingencyStatistics, vtkPBivariateLinearTableThreshold, vtkPAutoCorrelativeStatistics, vtkPExtractVOI, vtkPExtractRectilinearGrid, vtkPExtractGrid, vtkDistributedPointCloudFilter, vtkTransmitImageDataPiece, vtkPPairwiseExtractHistogram2D, vtkPExtractHistogram2D, vtkPComputeHistogram2DOutliers, vtkMemoryLimitImageDataStreamer, vtkExtractPiece, vtkPDistributedDataFilter, vtkPConnectivityFilter, vtkPStreamTracer, vtkPStreaklineFilter, vtkPParticleTracerBase, vtkPParticleTracer, vtkPParticlePathFilter, vtkPLagrangianParticleTracker, vtkRedistributeDataSetFilter, vtkProbeLineFilter, vtkPResampleWithDataSet, vtkPResampleToImage, vtkOverlappingCellsDetector, vtkGhostCellsGenerator, vtkGenerateGlobalIds, vtkExtractSubsetWithSeed, vtkDIYAggregateDataSetFilter, vtkAdaptiveResampleToImage, vtkTransmitUnstructuredGridPiece, vtkTransmitStructuredGridPiece, vtkTransmitStructuredDataPiece, vtkTransmitRectilinearGridPiece, vtkTransmitPolyDataPiece, vtkRemoveGhosts, vtkRectilinearGridOutlineFilter, vtkPYoungsMaterialInterface, vtkPTextureMapToSphere, vtkPSphereSource, vtkProcessIdScalars, vtkPResampleFilter, vtkPReflectionFilter, vtkPProjectSphereFilter, vtkPProbeFilter, vtkPPolyDataNormals, vtkPOutlineFilter, vtkPOutlineCornerFilter, vtkPMergeArrays, vtkPMaskPoints, vtkPLinearExtrusionFilter, vtkPieceScalars, vtkPieceRequestFilter, vtkPHyperTreeGridProbeFilter, vtkPExtractSelectedArraysOverTime, vtkPExtractExodusGlobalTemporalVariables, vtkPExtractDataArraysOverTime, vtkPeriodicFilter, vtkPConvertToMultiBlockDataSet, vtkPartitionBalancer, vtkIntegrateAttributes, vtkHyperTreeGridGhostCellsGenerator, vtkGenerateProcessIds, vtkExtractUserDefinedPiece, vtkExtractUnstructuredGridPiece, vtkExtractPolyDataPiece, vtkExtractCTHPart, vtkDuplicatePolyData, vtkDistributedDataFilter, vtkCutMaterial, vtkCollectTable, vtkCollectPolyData, vtkCollectGraph, vtkAngularPeriodicFilter, vtkAlignImageDataSetFilter, vtkAggregateDataSetFilter, vtkAdaptiveTemporalInterpolator, vtkOTKernelSmoothing, vtkOTFilter, vtkOTDensityMap, vtkVolumeOfRevolutionFilter, vtkTrimmedExtrusionFilter, vtkSubdivideTetra, vtkSpherePuzzleArrows, vtkSpherePuzzle, vtkSelectPolyData, vtkSelectEnclosedPoints, vtkSectorSource, vtkRuledSurfaceFilter, vtkRotationalExtrusionFilter, vtkRibbonFilter, vtkQuadRotationalExtrusionFilter, vtkProjectedTexture, vtkPolyDataPointSampler, vtkOutlineFilter, vtkLoopSubdivisionFilter, vtkLinearSubdivisionFilter, vtkLinearExtrusionFilter, vtkLinearCellExtrusionFilter, vtkImprintFilter, vtkImageDataOutlineFilter, vtkHyperTreeGridOutlineFilter, vtkHausdorffDistancePointSetFilter, vtkGraphGeodesicPath, vtkGeodesicPath, vtkFitToHeightMapFilter, vtkFillHolesFilter, vtkDijkstraImageGeodesicPath, vtkDijkstraGraphGeodesicPath, vtkCookieCutter, vtkContourLoopExtraction, vtkCollisionDetectionFilter, vtkButterflySubdivisionFilter, vtkBandedPolyDataContourFilter, vtkAdaptiveSubdivisionFilter, vtkPairwiseExtractHistogram2D, vtkExtractHistogram2D, vtkComputeHistogram2DOutliers, vtkImageDataToHyperTreeGrid, vtkHyperTreeGridToUnstructuredGrid, vtkHyperTreeGridToDualGrid, vtkHyperTreeGridThreshold, vtkHyperTreeGridPlaneCutter, vtkHyperTreeGridGradient, vtkHyperTreeGridGeometry, vtkHyperTreeGridEvaluateCoarse, vtkHyperTreeGridDepthLimiter, vtkHyperTreeGridContour, vtkHyperTreeGridCellCenters, vtkHyperTreeGridAxisReflection, vtkHyperTreeGridAxisCut, vtkHyperTreeGridAxisClip, vtkWeightedTransformFilter, vtkTransformToGrid, vtkTemporalSnapToTimeStep, vtkTemporalShiftScale, vtkTemporalInterpolator, vtkTemporalFractal, vtkTemporalDataSetCache, vtkTemporalArrayOperatorFilter, vtkRenderLargeImage, vtkProjectedTerrainPath, vtkProcrustesAlignmentFilter, vtkPolyDataSilhouette, vtkPCAAnalysisFilter, vtkImplicitModeller, vtkImageToPolyDataFilter, vtkGreedyTerrainDecimation, vtkGenerateTimeSteps, vtkForceTime, vtkFacetReader, vtkEarthSource, vtkDepthSortPolyData, vtkAdaptiveDataSetSurfaceFilter, vtkPointSetToOctreeImageFilter, vtkPointSetStreamer, vtkOctreeImageToPointSetFilter, vtkUnstructuredGridGeometryFilter, vtkStructuredPointsGeometryFilter, vtkStructuredGridGeometryFilter, vtkRectilinearGridGeometryFilter, vtkRecoverGeometryWireframe, vtkProjectSphereFilter, vtkMarkBoundaryFilter, vtkLinearToQuadraticCellsFilter, vtkImageDataToUniformGrid, vtkImageDataGeometryFilter, vtkHierarchicalDataSetGeometryFilter, vtkGeometryFilter, vtkExplicitStructuredGridSurfaceFilter, vtkDataSetSurfaceFilter, vtkDataSetRegionSurfaceFilter, vtkCompositeDataGeometryFilter, vtkAttributeSmoothingFilter, vtkGenericStreamTracer, vtkGenericProbeFilter, vtkGenericOutlineFilter, vtkGenericGlyph3DFilter, vtkGenericGeometryFilter, vtkGenericDataSetTessellator, vtkGenericCutter, vtkGenericContourFilter, vtkGenericClip, vtkYoungsMaterialInterface, vtkWarpVector, vtkWarpTo, vtkWarpScalar, vtkWarpLens, vtkVoxelContoursToSurfaceFilter, vtkVolumeContourSpectrumFilter, vtkVertexGlyphFilter, vtkUncertaintyTubeFilter, vtkTransformPolyDataFilter, vtkTransformFilter, vtkTimeSourceExample, vtkTessellatorFilter, vtkTemporalStatistics, vtkTemporalPathLineFilter, vtkTableToStructuredGrid, vtkTableToPolyData, vtkTableFFT, vtkTableBasedClipDataSet, vtkSynchronizeTimeFilter, vtkSubPixelPositionEdgels, vtkSubdivisionFilter, vtkStructuredGridClip, vtkSplitField, vtkSplitColumnComponents, vtkSplitByCellScalarFilter, vtkSplineFilter, vtkSphericalHarmonics, vtkSpatialRepresentationFilter, vtkShrinkPolyData, vtkShrinkFilter, vtkSampleImplicitFunctionFilter, vtkRotationFilter, vtkRemovePolyData, vtkReflectionFilter, vtkRecursiveDividingCubes, vtkRectilinearGridToTetrahedra, vtkRectilinearGridToPointSet, vtkRectilinearGridClip, vtkRandomAttributeGenerator, vtkQuantizePolyDataPoints, vtkQuadratureSchemeDictionaryGenerator, vtkQuadraturePointsGenerator, vtkQuadraturePointInterpolator, vtkProbePolyhedron, vtkPolyDataToReebGraphFilter, vtkPolyDataStreamer, vtkPointConnectivityFilter, vtkPassSelectedArrays, vtkPassArrays, vtkOverlappingAMRLevelIdScalars, vtkOBBDicer, vtkNormalizeMatrixVectors, vtkMultiThreshold, vtkMultiBlockMergeFilter, vtkMultiBlockDataGroupFilter, vtkMergeVectorComponents, vtkMergeTimeFilter, vtkMergeArrays, vtkMatricizeArray, vtkMarchingContourFilter, vtkLoopBooleanPolyDataFilter, vtkLinkEdgels, vtkLevelIdScalars, vtkJoinTables, vtkIntersectionPolyDataFilter, vtkInterpolatingSubdivisionFilter, vtkInterpolateDataSetAttributes, vtkImageMarchingCubes, vtkImageDataToPointSet, vtkIconGlyphFilter, vtkHyperStreamline, vtkHierarchicalDataLevelFilter, vtkGroupTimeStepsFilter, vtkGroupDataSetsFilter, vtkGraphWeightFilter, vtkGraphWeightEuclideanDistanceFilter, vtkGraphToPoints, vtkGraphLayoutFilter, vtkGradientFilter, vtkFiniteElementFieldDistributor, vtkExtractSelectionBase, vtkExtractSelectedFrustum, vtkExtractGhostCells, vtkExtractArray, vtkEqualizerFilter, vtkEdgePoints, vtkDistancePolyDataFilter, vtkDiscreteMarchingCubes, vtkDiscreteFlyingEdgesClipper2D, vtkDiscreteFlyingEdges3D, vtkDiscreteFlyingEdges2D, vtkDicer, vtkDensifyPolyData, vtkDeformPointSet, vtkDeflectNormals, vtkDateToNumeric, vtkDataSetTriangleFilter, vtkDataSetGradientPrecompute, vtkDataSetGradient, vtkCurvatures, vtkCursor3D, vtkCursor2D, vtkCountVertices, vtkCountFaces, vtkContourTriangulator, vtkClipVolume, vtkClipDataSet, vtkClipConvexPolyData, vtkClipClosedSurface, vtkCleanUnstructuredGridCells, vtkCleanUnstructuredGrid, vtkCellValidator, vtkCellDerivatives, vtkBrownianPoints, vtkBoxClipDataSet, vtkBooleanOperationPolyDataFilter, vtkBlockIdScalars, vtkBlankStructuredGridWithImage, vtkBlankStructuredGrid, vtkAxes, vtkAreaContourSpectrumFilter, vtkApproximatingSubdivisionFilter, vtkAppendPoints, vtkAppendLocationAttributes, vtkAnnotationLink, vtkAnimateModes, vtkVortexCore, vtkVectorFieldTopology, vtkStreamTracer, vtkStreamSurface, vtkStreaklineFilter, vtkParticleTracerBase, vtkParticleTracer, vtkParticlePathFilter, vtkParallelVectors, vtkLagrangianParticleTracker, vtkEvenlySpacedStreamlines2D, vtkProbeSelectedLocations, vtkHierarchicalDataExtractLevel, vtkHierarchicalDataExtractDataSets, vtkExtractVectorComponents, vtkExtractUnstructuredGrid, vtkExtractTimeSteps, vtkExtractTensorComponents, vtkExtractSelection, vtkExtractSelectedThresholds, vtkExtractSelectedRows, vtkExtractSelectedPolyDataIds, vtkExtractSelectedLocations, vtkExtractSelectedIds, vtkExtractSelectedBlock, vtkExtractSelectedArraysOverTime, vtkExtractRectilinearGrid, vtkExtractPolyDataGeometry, vtkExtractParticlesOverTime, vtkExtractLevel, vtkExtractGrid, vtkExtractGeometry, vtkExtractExodusGlobalTemporalVariables, vtkExtractDataSets, vtkExtractDataOverTime, vtkExtractDataArraysOverTime, vtkExtractCellsByType, vtkExtractBlockUsingDataAssembly, vtkExtractBlock, vtkExpandMarkedElements, vtkConvertSelection, vtkWindowedSincPolyDataFilter, vtkVoronoi2D, vtkVectorNorm, vtkVectorDot, vtkUnstructuredGridToExplicitStructuredGrid, vtkUnstructuredGridQuadricDecimation, vtkTubeFilter, vtkTubeBender, vtkTriangleMeshPointNormals, vtkTriangleFilter, vtkTransposeTable, vtkThresholdPoints, vtkThreshold, vtkTensorGlyph, vtkSynchronizedTemplatesCutter3D, vtkSynchronizedTemplates3D, vtkSynchronizedTemplates2D, vtkSurfaceNets3D, vtkSurfaceNets2D, vtkStructuredGridOutlineFilter, vtkStructuredGridAppend, vtkStructuredDataPlaneCutter, vtkStripper, vtkStreamerBase, vtkStaticCleanUnstructuredGrid, vtkStaticCleanPolyData, vtkSphereTreeFilter, vtkSmoothPolyDataFilter, vtkSimpleElevationFilter, vtkReverseSense, vtkResampleWithDataSet, vtkResampleToImage, vtkRemoveUnusedPoints, vtkRemoveDuplicatePolys, vtkRectilinearSynchronizedTemplates, vtkRearrangeFields, vtkQuadricDecimation, vtkQuadricClustering, vtkProbeFilter, vtkPolyDataToUnstructuredGrid, vtkPolyDataTangents, vtkPolyDataPlaneCutter, vtkPolyDataPlaneClipper, vtkPolyDataNormals, vtkPolyDataEdgeConnectivityFilter, vtkPolyDataConnectivityFilter, vtkPointDataToCellData, vtkPlaneCutter, vtkPassThrough, vtkPackLabels, vtkMultiObjectMassProperties, vtkMoleculeAppend, vtkMergeFilter, vtkMergeFields, vtkMergeDataObjectFilter, vtkMassProperties, vtkMaskPolyData, vtkMaskPoints, vtkMaskFields, vtkMarchingSquares, vtkMarchingCubes, vtkImageDataToExplicitStructuredGrid, vtkImageAppend, vtkIdFilter, vtkHyperTreeGridProbeFilter, vtkHull, vtkHedgeHog, vtkGridSynchronizedTemplates3D, vtkGlyph3D, vtkGlyph2D, vtkFlyingEdgesPlaneCutter, vtkFlyingEdges3D, vtkFlyingEdges2D, vtkFieldDataToDataSetAttribute, vtkFieldDataToAttributeDataFilter, vtkFeatureEdges, vtkExtractEdges, vtkExtractCellsAlongPolyLine, vtkExtractCells, vtkExplicitStructuredGridToUnstructuredGrid, vtkExplicitStructuredGridCrop, vtkElevationFilter, vtkDelaunay3D, vtkDelaunay2D, vtkDecimatePro, vtkDecimatePolylineFilter, vtkDataSetToDataObjectFilter, vtkDataObjectToDataSetFilter, vtkDataObjectGenerator, vtkCutter, vtkConvertToPolyhedra, vtkConvertToPartitionedDataSetCollection, vtkConvertToMultiBlockDataSet, vtkContourGrid, vtkContourFilter, vtkContour3DLinearGrid, vtkConstrainedSmoothingFilter, vtkConnectivityFilter, vtkCompositeDataProbeFilter, vtkCompositeCutter, vtkClipPolyData, vtkCleanPolyData, vtkCenterOfMass, vtkCellDataToPointData, vtkCellCenters, vtkBinnedDecimation, vtkBinCellDataFilter, vtkAttributeDataToTableFilter, vtkAttributeDataToFieldDataFilter, vtkAssignAttribute, vtkArrayRename, vtkArrayCalculator, vtkAppendSelection, vtkAppendPolyData, vtkAppendFilter, vtkAppendDataSets, vtkAppendCompositeDataLeaves, vtkAppendArcLength, vtk3DLinearGridPlaneCutter, vtk3DLinearGridCrinkleExtractor, vtkCellGridComputeSurface, vtkImageToAMR, vtkAMRSliceFilter, vtkAMRGaussianPulseSource, vtkPSimpleBondPerceiver, vtkOpenSlideReader, vtkOpenGLMoleculeMapper, vtkSimpleBondPerceiver, vtkProteinRibbonFilter, vtkPointSetToMoleculeFilter, vtkMoleculeToPolyDataFilter, vtkMoleculeToLinesFilter, vtkMoleculeToBondStickFilter, vtkMoleculeToAtomBallFilter, vtkMoleculeMapper, vtkUnstructuredGridBaseAlgorithm, vtkUnstructuredGridAlgorithm, vtkUniformGridAMRAlgorithm, vtkUndirectedGraphAlgorithm, vtkTrivialProducer, vtkTrivialConsumer, vtkTreeAlgorithm, vtkThreadedImageAlgorithm, vtkTableAlgorithm, vtkStructuredGridAlgorithm, vtkSimpleReader, vtkSimpleImageToImageFilter, vtkSelectionAlgorithm, vtkRectilinearGridAlgorithm, vtkReaderAlgorithm, vtkPolyDataAlgorithm, vtkPointSetAlgorithm, vtkPiecewiseFunctionShiftScale, vtkPiecewiseFunctionAlgorithm, vtkPassInputTypeAlgorithm, vtkPartitionedDataSetCollectionAlgorithm, vtkPartitionedDataSetAlgorithm, vtkParallelReader, vtkOverlappingAMRAlgorithm, vtkNonOverlappingAMRAlgorithm, vtkMultiTimeStepAlgorithm, vtkMultiBlockDataSetAlgorithm, vtkMoleculeAlgorithm, vtkImageToStructuredPoints, vtkImageInPlaceFilter, vtkImageAlgorithm, vtkHyperTreeGridAlgorithm, vtkHierarchicalBoxDataSetAlgorithm, vtkGraphAlgorithm, vtkExplicitStructuredGridAlgorithm, vtkEnsembleSource, vtkDirectedGraphAlgorithm, vtkDataSetAlgorithm, vtkDataObjectAlgorithm, vtkCompositeDataSetAlgorithm, vtkCellGridAlgorithm, vtkCastToConcrete, vtkArrayDataAlgorithm, vtkAnnotationLayersAlgorithm, vtkSQLGraphReader, vtkSQLDatabaseGraphSource, vtkCGMWriter, vtkNonOverlappingAMRLevelIdScalars, vtkOpenQubeMoleculeSource, and vtkOpenGLCellGridMapper.

## ◆ HasExecutive()

vtkTypeBool vtkAlgorithm::HasExecutive | ( |  | ) |

Check whether this algorithm has an assigned executive.

This will NOT create a default executive.

## ◆ GetExecutive()

vtkExecutive* vtkAlgorithm::GetExecutive | ( |  | ) |

Get this algorithm's executive.

If it has none, a default executive will be created.

## ◆ SetExecutive()

virtual void vtkAlgorithm::SetExecutive | ( | vtkExecutive * | executive | ) |
| virtual

Set this algorithm's executive.

This algorithm is removed from any executive to which it has previously been assigned and then assigned to the given executive.

## ◆ ProcessRequest() [1/2]

virtual vtkTypeBool vtkAlgorithm::ProcessRequest | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inInfo,
|  | vtkInformationVector * | outInfo
| ) |  |
| virtual

Upstream/Downstream requests form the generalized interface through which executives invoke a algorithm's functionality.

Upstream requests correspond to information flow from the algorithm's outputs to its inputs. Downstream requests correspond to information flow from the algorithm's inputs to its outputs.

A downstream request is defined by the contents of the request information object. The input to the request is stored in the input information vector passed to ProcessRequest. The results of an downstream request are stored in the output information vector passed to ProcessRequest.

An upstream request is defined by the contents of the request information object. The input to the request is stored in the output information vector passed to ProcessRequest. The results of an upstream request are stored in the input information vector passed to ProcessRequest.

It returns the boolean status of the pipeline (false means failure).

Reimplemented in vtkXMLWriter, vtkXMLStructuredDataWriter, vtkXMLReader, vtkXdmfReader, vtkXMLPDataObjectWriter, vtkOpenVDBWriter, vtkIOSSWriter, vtkExodusIIWriter, vtkCPExodusIIInSituReader, vtkWriter, vtkStringToNumeric, vtkStringToCategory, vtkGenerateIndexArray, vtkPieceRequestFilter, vtkHyperTreeGridCellCenters, vtkTemporalSnapToTimeStep, vtkTemporalShiftScale, vtkTemporalFractal, vtkTemporalDataSetCache, vtkCompositeDataGeometryFilter, vtkPassArrays, vtkParticleTracerBase, vtkUniformGridAMRAlgorithm, vtkPointSetAlgorithm, vtkPassInputTypeAlgorithm, vtkMultiBlockDataSetAlgorithm, vtkHierarchicalBoxDataSetAlgorithm, vtkEnsembleSource, vtkDataSetAlgorithm, vtkCompositeDataSetAlgorithm, vtkImageResliceMapper, vtkImageSliceMapper, vtkImageMapper3D, vtkXMLWriter2, vtkMNITransformWriter, vtkMNITransformReader, vtkIOSSReader, vtkWindBladeReader, vtkPythonAlgorithm, vtkReaderAlgorithm, vtkPartitionedDataSetCollectionAlgorithm, vtkPartitionedDataSetAlgorithm, vtkLabelHierarchyAlgorithm, vtkWindowToImageFilter, vtkResizingWindowToImageFilter, vtkRendererSource, vtkPolyDataMapper, vtkXMLUnstructuredDataWriter, vtkXMLTableWriter, vtkXMLCompositeDataWriter, vtkXdmf3Reader, vtkXMLPMultiBlockDataWriter, vtkFidesReader, vtkExodusIIReader, vtkCGNSFileSeriesReader, vtkADIOS2CoreImageReader, vtkImageOpenClose3D, vtkImageStencilAlgorithm, vtkImageDataStreamer, vtkSMPContourGrid, vtkUnsignedDistance, vtkSignedDistance, vtkMemoryLimitImageDataStreamer, vtkTransformToGrid, vtkRenderLargeImage, vtkImplicitModeller, vtkExtractDataOverTime, vtkStreamerBase, vtkResampleToImage, vtkConnectivityFilter, vtkAppendDataSets, vtkUnstructuredGridBaseAlgorithm, vtkUnstructuredGridAlgorithm, vtkUndirectedGraphAlgorithm, vtkTrivialProducer, vtkTreeAlgorithm, vtkTableAlgorithm, vtkStructuredGridAlgorithm, vtkSelectionAlgorithm, vtkRectilinearGridAlgorithm, vtkPolyDataAlgorithm, vtkPiecewiseFunctionAlgorithm, vtkMultiTimeStepAlgorithm, vtkMoleculeAlgorithm, vtkImageAlgorithm, vtkHyperTreeGridAlgorithm, vtkGraphAlgorithm, vtkExplicitStructuredGridAlgorithm, vtkDirectedGraphAlgorithm, vtkDataObjectAlgorithm, vtkCellGridAlgorithm, vtkArrayDataAlgorithm, vtkAnnotationLayersAlgorithm, and vtkmExternalFaces.

## ◆ ProcessRequest() [2/2]

vtkTypeBool vtkAlgorithm::ProcessRequest | ( | vtkInformation * | request,
|  | vtkCollection * | inInfo,
|  | vtkInformationVector * | outInfo
| ) |  |

Version of ProcessRequest() that is wrapped.

This converts the collection to an array and calls the other version.

## ◆ ComputePipelineMTime()

virtual int vtkAlgorithm::ComputePipelineMTime | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inInfoVec,
|  | vtkInformationVector * | outInfoVec,
|  | int | requestFromOutputPort,
|  | vtkMTimeType * | mtime
| ) |  |
| virtual

A special version of ProcessRequest meant specifically for the pipeline modified time request.

See vtkExecutive::ComputePipelineMTime() for details.

Reimplemented in vtkVolumeOutlineSource, vtkClipClosedSurface, vtkImageImport, and vtkImageOpenClose3D.

## ◆ ModifyRequest()

virtual int vtkAlgorithm::ModifyRequest | ( | vtkInformation * | request,
|  | int | when
| ) |  |
| virtual

This method gives the algorithm a chance to modify the contents of a request before or after (specified in the when argument) it is forwarded.

The default implementation is empty. Returns 1 on success, 0 on failure. When can be either vtkExecutive::BeforeForward or vtkExecutive::AfterForward.

## ◆ GetInputPortInformation()

vtkInformation* vtkAlgorithm::GetInputPortInformation | ( | int | port | ) |

Get the information object associated with an input port.

There is one input port per kind of input to the algorithm. Each input port tells executives what kind of data and downstream requests this algorithm can handle for that input.

## ◆ GetOutputPortInformation()

vtkInformation* vtkAlgorithm::GetOutputPortInformation | ( | int | port | ) |

Get the information object associated with an output port.

There is one output port per output from the algorithm. Each output port tells executives what kind of upstream requests this algorithm can handle for that output.

## ◆ GetInformation()

virtual vtkInformation* vtkAlgorithm::GetInformation | ( |  | ) |
| virtual

Set/Get the information object associated with this algorithm.

## ◆ SetInformation()

virtual void vtkAlgorithm::SetInformation | ( | vtkInformation * |  | ) |
| virtual

Set/Get the information object associated with this algorithm.

## ◆ GetNumberOfInputPorts()

int vtkAlgorithm::GetNumberOfInputPorts | ( |  | ) |

Get the number of input ports used by the algorithm.

## ◆ GetNumberOfOutputPorts()

int vtkAlgorithm::GetNumberOfOutputPorts | ( |  | ) |

Get the number of output ports provided by the algorithm.

## ◆ UsesGarbageCollector()

bool vtkAlgorithm::UsesGarbageCollector | ( |  | ) | const
| inlineoverridevirtual

Participate in garbage collection.

Reimplemented from vtkObjectBase.

Definition at line 201 of file vtkAlgorithm.h.

## ◆ SetAbortExecuteAndUpdateTime()

void vtkAlgorithm::SetAbortExecuteAndUpdateTime | ( |  | ) |

Set AbortExecute Flag and update LastAbortTime.

## ◆ SetAbortExecute()

virtual void vtkAlgorithm::SetAbortExecute | ( | vtkTypeBool |  | ) |
| virtual

Set/Get the AbortExecute flag for the process object.

Process objects may handle premature termination of execution in different ways.

## ◆ GetAbortExecute()

virtual vtkTypeBool vtkAlgorithm::GetAbortExecute | ( |  | ) |
| virtual

Set/Get the AbortExecute flag for the process object.

Process objects may handle premature termination of execution in different ways.

## ◆ AbortExecuteOn()

virtual void vtkAlgorithm::AbortExecuteOn | ( |  | ) |
| virtual

Set/Get the AbortExecute flag for the process object.

Process objects may handle premature termination of execution in different ways.

## ◆ AbortExecuteOff()

virtual void vtkAlgorithm::AbortExecuteOff | ( |  | ) |
| virtual

Set/Get the AbortExecute flag for the process object.

Process objects may handle premature termination of execution in different ways.

## ◆ GetProgress()

virtual double vtkAlgorithm::GetProgress | ( |  | ) |
| virtual

Get the execution progress of a process object.

## ◆ UpdateProgress()

void vtkAlgorithm::UpdateProgress | ( | double | amount | ) |

Update the progress of the process object.

If a ProgressMethod exists, executes it. Then set the Progress ivar to amount. The parameter amount should range between (0,1).

## ◆ CheckAbort()

bool vtkAlgorithm::CheckAbort | ( |  | ) |

Checks to see if this filter should abort.

## ◆ SetContainerAlgorithm()

void vtkAlgorithm::SetContainerAlgorithm | ( | vtkAlgorithm * | containerAlg | ) |
| inline

Set/get a Container algorithm for this algorithm.

Allows this algorithm to check to abort status of its Container algorithm as well as have access to its Container's information.

Definition at line 244 of file vtkAlgorithm.h.

## ◆ GetContainerAlgorithm()

vtkAlgorithm* vtkAlgorithm::GetContainerAlgorithm | ( |  | ) |
| inline

Set/get a Container algorithm for this algorithm.

Allows this algorithm to check to abort status of its Container algorithm as well as have access to its Container's information.

Definition at line 248 of file vtkAlgorithm.h.

## ◆ SetAbortOutput()

virtual void vtkAlgorithm::SetAbortOutput | ( | bool |  | ) |
| virtual

Set/Get an internal variable used to communicate between the algorithm and executive.

If the executive sees this value is set, it will initialize the output data and pass the ABORTED flag downstream.

CheckAbort sets this value to true if the function returns true.

## ◆ GetAbortOutput()

virtual bool vtkAlgorithm::GetAbortOutput | ( |  | ) |
| virtual

Set/Get an internal variable used to communicate between the algorithm and executive.

If the executive sees this value is set, it will initialize the output data and pass the ABORTED flag downstream.

CheckAbort sets this value to true if the function returns true.

## ◆ SetProgressShiftScale()

void vtkAlgorithm::SetProgressShiftScale | ( | double | shift,
|  | double | scale
| ) |  |

Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called.

By default shift is set to 0, and scale is set to 1.0. This is useful when the vtkAlgorithm instance is used as an internal algorithm to solve only a part of a whole problem.

If calling on a internal vtkAlgorithm, make sure you take into consideration that values set of the outer vtkAlgorithm as well since the outer vtkAlgorithm itself may be nested in another algorithm.

Note
  SetProgressShiftScale does not modify the MTime of the algorithm.

## ◆ GetProgressShift()

virtual double vtkAlgorithm::GetProgressShift | ( |  | ) |
| virtual

Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called.

By default shift is set to 0, and scale is set to 1.0. This is useful when the vtkAlgorithm instance is used as an internal algorithm to solve only a part of a whole problem.

If calling on a internal vtkAlgorithm, make sure you take into consideration that values set of the outer vtkAlgorithm as well since the outer vtkAlgorithm itself may be nested in another algorithm.

Note
  SetProgressShiftScale does not modify the MTime of the algorithm.

## ◆ GetProgressScale()

virtual double vtkAlgorithm::GetProgressScale | ( |  | ) |
| virtual

Specify the shift and scale values to use to apply to the progress amount when `UpdateProgress` is called.

By default shift is set to 0, and scale is set to 1.0. This is useful when the vtkAlgorithm instance is used as an internal algorithm to solve only a part of a whole problem.

If calling on a internal vtkAlgorithm, make sure you take into consideration that values set of the outer vtkAlgorithm as well since the outer vtkAlgorithm itself may be nested in another algorithm.

Note
  SetProgressShiftScale does not modify the MTime of the algorithm.

## ◆ SetProgressText()

void vtkAlgorithm::SetProgressText | ( | const char * | ptext | ) |

Set the current text message associated with the progress state.

This may be used by a calling process/GUI. Note: Because SetProgressText() is called from inside RequestData() it does not modify the algorithm object. Algorithms are not allowed to modify themselves from inside RequestData().

## ◆ GetProgressText()

virtual char* vtkAlgorithm::GetProgressText | ( |  | ) |
| virtual

Set the current text message associated with the progress state.

This may be used by a calling process/GUI. Note: Because SetProgressText() is called from inside RequestData() it does not modify the algorithm object. Algorithms are not allowed to modify themselves from inside RequestData().

## ◆ GetErrorCode()

virtual unsigned long vtkAlgorithm::GetErrorCode | ( |  | ) |
| virtual

The error code contains a possible error that occurred while reading or writing the file.

## ◆ SetInputArrayToProcess() [1/4]

virtual void vtkAlgorithm::SetInputArrayToProcess | ( | int | idx,
|  | int | port,
|  | int | connection,
|  | int | fieldAssociation,
|  | const char * | name
| ) |  |
| virtual

Set the input data arrays that this algorithm will process.

Specifically the idx array that this algorithm will process (starting from 0) is the array on port, connection with the specified association and name or attribute type (such as SCALARS). The fieldAssociation refers to which field in the data object the array is stored. See vtkDataObject::FieldAssociations for detail.

Reimplemented in vtkCompositePolyDataMapper.

## ◆ SetInputArrayToProcess() [2/4]

virtual void vtkAlgorithm::SetInputArrayToProcess | ( | int | idx,
|  | int | port,
|  | int | connection,
|  | int | fieldAssociation,
|  | int | fieldAttributeType
| ) |  |
| virtual

Set the input data arrays that this algorithm will process.

Specifically the idx array that this algorithm will process (starting from 0) is the array on port, connection with the specified association and name or attribute type (such as SCALARS). The fieldAssociation refers to which field in the data object the array is stored. See vtkDataObject::FieldAssociations for detail.

Reimplemented in vtkCompositePolyDataMapper.

## ◆ SetInputArrayToProcess() [3/4]

virtual void vtkAlgorithm::SetInputArrayToProcess | ( | int | idx,
|  | vtkInformation * | info
| ) |  |
| virtual

Set the input data arrays that this algorithm will process.

Specifically the idx array that this algorithm will process (starting from 0) is the array on port, connection with the specified association and name or attribute type (such as SCALARS). The fieldAssociation refers to which field in the data object the array is stored. See vtkDataObject::FieldAssociations for detail.

Reimplemented in vtkCompositePolyDataMapper.

## ◆ SetInputArrayToProcess() [4/4]

virtual void vtkAlgorithm::SetInputArrayToProcess | ( | int | idx,
|  | int | port,
|  | int | connection,
|  | const char * | fieldAssociation,
|  | const char * | attributeTypeorName
| ) |  |
| virtual

String based versions of SetInputArrayToProcess().

Because fieldAssociation and fieldAttributeType are enums, they cannot be easily accessed from scripting language. These methods provides an easy and safe way of passing association and attribute type information. Field association is one of the following:

    * vtkDataObject::FIELD_ASSOCIATION_POINTS
    * vtkDataObject::FIELD_ASSOCIATION_CELLS
    * vtkDataObject::FIELD_ASSOCIATION_NONE
    * vtkDataObject::FIELD_ASSOCIATION_POINTS_THEN_CELLS
    *

Attribute type is one of the following:

    * vtkDataSetAttributes::SCALARS
    * vtkDataSetAttributes::VECTORS
    * vtkDataSetAttributes::NORMALS
    * vtkDataSetAttributes::TCOORDS
    * vtkDataSetAttributes::TENSORS
    *

If the last argument is not an attribute type, it is assumed to be an array name.

## ◆ GetInputArrayInformation()

vtkInformation* vtkAlgorithm::GetInputArrayInformation | ( | int | idx | ) |

Get the info object for the specified input array to this algorithm.

## ◆ RemoveAllInputs()

void vtkAlgorithm::RemoveAllInputs | ( |  | ) |

Remove all the input data.

## ◆ GetOutputDataObject()

vtkDataObject* vtkAlgorithm::GetOutputDataObject | ( | int | port | ) |

Get the data object that will contain the algorithm output for the given port.

## ◆ GetInputDataObject()

vtkDataObject* vtkAlgorithm::GetInputDataObject | ( | int | port,
|  | int | connection
| ) |  |

Get the data object that will contain the algorithm input for the given port and given connection.

## ◆ SetInputConnection() [1/2]

virtual void vtkAlgorithm::SetInputConnection | ( | int | port,
|  | vtkAlgorithmOutput * | input
| ) |  |
| virtual

Set the connection for the given input port index.

Each input port of a filter has a specific purpose. A port may have zero or more connections and the required number is specified by each filter. Setting the connection with this method removes all other connections from the port. To add more than one connection use AddInputConnection().

The input for the connection is the output port of another filter, which is obtained with GetOutputPort(). Typical usage is

filter2->SetInputConnection(0, filter1->GetOutputPort(0)).

Reimplemented in vtkAbstractHyperTreeGridMapper, vtkAMRVolumeMapper, vtkGPUVolumeRayCastMapper, and vtkImageMathematics.

## ◆ SetInputConnection() [2/2]

virtual void vtkAlgorithm::SetInputConnection | ( | vtkAlgorithmOutput * | input | ) |
| virtual

Set the connection for the given input port index.

Each input port of a filter has a specific purpose. A port may have zero or more connections and the required number is specified by each filter. Setting the connection with this method removes all other connections from the port. To add more than one connection use AddInputConnection().

The input for the connection is the output port of another filter, which is obtained with GetOutputPort(). Typical usage is

filter2->SetInputConnection(0, filter1->GetOutputPort(0)).

Reimplemented in vtkAMRVolumeMapper, vtkGPUVolumeRayCastMapper, vtkAbstractHyperTreeGridMapper, and vtkImageMathematics.

## ◆ AddInputConnection() [1/2]

virtual void vtkAlgorithm::AddInputConnection | ( | int | port,
|  | vtkAlgorithmOutput * | input
| ) |  |
| virtual

Add a connection to the given input port index.

See SetInputConnection() for details on input connections. This method is the complement to RemoveInputConnection() in that it adds only the connection specified without affecting other connections. Typical usage is

filter2->AddInputConnection(0, filter1->GetOutputPort(0)).

## ◆ AddInputConnection() [2/2]

virtual void vtkAlgorithm::AddInputConnection | ( | vtkAlgorithmOutput * | input | ) |
| virtual

Add a connection to the given input port index.

See SetInputConnection() for details on input connections. This method is the complement to RemoveInputConnection() in that it adds only the connection specified without affecting other connections. Typical usage is

filter2->AddInputConnection(0, filter1->GetOutputPort(0)).

## ◆ RemoveInputConnection() [1/2]

virtual void vtkAlgorithm::RemoveInputConnection | ( | int | port,
|  | vtkAlgorithmOutput * | input
| ) |  |
| virtual

Remove a connection from the given input port index.

See SetInputConnection() for details on input connection. This method is the complement to AddInputConnection() in that it removes only the connection specified without affecting other connections. Typical usage is

filter2->RemoveInputConnection(0, filter1->GetOutputPort(0)).

Reimplemented in vtkGPUVolumeRayCastMapper.

## ◆ RemoveInputConnection() [2/2]

virtual void vtkAlgorithm::RemoveInputConnection | ( | int | port,
|  | int | idx
| ) |  |
| virtual

Remove a connection given by index idx.

Reimplemented in vtkGPUVolumeRayCastMapper.

## ◆ RemoveAllInputConnections()

virtual void vtkAlgorithm::RemoveAllInputConnections | ( | int | port | ) |
| virtual

Removes all input connections.

## ◆ SetInputDataObject() [1/2]

virtual void vtkAlgorithm::SetInputDataObject | ( | int | port,
|  | vtkDataObject * | data
| ) |  |
| virtual

Sets the data-object as an input on the given port index.

Setting the input with this method removes all other connections from the port. Internally, this method creates a vtkTrivialProducer instance and sets that as the input-connection for the given port. It is safe to call this method repeatedly with the same input data object. The MTime of the vtkAlgorithm will not change unless the data object changed.

Reimplemented in vtkHyperTreeGridMapper.

## ◆ SetInputDataObject() [2/2]

virtual void vtkAlgorithm::SetInputDataObject | ( | vtkDataObject * | data | ) |
| inlinevirtual

Reimplemented in vtkHyperTreeGridMapper.

Definition at line 492 of file vtkAlgorithm.h.

## ◆ AddInputDataObject() [1/2]

virtual void vtkAlgorithm::AddInputDataObject | ( | int | port,
|  | vtkDataObject * | data
| ) |  |
| virtual

Add the data-object as an input to this given port.

This will add a new input connection on the specified port without affecting any existing connections on the same input port.

## ◆ AddInputDataObject() [2/2]

virtual void vtkAlgorithm::AddInputDataObject | ( | vtkDataObject * | data | ) |
| inlinevirtual

Definition at line 500 of file vtkAlgorithm.h.

## ◆ GetOutputPort() [1/2]

vtkAlgorithmOutput* vtkAlgorithm::GetOutputPort | ( | int | index | ) |

Get a proxy object corresponding to the given output port of this algorithm.

The proxy object can be passed to another algorithm's SetInputConnection(), AddInputConnection(), and RemoveInputConnection() methods to modify pipeline connectivity.

## ◆ GetOutputPort() [2/2]

vtkAlgorithmOutput* vtkAlgorithm::GetOutputPort | ( |  | ) |
| inline

Definition at line 509 of file vtkAlgorithm.h.

## ◆ GetNumberOfInputConnections()

int vtkAlgorithm::GetNumberOfInputConnections | ( | int | port | ) |

Get the number of inputs currently connected to a port.

## ◆ GetTotalNumberOfInputConnections()

int vtkAlgorithm::GetTotalNumberOfInputConnections | ( |  | ) |

Get the total number of inputs for this algorithm.

## ◆ GetInputConnection()

vtkAlgorithmOutput* vtkAlgorithm::GetInputConnection | ( | int | port,
|  | int | index
| ) |  |

Get the algorithm output port connected to an input port.

## ◆ GetInputAlgorithm() [1/3]

vtkAlgorithm* vtkAlgorithm::GetInputAlgorithm | ( | int | port,
|  | int | index,
|  | int & | algPort
| ) |  |

Returns the algorithm and the output port index of that algorithm connected to a port-index pair.

## ◆ GetInputAlgorithm() [2/3]

vtkAlgorithm* vtkAlgorithm::GetInputAlgorithm | ( | int | port,
|  | int | index
| ) |  |

Returns the algorithm connected to a port-index pair.

## ◆ GetInputAlgorithm() [3/3]

vtkAlgorithm* vtkAlgorithm::GetInputAlgorithm | ( |  | ) |
| inline

Equivalent to GetInputAlgorithm(0, 0).

Definition at line 540 of file vtkAlgorithm.h.

## ◆ GetInputExecutive() [1/2]

vtkExecutive* vtkAlgorithm::GetInputExecutive | ( | int | port,
|  | int | index
| ) |  |

Returns the executive associated with a particular input connection.

## ◆ GetInputExecutive() [2/2]

vtkExecutive* vtkAlgorithm::GetInputExecutive | ( |  | ) |
| inline

Equivalent to GetInputExecutive(0, 0)

Definition at line 551 of file vtkAlgorithm.h.

## ◆ GetInputInformation() [1/2]

vtkInformation* vtkAlgorithm::GetInputInformation | ( | int | port,
|  | int | index
| ) |  |

Return the information object that is associated with a particular input connection.

This can be used to get meta-data coming from the REQUEST_INFORMATION pass and set requests for the REQUEST_UPDATE_EXTENT pass. NOTE: Do not use this in any of the pipeline passes. Use the information objects passed as arguments instead.

## ◆ GetInputInformation() [2/2]

vtkInformation* vtkAlgorithm::GetInputInformation | ( |  | ) |
| inline

Equivalent to GetInputInformation(0, 0)

Definition at line 566 of file vtkAlgorithm.h.

## ◆ GetOutputInformation()

vtkInformation* vtkAlgorithm::GetOutputInformation | ( | int | port | ) |

Return the information object that is associated with a particular output port.

This can be used to set meta-data coming during the REQUEST_INFORMATION. NOTE: Do not use this in any of the pipeline passes. Use the information objects passed as arguments instead.

## ◆ Update() [1/4]

virtual void vtkAlgorithm::Update | ( | int | port | ) |
| virtual

Bring this algorithm's outputs up-to-date.

Reimplemented in vtkImageResliceMapper, vtkPolyDataMapper, and vtkCellGridMapper.

## ◆ Update() [2/4]

virtual void vtkAlgorithm::Update | ( |  | ) |
| virtual

Bring this algorithm's outputs up-to-date.

Reimplemented in vtkImageResliceMapper, vtkPolyDataMapper, and vtkCellGridMapper.

## ◆ Update() [3/4]

virtual vtkTypeBool vtkAlgorithm::Update | ( | int | port,
|  | vtkInformationVector * | requests
| ) |  |
| virtual

This method enables the passing of data requests to the algorithm to be used during execution (in addition to bringing a particular port up-to-date).

The requests argument should contain an information object for each port that requests need to be passed. For each of those, the pipeline will copy all keys to the output information before execution. This is equivalent to:

    * algorithm->UpdateInformation();
    * for (int i=0; i<algorithm->GetNumberOfOutputPorts(); i++)
    * {
    * vtkInformation* portRequests = requests->GetInformationObject(i);
    * if (portRequests)
    * {
    * algorithm->GetOutputInformation(i)->Append(portRequests);
    * }
    * }
    * algorithm->Update();
    *

Available requests include UPDATE_PIECE_NUMBER(), UPDATE_NUMBER_OF_PIECES() UPDATE_EXTENT() etc etc.

Reimplemented in vtkImageResliceMapper, vtkPolyDataMapper, and vtkCellGridMapper.

## ◆ Update() [4/4]

virtual vtkTypeBool vtkAlgorithm::Update | ( | vtkInformation * | requests | ) |
| virtual

Convenience method to update an algorithm after passing requests to its first output port.

See documentation for Update(int port, vtkInformationVector* requests) for details.

Reimplemented in vtkImageResliceMapper, vtkPolyDataMapper, and vtkCellGridMapper.

## ◆ UpdatePiece()

virtual int vtkAlgorithm::UpdatePiece | ( | int | piece,
|  | int | numPieces,
|  | int | ghostLevels,
|  | const int | extents[6] = `nullptr`
| ) |  |
| virtual

Convenience method to update an algorithm after passing requests to its first output port.

See documentation for Update(int port, vtkInformationVector* requests) for details. Supports piece and extent (optional) requests.

## ◆ UpdateExtent()

virtual int vtkAlgorithm::UpdateExtent | ( | const int | extents[6] | ) |
| virtual

Convenience method to update an algorithm after passing requests to its first output port.

Supports extent request.

## ◆ UpdateTimeStep()

virtual int vtkAlgorithm::UpdateTimeStep | ( | double | time,
|  | int | piece = `-1`,
|  | int | numPieces = `1`,
|  | int | ghostLevels = `0`,
|  | const int | extents[6] = `nullptr`
| ) |  |
| virtual

Convenience method to update an algorithm after passing requests to its first output port.

See documentation for Update(int port, vtkInformationVector* requests) for details. Supports time, piece (optional) and extent (optional) requests.

## ◆ UpdateInformation()

virtual void vtkAlgorithm::UpdateInformation | ( |  | ) |
| virtual

Bring the algorithm's information up-to-date.

## ◆ UpdateDataObject()

virtual void vtkAlgorithm::UpdateDataObject | ( |  | ) |
| virtual

Create output object(s).

## ◆ PropagateUpdateExtent()

virtual void vtkAlgorithm::PropagateUpdateExtent | ( |  | ) |
| virtual

Propagate meta-data upstream.

## ◆ UpdateWholeExtent()

virtual void vtkAlgorithm::UpdateWholeExtent | ( |  | ) |
| virtual

Bring this algorithm's outputs up-to-date.

## ◆ ConvertTotalInputToPortConnection()

void vtkAlgorithm::ConvertTotalInputToPortConnection | ( | int | ind,
|  | int & | port,
|  | int & | conn
| ) |  |

Convenience routine to convert from a linear ordering of input connections to a port/connection pair.

## ◆ SetReleaseDataFlag()

virtual void vtkAlgorithm::SetReleaseDataFlag | ( | vtkTypeBool |  | ) |
| virtual

Turn release data flag on or off for all output ports.

## ◆ GetReleaseDataFlag()

virtual vtkTypeBool vtkAlgorithm::GetReleaseDataFlag | ( |  | ) |
| virtual

Turn release data flag on or off for all output ports.

## ◆ ReleaseDataFlagOn()

void vtkAlgorithm::ReleaseDataFlagOn | ( |  | ) |

Turn release data flag on or off for all output ports.

## ◆ ReleaseDataFlagOff()

void vtkAlgorithm::ReleaseDataFlagOff | ( |  | ) |

Turn release data flag on or off for all output ports.

## ◆ UpdateExtentIsEmpty() [1/2]

int vtkAlgorithm::UpdateExtentIsEmpty | ( | vtkInformation * | pinfo,
|  | vtkDataObject * | output
| ) |  |

This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0.

The source uses this call to determine whether to call Execute.

## ◆ UpdateExtentIsEmpty() [2/2]

int vtkAlgorithm::UpdateExtentIsEmpty | ( | vtkInformation * | pinfo,
|  | int | extentType
| ) |  |

This detects when the UpdateExtent will generate no data This condition is satisfied when the UpdateExtent has zero volume (0,-1,...) or the UpdateNumberOfPieces is 0.

The source uses this call to determine whether to call Execute.

## ◆ SetDefaultExecutivePrototype()

static void vtkAlgorithm::SetDefaultExecutivePrototype | ( | vtkExecutive * | proto | ) |
| static

If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance().

## ◆ GetUpdateExtent() [1/6]

int* vtkAlgorithm::GetUpdateExtent | ( |  | ) |
| inline

These functions return the update extent for output ports that use 3D extents.

Where port is not specified, it is assumed to be 0.

Definition at line 708 of file vtkAlgorithm.h.

## ◆ GetUpdateExtent() [2/6]

int* vtkAlgorithm::GetUpdateExtent | ( | int | port | ) |

These functions return the update extent for output ports that use 3D extents.

Where port is not specified, it is assumed to be 0.

## ◆ GetUpdateExtent() [3/6]

void vtkAlgorithm::GetUpdateExtent | ( | int & | x0,
|  | int & | x1,
|  | int & | y0,
|  | int & | y1,
|  | int & | z0,
|  | int & | z1
| ) |  |
| inline

These functions return the update extent for output ports that use 3D extents.

Where port is not specified, it is assumed to be 0.

Definition at line 710 of file vtkAlgorithm.h.

## ◆ GetUpdateExtent() [4/6]

void vtkAlgorithm::GetUpdateExtent | ( | int | port,
|  | int & | x0,
|  | int & | x1,
|  | int & | y0,
|  | int & | y1,
|  | int & | z0,
|  | int & | z1
| ) |  |

These functions return the update extent for output ports that use 3D extents.

Where port is not specified, it is assumed to be 0.

## ◆ GetUpdateExtent() [5/6]

void vtkAlgorithm::GetUpdateExtent | ( | int | extent[6] | ) |
| inline

These functions return the update extent for output ports that use 3D extents.

Where port is not specified, it is assumed to be 0.

Definition at line 715 of file vtkAlgorithm.h.

## ◆ GetUpdateExtent() [6/6]

void vtkAlgorithm::GetUpdateExtent | ( | int | port,
|  | int | extent[6]
| ) |  |

These functions return the update extent for output ports that use 3D extents.

Where port is not specified, it is assumed to be 0.

## ◆ GetUpdatePiece() [1/2]

int vtkAlgorithm::GetUpdatePiece | ( |  | ) |
| inline

These functions return the update extent for output ports that use piece extents.

Where port is not specified, it is assumed to be 0.

Definition at line 725 of file vtkAlgorithm.h.

## ◆ GetUpdatePiece() [2/2]

int vtkAlgorithm::GetUpdatePiece | ( | int | port | ) |

These functions return the update extent for output ports that use piece extents.

Where port is not specified, it is assumed to be 0.

## ◆ GetUpdateNumberOfPieces() [1/2]

int vtkAlgorithm::GetUpdateNumberOfPieces | ( |  | ) |
| inline

These functions return the update extent for output ports that use piece extents.

Where port is not specified, it is assumed to be 0.

Definition at line 727 of file vtkAlgorithm.h.

## ◆ GetUpdateNumberOfPieces() [2/2]

int vtkAlgorithm::GetUpdateNumberOfPieces | ( | int | port | ) |

These functions return the update extent for output ports that use piece extents.

Where port is not specified, it is assumed to be 0.

## ◆ GetUpdateGhostLevel() [1/2]

int vtkAlgorithm::GetUpdateGhostLevel | ( |  | ) |
| inline

These functions return the update extent for output ports that use piece extents.

Where port is not specified, it is assumed to be 0.

Definition at line 729 of file vtkAlgorithm.h.

## ◆ GetUpdateGhostLevel() [2/2]

int vtkAlgorithm::GetUpdateGhostLevel | ( | int | port | ) |

These functions return the update extent for output ports that use piece extents.

Where port is not specified, it is assumed to be 0.

## ◆ SetProgressObserver()

void vtkAlgorithm::SetProgressObserver | ( | vtkProgressObserver * |  | ) |

If an ProgressObserver is set, the algorithm will report progress through it rather than directly.

This means that it will call UpdateProgress() on the ProgressObserver rather than itself report it and set progress. This is most useful in situations where multiple threads are executing an algorithm at the same time and want to handle progress locally.

## ◆ GetProgressObserver()

virtual vtkProgressObserver* vtkAlgorithm::GetProgressObserver | ( |  | ) |
| virtual

If an ProgressObserver is set, the algorithm will report progress through it rather than directly.

This means that it will call UpdateProgress() on the ProgressObserver rather than itself report it and set progress. This is most useful in situations where multiple threads are executing an algorithm at the same time and want to handle progress locally.

## ◆ PORT_REQUIREMENTS_FILLED()

static vtkInformationIntegerKey* vtkAlgorithm::PORT_REQUIREMENTS_FILLED | ( |  | ) |
| staticprotected

## ◆ CheckUpstreamAbort()

bool vtkAlgorithm::CheckUpstreamAbort | ( |  | ) |
| protected

Checks to see if an upstream filter has been aborted.

If an abort has occurred, return true.

## ◆ FillInputPortInformation()

virtual int vtkAlgorithm::FillInputPortInformation | ( | int | port,
|  | vtkInformation * | info
| ) |  |
| protectedvirtual

Fill the input port information objects for this algorithm.

This is invoked by the first call to GetInputPortInformation for each port so subclasses can specify what they can handle.

Reimplemented in vtkStructuredDataPlaneCutter, vtkImageToStructuredGrid, vtkVolumeMapper, vtkUnstructuredGridVolumeMapper, vtkLabeledDataMapper, vtkPolyDataMapper2D, vtkPolyDataMapper, vtkMapArrayValues, vtkLabeledContourMapper, vtkImageMapper, vtkCellGridMapper, vtkAbstractHyperTreeGridMapper, vtkFacetWriter, vtkTableToSparseArray, vtkTableToArray, vtkSparseArrayToTable, vtkDotProductSimilarity, vtkArrayToTable, vtkAdjacencyMatrixToEdgeTable, vtkPolyDataToImageStencil, vtkImageToImageStencil, vtkImageStencilToImage, vtkImageStencil, vtkSurfaceReconstructionFilter, vtkImageBlend, vtkImageAppendComponents, vtkProgrammableGlyphFilter, vtkUnsignedDistance, vtkSignedDistance, vtkExtractEnclosedPoints, vtkIntegrateAttributes, vtkVolumeOfRevolutionFilter, vtkTrimmedExtrusionFilter, vtkSelectEnclosedPoints, vtkQuadRotationalExtrusionFilter, vtkFitToHeightMapFilter, vtkCookieCutter, vtkImageDataToHyperTreeGrid, vtkHyperTreeGridCellCenters, vtkTemporalArrayOperatorFilter, vtkImplicitModeller, vtkExplicitStructuredGridSurfaceFilter, vtkGenericProbeFilter, vtkGenericOutlineFilter, vtkGenericGlyph3DFilter, vtkGenericGeometryFilter, vtkGenericDataSetTessellator, vtkGenericCutter, vtkGenericContourFilter, vtkGenericClip, vtkVertexGlyphFilter, vtkSpatialRepresentationFilter, vtkRemovePolyData, vtkRectilinearGridToTetrahedra, vtkLoopBooleanPolyDataFilter, vtkJoinTables, vtkIntersectionPolyDataFilter, vtkBooleanOperationPolyDataFilter, vtkAppendPoints, vtkAnnotationLink, vtkVortexCore, vtkStreamTracer, vtkParallelVectors, vtkEvenlySpacedStreamlines2D, vtkVoronoi2D, vtkStructuredGridAppend, vtkResampleWithDataSet, vtkResampleToImage, vtkQuadricClustering, vtkPolyDataEdgeConnectivityFilter, vtkMoleculeAppend, vtkImageAppend, vtkHyperTreeGridProbeFilter, vtkGlyph3D, vtkDelaunay3D, vtkDataSetToDataObjectFilter, vtkBinnedDecimation, vtkAssignAttribute, vtkArrayCalculator, vtkAppendSelection, vtkAppendPolyData, vtkProteinRibbonFilter, vtkMoleculeToPolyDataFilter, vtkTrivialProducer, vtkTrivialConsumer, vtkImageToStructuredPoints, vtkHyperTreeGridAlgorithm, vtkmExternalFaces, vtkmCleanGrid, vtkUnstructuredGridToReebGraphFilter, vtkReebGraphVolumeSkeletonFilter, vtkReebGraphToJoinSplitTreeFilter, vtkReebGraphSurfaceSkeletonFilter, vtkReebGraphSimplificationFilter, vtkVolumeContourSpectrumFilter, vtkPolyDataToReebGraphFilter, vtkAreaContourSpectrumFilter, vtkRenderedTreeAreaRepresentation, vtkRenderedHierarchyRepresentation, vtkParallelCoordinatesRepresentation, vtkApplyIcons, vtkApplyColors, vtkConvertSelectionDomain, vtkMultiBlockVolumeMapper, vtkMultiBlockUnstructuredGridVolumeMapper, vtkAMRVolumeMapper, vtkGPUVolumeRayCastMapper, vtkOpenGLPointGaussianMapper, vtkStructuredGridLIC2D, vtkImageDataLIC2D, vtkPointSetToLabelHierarchy, vtkLabelSizeCalculator, vtkLabelPlacer, vtkLabelPlacementMapper, vtkLabelHierarchyAlgorithm, vtkDepthImageToPointCloud, vtkHyperTreeGridMapper, vtkSelectVisiblePoints, vtkImageMapper3D, vtkGraphToGlyphs, vtkGraphMapper, vtkGlyph3DMapper, vtkDataSetMapper, vtkCompositePolyDataMapper, vtkAbstractVolumeMapper, vtkContextMapper2D, vtkGraphAnnotationLayersFilter, vtkXMLUnstructuredGridWriter, vtkXMLUniformGridAMRWriter, vtkXMLTableWriter, vtkXMLStructuredGridWriter, vtkXMLRectilinearGridWriter, vtkXMLPolyDataWriter, vtkXMLMultiBlockDataWriter, vtkXMLImageDataWriter, vtkXMLHyperTreeGridWriter, vtkXMLDataSetWriter, vtkXMLDataObjectWriter, vtkXMLCompositeDataWriter, vtkXdmfWriter, vtkTableToSQLiteWriter, vtkTableToDatabaseWriter, vtkTableToPostgreSQLWriter, vtkPLYWriter, vtkXMLPUnstructuredGridWriter, vtkXMLPTableWriter, vtkXMLPStructuredGridWriter, vtkXMLPRectilinearGridWriter, vtkXMLPPolyDataWriter, vtkXMLPImageDataWriter, vtkXMLPHyperTreeGridWriter, vtkXMLPDataSetWriter, vtkXMLPartitionedDataSetWriter, vtkXMLPartitionedDataSetCollectionWriter, vtkEnSightWriter, vtkOpenVDBWriter, vtkNetCDFCFWriter, vtkTableToMySQLWriter, vtkMNITagPointWriter, vtkMNIObjectWriter, vtkMINCImageWriter, vtkUnstructuredGridWriter, vtkTreeWriter, vtkTableWriter, vtkStructuredPointsWriter, vtkStructuredGridWriter, vtkRectilinearGridWriter, vtkPolyDataWriter, vtkGraphWriter, vtkGenericDataObjectWriter, vtkDataSetWriter, vtkDataObjectWriter, vtkCompositeDataWriter, vtkIOSSWriter, vtkPhyloXMLTreeWriter, vtkNewickTreeWriter, vtkDIMACSGraphWriter, vtkSTLWriter, vtkOBJWriter, vtkMCubesWriter, vtkIVWriter, vtkHoudiniPolyDataWriter, vtkGLTFWriter, vtkBYUWriter, vtkGeoJSONWriter, vtkJSONDataSetWriter, vtkExodusIIWriter, vtkJavaScriptDataWriter, vtkDelimitedTextWriter, vtkArrayWriter, vtkArrayDataWriter, vtkCesiumPointCloudWriter, vtkCesium3DTilesWriter, vtkTreeRingToPolyData, vtkTreeMapToPolyData, vtkKCoreLayout, vtkCirclePackToPolyData, vtkAssignCoordinates, vtkTreeDifferenceFilter, vtkTransferAttributes, vtkTableToGraph, vtkRemoveHiddenData, vtkMergeGraphs, vtkGraphHierarchicalBundleEdges, vtkExtractSelectedTree, vtkExtractSelectedGraph, vtkExpandSelectedGraph, vtkEdgeCenters, vtkDataObjectToTable, vtkContinuousScatterplot, vtkCollapseGraph, vtkAddMembershipArray, vtkBoostPrimMinimumSpanningTree, vtkBoostKruskalMinimumSpanningTree, vtkBoostBreadthFirstSearchTree, vtkBoostBreadthFirstSearch, vtkImageHistogram, vtkImageAccumulate, vtkImageThresholdConnectivity, vtkImageConnectivityFilter, vtkImageMathematics, vtkImageLogic, vtkVoxelModeller, vtkShepardMethod, vtkImageToPoints, vtkGaussianSplatter, vtkFastSplatter, vtkCheckerboardSplatter, vtkImageReslice, vtkImageProbeFilter, vtkImageChangeInformation, vtkRasterReprojectionFilter, vtkBoundaryMeshQuality, vtkFiberSurface, vtkStreamingStatistics, vtkStatisticsAlgorithm, vtkPCAStatistics, vtkLengthDistribution, vtkExtractHistogram, vtkComputeQuantiles, vtkBivariateLinearTableThreshold, vtkOutlineCornerFilter, vtkGraphToPolyData, vtkLinearSelector, vtkKdTreeSelector, vtkCellDistanceSelector, vtkPythonAlgorithm, vtkProgrammableFilter, vtkVoxelGrid, vtkPoissonDiskSampler, vtkPointSmoothingFilter, vtkPointOccupancyFilter, vtkPointDensityFilter, vtkPointCloudFilter, vtkPCANormalEstimation, vtkPCACurvatureEstimation, vtkMaskPointsFilter, vtkHierarchicalBinningFilter, vtkExtractSurface, vtkEuclideanClusterExtraction, vtkDensifyPointCloudFilter, vtkConvertToPointCloud, vtkConnectedPointsFilter, vtkRedistributeDataSetFilter, vtkProbeLineFilter, vtkOverlappingCellsDetector, vtkGhostCellsGenerator, vtkExtractSubsetWithSeed, vtkRemoveGhosts, vtkRectilinearGridOutlineFilter, vtkPResampleFilter, vtkPProbeFilter, vtkPOutlineFilter, vtkPOutlineCornerFilter, vtkPieceRequestFilter, vtkPeriodicFilter, vtkExtractCTHPart, vtkDistributedDataFilter, vtkCutMaterial, vtkAlignImageDataSetFilter, vtkAggregateDataSetFilter, vtkOTFilter, vtkOTDensityMap, vtkOutlineFilter, vtkImageDataOutlineFilter, vtkHyperTreeGridOutlineFilter, vtkHausdorffDistancePointSetFilter, vtkGeodesicPath, vtkDijkstraImageGeodesicPath, vtkComputeHistogram2DOutliers, vtkTemporalShiftScale, vtkTemporalInterpolator, vtkTemporalDataSetCache, vtkProjectedTerrainPath, vtkImageToPolyDataFilter, vtkGreedyTerrainDecimation, vtkAdaptiveDataSetSurfaceFilter, vtkPointSetToOctreeImageFilter, vtkPointSetStreamer, vtkOctreeImageToPointSetFilter, vtkUnstructuredGridGeometryFilter, vtkStructuredGridPartitioner, vtkStructuredGridGeometryFilter, vtkRectilinearGridPartitioner, vtkRectilinearGridGeometryFilter, vtkProjectSphereFilter, vtkMarkBoundaryFilter, vtkImageDataToUniformGrid, vtkImageDataGeometryFilter, vtkGeometryFilter, vtkDataSetSurfaceFilter, vtkDataSetRegionSurfaceFilter, vtkCompositeDataGeometryFilter, vtkGenericStreamTracer, vtkYoungsMaterialInterface, vtkWarpVector, vtkWarpTo, vtkWarpScalar, vtkWarpLens, vtkTransformFilter, vtkTessellatorFilter, vtkTemporalStatistics, vtkTemporalPathLineFilter, vtkTableToStructuredGrid, vtkTableToPolyData, vtkTableBasedClipDataSet, vtkSubPixelPositionEdgels, vtkSplitByCellScalarFilter, vtkShrinkFilter, vtkSampleImplicitFunctionFilter, vtkRotationFilter, vtkReflectionFilter, vtkRecursiveDividingCubes, vtkRectilinearGridToPointSet, vtkRandomAttributeGenerator, vtkQuadratureSchemeDictionaryGenerator, vtkQuadraturePointsGenerator, vtkQuadraturePointInterpolator, vtkPolyDataStreamer, vtkPassSelectedArrays, vtkPassArrays, vtkMultiThreshold, vtkMultiBlockMergeFilter, vtkMultiBlockDataGroupFilter, vtkMergeVectorComponents, vtkMergeTimeFilter, vtkMergeArrays, vtkMarchingContourFilter, vtkLinkEdgels, vtkInterpolateDataSetAttributes, vtkImageMarchingCubes, vtkImageDataToPointSet, vtkHyperStreamline, vtkGroupDataSetsFilter, vtkGraphToPoints, vtkExtractSelectionBase, vtkExtractGhostCells, vtkExtractArray, vtkEdgePoints, vtkDiscreteFlyingEdgesClipper2D, vtkDiscreteFlyingEdges3D, vtkDiscreteFlyingEdges2D, vtkDateToNumeric, vtkDataSetTriangleFilter, vtkCountVertices, vtkCountFaces, vtkClipVolume, vtkClipDataSet, vtkCleanUnstructuredGridCells, vtkCleanUnstructuredGrid, vtkBoxClipDataSet, vtkBlankStructuredGridWithImage, vtkAppendLocationAttributes, vtkAnimateModes, vtkVectorFieldTopology, vtkParticleTracerBase, vtkLagrangianParticleTracker, vtkExtractSelection, vtkExtractSelectedRows, vtkExtractSelectedPolyDataIds, vtkExtractSelectedIds, vtkExtractSelectedBlock, vtkExtractSelectedArraysOverTime, vtkExtractLevel, vtkExtractGeometry, vtkExtractExodusGlobalTemporalVariables, vtkExtractDataSets, vtkExtractDataArraysOverTime, vtkExtractCellsByType, vtkExtractBlockUsingDataAssembly, vtkExtractBlock, vtkConvertSelection, vtkUnstructuredGridToExplicitStructuredGrid, vtkThresholdPoints, vtkThreshold, vtkTensorGlyph, vtkSynchronizedTemplates3D, vtkSynchronizedTemplates2D, vtkSurfaceNets3D, vtkSurfaceNets2D, vtkStructuredGridOutlineFilter, vtkSphereTreeFilter, vtkSmoothPolyDataFilter, vtkRectilinearSynchronizedTemplates, vtkPolyDataToUnstructuredGrid, vtkPlaneCutter, vtkPassThrough, vtkMergeFilter, vtkMergeDataObjectFilter, vtkMaskPoints, vtkMarchingSquares, vtkMarchingCubes, vtkImageDataToExplicitStructuredGrid, vtkHedgeHog, vtkGridSynchronizedTemplates3D, vtkFlyingEdgesPlaneCutter, vtkFlyingEdges3D, vtkFlyingEdges2D, vtkFieldDataToDataSetAttribute, vtkExtractEdges, vtkExtractCellsAlongPolyLine, vtkExtractCells, vtkExplicitStructuredGridToUnstructuredGrid, vtkDataObjectToDataSetFilter, vtkCutter, vtkConvertToPartitionedDataSetCollection, vtkConvertToMultiBlockDataSet, vtkContourGrid, vtkContourFilter, vtkContour3DLinearGrid, vtkConnectivityFilter, vtkCompositeDataProbeFilter, vtkCompositeCutter, vtkCellCenters, vtkAttributeDataToTableFilter, vtkArrayRename, vtkAppendFilter, vtkAppendDataSets, vtkAppendCompositeDataLeaves, vtk3DLinearGridPlaneCutter, vtk3DLinearGridCrinkleExtractor, vtkImageToAMR, vtkAMRToMultiBlockFilter, vtkAMRSliceFilter, vtkAMRResampleFilter, vtkAMRCutPlane, vtkPointSetToMoleculeFilter, vtkMoleculeMapper, vtkUnstructuredGridBaseAlgorithm, vtkUnstructuredGridAlgorithm, vtkUniformGridPartitioner, vtkUniformGridAMRAlgorithm, vtkUndirectedGraphAlgorithm, vtkTreeAlgorithm, vtkTableAlgorithm, vtkStructuredGridAlgorithm, vtkSelectionAlgorithm, vtkRectilinearGridAlgorithm, vtkPolyDataAlgorithm, vtkPointSetAlgorithm, vtkPiecewiseFunctionAlgorithm, vtkPassInputTypeAlgorithm, vtkPartitionedDataSetCollectionAlgorithm, vtkPartitionedDataSetAlgorithm, vtkOverlappingAMRAlgorithm, vtkNonOverlappingAMRAlgorithm, vtkMultiBlockDataSetAlgorithm, vtkMoleculeAlgorithm, vtkImageAlgorithm, vtkHierarchicalBoxDataSetAlgorithm, vtkGraphAlgorithm, vtkExplicitStructuredGridAlgorithm, vtkDirectedGraphAlgorithm, vtkDataSetAlgorithm, vtkDataObjectAlgorithm, vtkCompositeDataSetAlgorithm, vtkCellGridAlgorithm, vtkArrayDataAlgorithm, vtkAnnotationLayersAlgorithm, vtkmPointTransform, vtkmNDHistogram, vtkmHistogram, vtkmCoordinateSystemTransform, and vtkImageWeightedSum.

## ◆ FillOutputPortInformation()

virtual int vtkAlgorithm::FillOutputPortInformation | ( | int | port,
|  | vtkInformation * | info
| ) |  |
| protectedvirtual

Fill the output port information objects for this algorithm.

This is invoked by the first call to GetOutputPortInformation for each port so subclasses can specify what they can handle.

Reimplemented in vtkXMLPartitionedDataSetReader, vtkXMLPartitionedDataSetCollectionReader, vtkXMLMultiBlockDataReader, vtkXMLCompositeDataReader, vtkImageToStructuredGrid, vtkXMLUnstructuredGridReader, vtkXMLTableReader, vtkXMLStructuredGridReader, vtkXMLRectilinearGridReader, vtkXMLPUnstructuredGridReader, vtkXMLPTableReader, vtkXMLPStructuredGridReader, vtkXMLPRectilinearGridReader, vtkXMLPPolyDataReader, vtkXMLPolyDataReader, vtkXMLPImageDataReader, vtkXMLPHyperTreeGridReader, vtkXMLImageDataReader, vtkXMLHyperTreeGridReader, vtkXMLGenericDataObjectReader, vtkUnstructuredGridReader, vtkTreeReader, vtkTableReader, vtkStructuredPointsReader, vtkStructuredGridReader, vtkRectilinearGridReader, vtkPolyDataReader, vtkGraphReader, vtkGenericDataObjectReader, vtkDataSetReader, vtkDataObjectReader, vtkCompositeDataReader, vtkPhyloXMLTreeReader, vtkNewickTreeReader, vtkMultiNewickTreeReader, vtkBiomTableReader, vtkWindBladeReader, vtkMoleculeReaderBase, vtkGaussianCubeReader2, vtkGaussianCubeReader, vtkCMLMoleculeReader, vtkImageStencilAlgorithm, vtkUniformHyperTreeGridSource, vtkHyperTreeGridSource, vtkHyperTreeGridPreConfiguredSource, vtkUnstructuredGridToReebGraphFilter, vtkReebGraphToJoinSplitTreeFilter, vtkReebGraphSimplificationFilter, vtkHyperTreeGridGhostCellsGenerator, vtkImageDataToHyperTreeGrid, vtkHyperTreeGridToUnstructuredGrid, vtkHyperTreeGridToDualGrid, vtkHyperTreeGridThreshold, vtkHyperTreeGridPlaneCutter, vtkHyperTreeGridGeometry, vtkHyperTreeGridEvaluateCoarse, vtkHyperTreeGridDepthLimiter, vtkHyperTreeGridContour, vtkHyperTreeGridAxisReflection, vtkHyperTreeGridAxisCut, vtkHyperTreeGridAxisClip, vtkTemporalArrayOperatorFilter, vtkSphericalHarmonics, vtkPolyDataToReebGraphFilter, vtkAnnotationLink, vtkResampleWithDataSet, vtkResampleToImage, vtkTrivialProducer, vtkTrivialConsumer, vtkImageToStructuredPoints, vtkHyperTreeGridAlgorithm, vtkEnsembleSource, vtkmExternalFaces, vtkOpenQubeMoleculeSource, vtkReebGraphVolumeSkeletonFilter, vtkReebGraphSurfaceSkeletonFilter, vtkVolumeContourSpectrumFilter, vtkAreaContourSpectrumFilter, vtkConvertSelectionDomain, vtkStructuredGridLIC2D, vtkLabelHierarchyAlgorithm, vtkDepthImageToPointCloud, vtkWindowToImageFilter, vtkResizingWindowToImageFilter, vtkRendererSource, vtkImageMapper3D, vtkXdmf3Reader, vtkXdmfReader, vtkMultiBlockPLOT3DReader, vtkOMFReader, vtkIOSSReader, vtkTulipReader, vtkTecplotReader, vtkGDALRasterReader, vtkFidesReader, vtkGenericEnSightReader, vtkVASPTessellationReader, vtkCGNSReader, vtkAMRBaseReader, vtkAMRBaseParticlesReader, vtkStringToCategory, vtkContinuousScatterplot, vtkCollapseVerticesByArray, vtkBoostKruskalMinimumSpanningTree, vtkBoostBreadthFirstSearch, vtkBoostBetweennessClustering, vtkImageHistogram, vtkImageToPoints, vtkImageReslice, vtkRasterReprojectionFilter, vtkScalarsToTextureFilter, vtkStreamingStatistics, vtkStatisticsAlgorithm, vtkBivariateLinearTableThreshold, vtkRandomHyperTreeGridSource, vtkSMPContourGrid, vtkPythonAlgorithm, vtkDistributedPointCloudFilter, vtkAdaptiveResampleToImage, vtkPieceRequestFilter, vtkOTDensityMap, vtkLinearCellExtrusionFilter, vtkHyperTreeGridOutlineFilter, vtkPairwiseExtractHistogram2D, vtkExtractHistogram2D, vtkComputeHistogram2DOutliers, vtkTransformToGrid, vtkRenderLargeImage, vtkStructuredGridPartitioner, vtkRectilinearGridPartitioner, vtkImageDataToUniformGrid, vtkTemporalPathLineFilter, vtkQuadratureSchemeDictionaryGenerator, vtkQuadraturePointInterpolator, vtkPolyDataStreamer, vtkCountVertices, vtkCountFaces, vtkVectorFieldTopology, vtkLagrangianParticleTracker, vtkExtractLevel, vtkExtractDataSets, vtkPlaneCutter, vtkHull, vtkAMRToMultiBlockFilter, vtkAMRSliceFilter, vtkAMRResampleFilter, vtkAMRCutPlane, vtkUnstructuredGridBaseAlgorithm, vtkUnstructuredGridAlgorithm, vtkUniformGridPartitioner, vtkUniformGridAMRAlgorithm, vtkUndirectedGraphAlgorithm, vtkTreeAlgorithm, vtkTableAlgorithm, vtkStructuredGridAlgorithm, vtkSelectionAlgorithm, vtkRectilinearGridAlgorithm, vtkPolyDataAlgorithm, vtkPointSetAlgorithm, vtkPiecewiseFunctionAlgorithm, vtkPassInputTypeAlgorithm, vtkPartitionedDataSetCollectionAlgorithm, vtkPartitionedDataSetAlgorithm, vtkOverlappingAMRAlgorithm, vtkNonOverlappingAMRAlgorithm, vtkMultiBlockDataSetAlgorithm, vtkMoleculeAlgorithm, vtkImageAlgorithm, vtkHierarchicalBoxDataSetAlgorithm, vtkGraphAlgorithm, vtkExplicitStructuredGridAlgorithm, vtkDirectedGraphAlgorithm, vtkDataSetAlgorithm, vtkDataObjectAlgorithm, vtkCompositeDataSetAlgorithm, vtkCellGridAlgorithm, vtkArrayDataAlgorithm, and vtkAnnotationLayersAlgorithm.

## ◆ SetNumberOfInputPorts()

virtual void vtkAlgorithm::SetNumberOfInputPorts | ( | int | n | ) |
| protectedvirtual

Set the number of input ports used by the algorithm.

Reimplemented in vtkPythonAlgorithm.

## ◆ SetNumberOfOutputPorts()

virtual void vtkAlgorithm::SetNumberOfOutputPorts | ( | int | n | ) |
| protectedvirtual

Set the number of output ports provided by the algorithm.

Reimplemented in vtkPythonAlgorithm.

## ◆ InputPortIndexInRange()

int vtkAlgorithm::InputPortIndexInRange | ( | int | index,
|  | const char * | action
| ) |  |
| protected

## ◆ OutputPortIndexInRange()

int vtkAlgorithm::OutputPortIndexInRange | ( | int | index,
|  | const char * | action
| ) |  |
| protected

## ◆ GetInputArrayAssociation() [1/3]

int vtkAlgorithm::GetInputArrayAssociation | ( | int | idx,
|  | vtkInformationVector ** | inputVector
| ) |  |
| protected

Get the association of the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass.

## ◆ GetInputArrayAssociation() [2/3]

int vtkAlgorithm::GetInputArrayAssociation | ( | int | idx,
|  | int | connection,
|  | vtkInformationVector ** | inputVector
| ) |  |
| protected

Filters that have multiple connections on one port can use this signature.

This will override the connection id that the user set in SetInputArrayToProcess() with the connection id passed. This way, the user specifies one array to process and that information is used to obtain arrays for all the connection on the port with the appropriate connection id substituted.

## ◆ GetInputArrayAssociation() [3/3]

int vtkAlgorithm::GetInputArrayAssociation | ( | int | idx,
|  | vtkDataObject * | input
| ) |  |
| protected

Filters that have multiple connections on one port can use this signature.

This will override the connection id that the user set in SetInputArrayToProcess() with the connection id passed. This way, the user specifies one array to process and that information is used to obtain arrays for all the connection on the port with the appropriate connection id substituted.

## ◆ GetInputArrayToProcess() [1/6]

vtkDataArray* vtkAlgorithm::GetInputArrayToProcess | ( | int | idx,
|  | vtkInformationVector ** | inputVector
| ) |  |
| protected

Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass.

## ◆ GetInputArrayToProcess() [2/6]

vtkDataArray* vtkAlgorithm::GetInputArrayToProcess | ( | int | idx,
|  | vtkInformationVector ** | inputVector,
|  | int & | association
| ) |  |
| protected

Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass.

## ◆ GetInputArrayToProcess() [3/6]

vtkDataArray* vtkAlgorithm::GetInputArrayToProcess | ( | int | idx,
|  | int | connection,
|  | vtkInformationVector ** | inputVector
| ) |  |
| protected

Filters that have multiple connections on one port can use this signature.

This will override the connection id that the user set in SetInputArrayToProcess() with the connection id passed. This way, the user specifies one array to process and that information is used to obtain arrays for all the connection on the port with the appropriate connection id substituted.

## ◆ GetInputArrayToProcess() [4/6]

vtkDataArray* vtkAlgorithm::GetInputArrayToProcess | ( | int | idx,
|  | int | connection,
|  | vtkInformationVector ** | inputVector,
|  | int & | association
| ) |  |
| protected

Filters that have multiple connections on one port can use this signature.

This will override the connection id that the user set in SetInputArrayToProcess() with the connection id passed. This way, the user specifies one array to process and that information is used to obtain arrays for all the connection on the port with the appropriate connection id substituted.

## ◆ GetInputArrayToProcess() [5/6]

vtkDataArray* vtkAlgorithm::GetInputArrayToProcess | ( | int | idx,
|  | vtkDataObject * | input
| ) |  |
| protected

Filters that have multiple connections on one port can use this signature.

This will override the connection id that the user set in SetInputArrayToProcess() with the connection id passed. This way, the user specifies one array to process and that information is used to obtain arrays for all the connection on the port with the appropriate connection id substituted.

## ◆ GetInputArrayToProcess() [6/6]

vtkDataArray* vtkAlgorithm::GetInputArrayToProcess | ( | int | idx,
|  | vtkDataObject * | input,
|  | int & | association
| ) |  |
| protected

Filters that have multiple connections on one port can use this signature.

This will override the connection id that the user set in SetInputArrayToProcess() with the connection id passed. This way, the user specifies one array to process and that information is used to obtain arrays for all the connection on the port with the appropriate connection id substituted.

## ◆ GetInputAbstractArrayToProcess() [1/6]

vtkAbstractArray* vtkAlgorithm::GetInputAbstractArrayToProcess | ( | int | idx,
|  | vtkInformationVector ** | inputVector
| ) |  |
| protected

Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass.

## ◆ GetInputAbstractArrayToProcess() [2/6]

vtkAbstractArray* vtkAlgorithm::GetInputAbstractArrayToProcess | ( | int | idx,
|  | vtkInformationVector ** | inputVector,
|  | int & | association
| ) |  |
| protected

Get the actual data array for the input array specified by idx, this is only reasonable during the REQUEST_DATA pass.

## ◆ GetInputAbstractArrayToProcess() [3/6]

vtkAbstractArray* vtkAlgorithm::GetInputAbstractArrayToProcess | ( | int | idx,
|  | int | connection,
|  | vtkInformationVector ** | inputVector
| ) |  |
| protected

Filters that have multiple connections on one port can use this signature.

This will override the connection id that the user set in SetInputArrayToProcess() with the connection id passed. This way, the user specifies one array to process and that information is used to obtain arrays for all the connection on the port with the appropriate connection id substituted.

## ◆ GetInputAbstractArrayToProcess() [4/6]

vtkAbstractArray* vtkAlgorithm::GetInputAbstractArrayToProcess | ( | int | idx,
|  | int | connection,
|  | vtkInformationVector ** | inputVector,
|  | int & | association
| ) |  |
| protected

Filters that have multiple connections on one port can use this signature.

This will override the connection id that the user set in SetInputArrayToProcess() with the connection id passed. This way, the user specifies one array to process and that information is used to obtain arrays for all the connection on the port with the appropriate connection id substituted.

## ◆ GetInputAbstractArrayToProcess() [5/6]

vtkAbstractArray* vtkAlgorithm::GetInputAbstractArrayToProcess | ( | int | idx,
|  | vtkDataObject * | input
| ) |  |
| protected

Filters that have multiple connections on one port can use this signature.

This will override the connection id that the user set in SetInputArrayToProcess() with the connection id passed. This way, the user specifies one array to process and that information is used to obtain arrays for all the connection on the port with the appropriate connection id substituted.

## ◆ GetInputAbstractArrayToProcess() [6/6]

vtkAbstractArray* vtkAlgorithm::GetInputAbstractArrayToProcess | ( | int | idx,
|  | vtkDataObject * | input,
|  | int & | association
| ) |  |
| protected

Filters that have multiple connections on one port can use this signature.

This will override the connection id that the user set in SetInputArrayToProcess() with the connection id passed. This way, the user specifies one array to process and that information is used to obtain arrays for all the connection on the port with the appropriate connection id substituted.

## ◆ GetInputArrayFieldInformation()

vtkInformation* vtkAlgorithm::GetInputArrayFieldInformation | ( | int | idx,
|  | vtkInformationVector ** | inputVector
| ) |  |
| protected

This method takes in an index (as specified in SetInputArrayToProcess) and a pipeline information vector.

It then finds the information about input array idx and then uses that information to find the field information from the relevant field in the pifo vector (as done by vtkDataObject::GetActiveFieldInformation)

## ◆ CreateDefaultExecutive()

virtual vtkExecutive* vtkAlgorithm::CreateDefaultExecutive | ( |  | ) |
| protectedvirtual

Create a default executive.

If the DefaultExecutivePrototype is set, a copy of it is created in CreateDefaultExecutive() using NewInstance(). Otherwise, vtkStreamingDemandDrivenPipeline is created.

Reimplemented in vtkOpenGLPointGaussianMapper, vtkCompositePolyDataMapper, vtkXMLCompositeDataWriter, vtkXMLCompositeDataReader, vtkXdmfWriter, vtkImageCacheFilter, vtkIntegrateAttributes, vtkCompositeDataGeometryFilter, vtkStreamTracer, vtkCompositeDataProbeFilter, vtkUniformGridAMRAlgorithm, vtkTrivialProducer, vtkMultiBlockDataSetAlgorithm, vtkHierarchicalBoxDataSetAlgorithm, and vtkCompositeDataSetAlgorithm.

## ◆ SetErrorCode()

virtual void vtkAlgorithm::SetErrorCode | ( | unsigned long |  | ) |
| protectedvirtual

The error code contains a possible error that occurred while reading or writing the file.

## ◆ ReportReferences()

void vtkAlgorithm::ReportReferences | ( | vtkGarbageCollector * |  | ) |
| overrideprotectedvirtual

Reimplemented from vtkObjectBase.

Reimplemented in vtkProjectedTetrahedraMapper, vtkOpenGLPointGaussianMapper, vtkImageResliceMapper, vtkGraphMapper, vtkDataSetMapper, vtkImageOpenClose3D, vtkSampleFunction, vtkImageStencilSource, vtkImageReslice, vtkProgrammableAttributeDataFilter, vtkExtractHierarchicalBins, vtkSelectEnclosedPoints, vtkSpatialRepresentationFilter, vtkSampleImplicitFunctionFilter, vtkInterpolateDataSetAttributes, vtkClipVolume, vtkContourFilter, and vtkTrivialProducer.

## ◆ SetNthInputConnection()

virtual void vtkAlgorithm::SetNthInputConnection | ( | int | port,
|  | int | index,
|  | vtkAlgorithmOutput * | input
| ) |  |
| protectedvirtual

Replace the Nth connection on the given input port.

For use only by this class and subclasses. If this is used to store a nullptr input then the subclass must be able to handle nullptr inputs in its ProcessRequest method.

## ◆ SetNumberOfInputConnections()

virtual void vtkAlgorithm::SetNumberOfInputConnections | ( | int | port,
|  | int | n
| ) |  |
| protectedvirtual

Set the number of input connections on the given input port.

For use only by this class and subclasses. If this is used to store a nullptr input then the subclass must be able to handle nullptr inputs in its ProcessRequest method.

## ◆ SetInputDataInternal()

void vtkAlgorithm::SetInputDataInternal | ( | int | port,
|  | vtkDataObject * | input
| ) |  |
| inlineprotected

These methods are used by subclasses to implement methods to set data objects directly as input.

Internally, they create a vtkTrivialProducer that has the data object as output and connect it to the algorithm.

Definition at line 930 of file vtkAlgorithm.h.

## ◆ AddInputDataInternal()

void vtkAlgorithm::AddInputDataInternal | ( | int | port,
|  | vtkDataObject * | input
| ) |  |
| inlineprotected

Definition at line 934 of file vtkAlgorithm.h.

## Member Data Documentation

## ◆ AbortExecute

std::atomic<vtkTypeBool> vtkAlgorithm::AbortExecute

Definition at line 302 of file vtkAlgorithm.h.

## ◆ LastAbortTime

vtkTimeStamp vtkAlgorithm::LastAbortTime
| staticprotected

Definition at line 752 of file vtkAlgorithm.h.

## ◆ LastAbortCheckTime

vtkTimeStamp vtkAlgorithm::LastAbortCheckTime
| protected

Definition at line 756 of file vtkAlgorithm.h.

## ◆ Information

vtkInformation* vtkAlgorithm::Information
| protected

Definition at line 763 of file vtkAlgorithm.h.

## ◆ ErrorCode

unsigned long vtkAlgorithm::ErrorCode
| protected

The error code contains a possible error that occurred while reading or writing the file.

Definition at line 894 of file vtkAlgorithm.h.

## ◆ Progress

double vtkAlgorithm::Progress
| protected

Definition at line 898 of file vtkAlgorithm.h.

## ◆ ProgressText

char* vtkAlgorithm::ProgressText
| protected

Definition at line 899 of file vtkAlgorithm.h.

## ◆ DefaultExecutivePrototype

vtkExecutive* vtkAlgorithm::DefaultExecutivePrototype
| staticprotected

Definition at line 922 of file vtkAlgorithm.h.

## ◆ ProgressObserver

vtkProgressObserver* vtkAlgorithm::ProgressObserver
| protected

Definition at line 939 of file vtkAlgorithm.h.

The documentation for this class was generated from the following file:

- Common/ExecutionModel/vtkAlgorithm.h